/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.rqm.planning.web.ui.internal.view.administration.BuildForgeHostnameContentArea");

dojo.require("com.ibm.rqm.planning.web.ui.internal.view.administration.AbstractContentArea");
dojo.require("com.ibm.rqm.planning.web.client.internal.Constants");

(function(){
    var Constants = com.ibm.rqm.planning.web.client.internal.Constants;
    
    dojo.declare("com.ibm.rqm.planning.web.ui.internal.view.administration.BuildForgeHostnameContentArea", com.ibm.rqm.planning.web.ui.internal.view.administration.AbstractContentArea, {
        setName: function(){
            this.name = Constants.getMessage("labelBuildForgeHostName");
        },
        
        setText: function(){
            this.text = Constants.getMessage("labelSetBuildForgehostname");
        },
        
        setContent: function(){
            var table = document.createElement("table");
            var tr = document.createElement("tr");
            var td = document.createElement("td");
			var inputLabel = document.createElement("label");
			var input = document.createElement("input");
            input.value = ""
			inputLabel.appendChild(input);
            td.appendChild(inputLabel);
            tr.appendChild(td);
            table.appendChild(tr);
            this.content = table;
        },
        
        getValues: function(){
        
        }
    });
})();
