/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2006. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
console.debug("Loading: com.ibm.rqm.adapter.testrt.web.ui.internal.view.execution.TestRTExecution");
dojo.provide("com.ibm.rqm.adapter.testrt.web.ui.internal.view.execution.TestRTExecution");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
//Dojo widget

(function() { // module container

dojo.declare("com.ibm.rqm.adapter.testrt.web.ui.internal.view.execution.TestRTExecution",[dijit._Widget, dijit._Templated],
	{
		templateString: "<div class=\"com-ibm-rqm-adapter-testrt-execution\">"+
						"<div dojoAttachPoint=\"_messages\"></div>"+
						"</div>",
		
		postCreate: function() 
		{		
		},
		
		showMessages: function(response)
		{
			if (response) {
				dojox.data.dom.removeChildren(this._messages);
				var msgArray=response.messages;
				for(var i=0;i<msgArray.length;i++) {
					var msg=msgArray[i].message;
					var label=document.createElement('label');
					label.id="_msg"+i;
					label.innerHTML=msg;
					this._messages.appendChild(label);
					this._messages.appendChild(document.createElement('br'));
				}
			}
		}
		
});
})();	
