/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.rqm.planning.web.ui.internal.view.viewlets.BaseReportViewlet");


dojo.require("com.ibm.team.dashboard.web.ui.Viewlet");
dojo.require("com.ibm.team.dashboard.viewlets.web.ui.internal.TrendReportViewlet");
dojo.require("com.ibm.asq.common.web.ui.internal.TransportServiceResponseWrapper");

(function() {

var Viewlet 					= com.ibm.team.dashboard.web.ui.Viewlet;
var JazzReportsViewlet 			= com.ibm.team.dashboard.viewlets.web.ui.internal.TrendReportViewlet;

var ServiceResponseHandler = com.ibm.asq.common.web.ui.internal.TransportServiceResponseWrapper;	
var getAuthenticatedContributor = com.ibm.team.repository.web.client.session.getAuthenticatedContributor;
var Constants = com.ibm.rqm.planning.web.client.internal.Constants;
	
dojo.declare("com.ibm.rqm.planning.web.ui.internal.view.viewlets.BaseReportViewlet",	
	JazzReportsViewlet,
{
	/*
	 * Templates
	 */	
	templatePath: dojo.moduleUrl("com.ibm.rqm.planning.web", "ui/internal/view/templates/viewlets/BaseReportViewlet.html"),
	
	// Viewlet Methods -------------------------------------------------------->
	
	/*
 	 * Public Method
 	 * 
 	 * @param void
 	 * @return void
 	 * @overrides super
 	 */		
	init: function() {
		this.inherited( "init", arguments );
		
		var parent = this.domNode;
		
		while( parent )
		{
			if( dojo.hasClass( parent, "content" ) )
			{
				dojo.removeClass( parent, "content" )
				dojo.addClass( parent, "rqm-content" )
				break;
			}
			
			parent = ( dojo.isIE ) ? parent.parentElement : parent.parentNode;
		}
	}
});

})();