/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
(function(){
dojo.provide("com.ibm.asq.common.web.client.internal._catalog._NodeBase");
dojo.require("com.ibm.asq.common.web.client.internal._catalog._Util");
dojo.declare("com.ibm.asq.common.web.client.internal._catalog._NodeBase", null, 
{
    // parent is the parent object of the node.
    // obj is a pointer to the node in the instance document
    // for this node.  Will be null for template nodes.
    // templateObj is is a pointer to the node in the template
    // document for this node.
    constructor: function(document, parent, instanceRoot, templateObj, path){
        this.document = document;
        this.parent = parent;
        this.instanceRoot = instanceRoot;
        this.templateObj = templateObj;
        this._util = new com.ibm.asq.common.web.client.internal._catalog._Util();
    },
    // Get the underlying template object
    _getTemplateObj: function(){
        return this.templateObj;
    },
    // Returns true if the node's document is an Asset.
    isAsset: function(){
        return this.document.isAsset;
    }
}
)})();
