/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
({
    "bundle_description": "Messages RQM",
    
	"labelProjectAreaTitle": "Sélection de projet",
	"labelSelectProjectArea": "Sélectionner un projet",
	"labelDefaultProjectArea": "Définir ce projet comme étant mon projet par défaut",
	"labelDoNotAsk": "Mémoriser ce choix (Ne plus poser la question)",
	"msgMissingProjectArea": "La zone de projet par défaut prévue ('%1') est introuvable.",
	
	"labelNoShareLocation": "Aucun emplacement partagé trouvé",
	"labelNoneDatapool": "AUCUN",
    "labelInfoCtr": "Centre de documentation",
	"labelRestore":"Restaurer",
    "labelSave": "Sauvegarder",
    "labelEdit": "Editer",
    "labelCopy": "Copier",
	"labelPrintView": "Imprimer la vue",
    "labelDiscardChanges": "Supprimer les modifications",
	"labelChange": "Changer",
    "labelApply": "Appliquer",
    "labelApplyAll": "Appliquer tout",
    "labelRefresh": "Actualiser",
    "labelArchive": "Archiver",
	"labelLock": "Verrouiller",
	"labelLocking": "Verrouillage en cours",
	"labelUnlock": "Déverrouiller",
	"labelUnlocking": "Déverrouillage",
	"labelLockingEnabled": "Activer le verrouillage",
	"labelMaxResults": "Nombre maximal de résultats",
	"labelDelete": "Supprimer",
    "labelAdd": "Ajouter ",
    "labelOk": "OK",
    "labelCancel": "Annuler",
    "labelClose": "Fermer",
	"labelAddAClose": "Ajouter & Fermer",
    "labelUnassigned": "Non affecté",
    "labelNext": "Suivant >",
    "labelPrevious": "< Précédent",
    "labelFinish": "Terminer",
    "labelBrowse": "Parcourir",
	"labelGo": "Aller",
	"labelBrowseSharedResource": "Parcourir : ressources de test partagées",
	"labelAdapterLocalResource": "Importer le script de test : utiliser les ressources de test locales",
	"labelExecute": "Exécuter",
	"labelRunning": "En cours d'exécution",
    "labelYes": "Oui",
    "labelNo": "Non",
    "labelCurrentQuery": "Requête en cours :",
    "labelSystem": "Système",
    "labelCreate": "Créer",
    "labelSummary": "Récapitulatif",
    "labelOwnedBy": "Détenu par",
    "labelDue": "Echéance",
    "labelstatus": "Etat",
    "labelPriority": "Priorité",
    "labelSeverity": "Gravité",
    "labelModifiedDate": "Date modifiée",
    "labelColen": ":",
	"labelImport": "Importer",    
    "labelChangeOwner": "Changer le propriétaire",
    "labelInEditMode": "En mode édition",
    "labelEnabled": "Activé",
    "labelLoading": "Chargement...",
	"labelLoadingContent": "Chargement du contenu...",
	"labelShowAllFiles": "Afficher tous les fichiers",
    "labelFetchingFiles": "Extraction de fichiers...",
    "labelImportingFiles": "Importation de fichiers...",
    "labelUnspecified": "Non spécifié",
	"labelUpload": "Télécharger",
	"labelUploading": "Téléchargement",
    "labelManual": "Manuel",
    
    "labelValidationError": "Non sauvegardé : zones manquantes/non valides...",
    "labelOperationWarning": "Avertissement pour l'opération",
    
    "labelEnterSharedLocation": "Entrez un emplacement partagé",
    "labelSharedLocation": "Emplacement de ressources partagées",
    "labelAvaiableAdapters": "Adaptateurs disponibles",
	"labelChooseMachineForRun": "Sélection d'une machine pour exécuter ce test",
    "labelAdapters": "Adaptateurs",
	"labelConfiguration": "Environnement de test",
    "labelAvaiableConfiguration": "Environnements de test disponibles", // CML: term
    "labelScriptSteps": "Etapes du script",
    "labelAddCustCrtl": "Commande personnalisée ajoutée",
    "labelNotConfig": "Non configuré",
    "labelCreatedOn": "Créé le : %1",
    "labelUnknown": "Inconnu",
    "labelInvalidEntry": "Entrée non valide",
	"labelInvalidDir": "Répertoire non valide",
    "labelGlobal": "Global",
    "labelNone": "-- Aucun --",
    "labelNA": "N/A",
    "labelNotFound": "Introuvable",
    "labelPaused": "En pause",
    "labelInProgress": "En cours",
	"labelProgress": "Progression",
    "labelComplete": "Terminer",
    "labelCompleted": "Terminé",
    "labelInconclusive": "Non concluant",
    "labelAvailable": "Disponible",
    "labelUnAvailable": "Non disponible",
    "labelEnv": "Environnement",
    "labelAttachment": "Pièce jointe",
    "labelFileName": "Nom de fichier",
    "labelSize": "Taille",
    "labelRemove": "Supprimer",
    "labelUndo": "Annuler",
    "labelPath": "Chemin d'accès",
    "labelKB": "ko",
    "labelNumber": "Nombre : ",
    "labelAttachments": "Pièces jointes",
    "labelComment": "Commentaire",
    "labelConfirmation": "Confirmation",
    "labelKeyword": "Mot clé",
    "labelId": "ID",
    "labelExtId": "ID externe",
    "labelName": "Nom",
    "labelHostname": "Nom d'hôte",
    "labelState": "Etat",
    "labelStartDate": "Date de début",
    "labelDate": "Date",
    "labelStartTime": "Heure de début",
    "labelEndTime": "Heure de fin",
    "labelTotalRunTime": "Temps d'exécution total",
    "labelPass": "Réussite",
    "labelFail": "Echec",
    "labelPassed": "Réussite", // CML: term
    "labelFailed": "Echec", // CML: term
    "labelBlocked": "Bloqué",
	"labelNotRun": "Non exécuté",
    "labelStatus": "Résultat", // CML: term
    "labelLog": "Journal de test", // CML: term
    "labelOverview": "Présentation",
    "labelOriginator": "Emetteur",
    "labelDetail": "Détails",
    "labelOwner": "Propriétaire",
    "labelConfig": "Environnement de test", // CML: term
    "labelIteration": "Jalon du test",		
    "labelTheme": "Thème",
    "labelCategory": "Catégorie",
    "labelFunction": "Fonction",
    "labelWeight": "Poids",
    "labelScript": "Script de test",
    "labelModified": "Modifié",
    "labelSuspect": "Suspect",
    "labelNonSuspect": "Non suspect",
    "labelLastMod": "Dernière modification",
    "labelSuccess": "réussite",
    "labelFailure": "échec",
    "labelSaving": "sauvegarde",
    "labelNew": "nouveau",
    "labelDirty": "incorrect",
	"labelSaveNotNecessary": "inutile",
    "labelPrefixNo": "Non ",
    "labelSuffixFound": " trouvé",
    "labelDescription": "Description",
    "labelShared": "Partagé",
    "labelAvaiable": "Disponible",
	"labelUndefined": "non défini",
	"labelTotalWeight": "Poids total",
	"labelDefault": "Par défaut",
	
    "labelJanuaryAbbr": "Jan",
    "labelFebruaryAbbr": "Fév",
    "labelMarchAbbr": "Mar",
    "labelAprilAbbr": "Avr",
    "labelMayAbbr": "Mai",
    "labelJuneAbbr": "Jui",
    "labelJulyAbbr": "Juil",
    "labelAugustAbbr": "Août",
    "labelSeptemberAbbr": "Sep",
    "labelOctoberAbbr": "Oct",
    "labelNovemberAbbr": "Nov",
    "labelDecemberAbbr": "Déc",
    
    "labelJanuary": "Janvier",
    "labelFebruary": "Février",
    "labelMarch": "Mars",
    "labelApril": "Avril",
    "labelMay": "Mai",
    "labelJune": "Juin",
    "labelJuly": "Juillet",
    "labelAugust": "Août",
    "labelSeptember": "Septembre",
    "labelOctober": "Octobre",
    "labelNovember": "Novembre",
    "labelDecember": "Décembre",
    
    "labelDay": "jour",
    "labelNoResultsFound":"Aucun résultat trouvé",
    "labelNoInfoFound":"Aucune information trouvée",
    "labelLastExecTime":"Heure de la dernière exécution %1",
	"labelWINotFound": "L'élément de travail %1 est introuvable.",
	"labelNotADefect":"L'élément de travail %1 ne correspond pas à un incident.",
	"editBlockingDefects": "Gérer les incidents bloquants",
	"msgHasBlockingDefect": "Cet enregistrement d'exécution de test est bloqué. Vous pouvez voir les incidents dans la section d'information correspondante.",
	"msgNoBlockingDefect": "Aucun incident de blocage pour ce test",
	"msgNoDefect": "Aucun incident pour ce test",
	"msgManyRecordsAvaiable": "Ce jeu d'essai compte plusieurs enregistrements d'exécution de test ; faites la sélection appropriée avant exécution.",
	"msgNoRecordsAvaiable": "Ce jeu d'essai ne compte aucun enregistrement de test.\nCréez des enregistrements d'exécution de test à partir de la barre d'outils ou continuez sans enregistrement.",
	"msgNoStepStillSave": "Voulez-vous sauvegarder un script de test vide ?",
	"msgNoScriptFound": "Aucun script de test n'a été trouvé, le test ne peut pas se poursuivre.",
	"msgNoAdapterFound": "Aucun adaptateur n'a été trouvé pour exécution, le test ne peut pas se poursuivre.",
	"msgNoConfigFound": "Aucun environnement de test n'a été trouvé pour exécution, le test ne peut pas se poursuivre.",    
    "msgScriptNotFoundInTestCase": "Aucun script de test n'a été trouvé pour le jeu d'essai '%1', le test ne peut pas se poursuivre.",
	"msgNoAdapterFoundForTestScript": "Aucun adaptateur n'a été trouvé pour le script de test '%1', le test ne peut pas se poursuivre.",
	"msgNoTestCasesFoundForSuite": "Aucun jeu d'essai n'a été trouvé pour cette suite de tests.",
	"msgStep1AdapterSearch": "Etape 1 : Sélectionner un adaptateur",
	"msgStep2AdapterSearch": "Etape 2 : Sélectionner le chemin d'accès au projet et les scripts de test",
	
    "msgSaveFailed": "La sauvegarde a échoué.",
    "msgDiscardAllChanges": "Supprimer tous les changements",
	
    "labelPlanning": "Planification",
    "labelConstruction": "Construction",
    "labelLabManagement": "Gestion de lab",
    "labelExecution": "Exécution",
    "labelReport": "Rapport",
	"labelReports": "Rapports",
	"labelMyReports": "Mes rapports",
    "labelDefects": "Incidents",
    "labelAdministration": "Administration",
    "labelProjects": "Projets",
    "labelRequirement": "Exigence",
    "labelRequirements": "Exigences",
	"labelTemplates": "Modèle",	
    "labelTeams": "Equipes",
	"labelTeamRole": "Rôle d'équipe",
	"labelAssignedTo": "Affectée à",
    
    "labelHelp": "Aide",
    "labelHelpContents": "Contenu de l'aide",
    "labelJazzServerAdmin": "Administration du serveur Jazz",
    "labelJazzProjectAdmin": "Administration du projet Jazz",
    "labelJazzUserAdmin": "Administration de l'utilisateur Jazz",
    "promptEnterSearch": "Entrez des critères de recherche.",
	
	"labelImportRequirementHelp": "Aide sur l'importation d'exigences",
	"labelRequirementTableViewHelp": "Aide sur la vue du tableau d'exigences",
	"labelTemplateViewHelp": "Aide sur la vue de modèle",
	"labelImportTestPlanHelp": "Aide sur l'importation de plans de test",
	"labelImportTestCaseHelp": "Aide sur l'importation de jeux d'essai",
	"labelImportTestScriptHelp": "Aide sur l'importation de scripts de test",
	"labelBrowseHelp": "Aide sur le parcours",
	"labelAdapterHelp": "Aide sur l'adaptateur",
	"labelTestExecutionRecordHelp": "Aide sur les enregistrements d'exécution de test",
	"labelExecutionTableViewHelp": "Aide sur la vue du tableau d'exécution",
	"labelReportsHelp": "Aide sur les rapports",	
	"labelRequisiteProHostPropertiesHelp": "Aide sur les propriétés de l'hôte RequisitePro",
	"labelSharedResourceLocationsHelp": "Aide sur les emplacements de ressources partagées",
	"labelReportPropertiesHelp": "Aide sur les propriétés de rapport",
	"labelGlobalCPULimitationHelp": "Aide sur la limitation de l'unité centrale globale",
	"labelArtifactStateTransitionConstraintsHelp": "Aide sur les contraintes de transition d'état d'artefact",
	"labelExecutionStatesHelp": "Aide sur les états d'exécution",
	"labelCategoryHelp": "Aide sur les catégories %1",
	"labelRelatedSitesHelp": "Aide sur les sites connexes",
	"labelArtifactOptionsHelp": "Aide sur les options d'artefact",
    
    "labelActionBarHelp" : "Aide sur la barre d'actions",
    "labelEditorTOCHelp" : "Aide sur la table des matières de l'éditeur",
    "labelRelatedInfoHelp" : "Aide sur les rubriques connexes",
    "labelDateDisplayformatHelp" : "Aide sur le format d'affichage de la date",
    "labelAdapterSelectHelp" : "Aide sur la sélection d'adaptateur automatique",
    "labelWordWrapHelp" : "Aide sur le retour à la ligne automatique",
    
    "labelTestPlan": "Plan de test",
    "labelTestPlans": "Plans de test",
    "labelNewTestPlan": "Créer un plan de test",
    "labelMyTestPlan": "Mes plans de test",
    "labelAllTestPlan": "Afficher les plans de test",
    "labelTestPlanSizing": "Définition de l'ampleur du plan de test",
    "labelImportTestPlan": "Importer des plans de test",
    "labelExportTestPlan": "Exporter des plans de test",
    "labelImportRequirement": "Importer des exigences",
    "labelSearchResult": "Résultats de la recherche pour '%1' (%2)",
	"labelClickToOpenTestPlan": "Cliquez pour ouvrir le plan de test",
	"labelClickToOpenTestCase": "Cliquez pour ouvrir le jeu d'essai",
	"labelClickToOpenTestScript": "Cliquez pour ouvrir le script de test",
	"labelUploadRequirements" : "Importer des exigences",
    "labelImportExternal" : "Importer depuis un système d'exigences externe (comme Rational ReqPro)",
    "labelImportLocal" : "Importer depuis un fichier XML local",
    "labelImportTestPlanHelp": "Aide sur l'importation de plans de test",
    "labelImportTestCaseHelp": "Aide sur l'importation de jeux d'essai",
    "labelImportReqHelp": "Aide sur l'importation d'exigences",
    "msgImportTestPlan": "Sélectionnez le fichier XML avec les plans de test à importer :",
    "msgImportTestCase": "Sélectionnez le fichier XML avec les jeux d'essai à importer :",
	
	"msgStateExists": "Un état d'exécution nommé %1 existe déjà. Choisissez un nom unique.",
	
    "msgRequiredField": "'%1' est obligatoire. Entrez un '%1' pour le %2 avant sauvegarde.", //1: field name, 2: section/editor name
    "msgInvalidField": "'%1' n'est pas valide. Entrez un '%1' (%2) pour le %3 avant sauvegarde.", //1: field name, 2: expected type, 3: section/editor name
    "labelCategories": "Catégories",
	"labelTypeCategories": "Catégories %1",	
	"labelManageCategories": "Gérer les catégories %1",
	"labelManageCategoriesText": "Gérer les catégories %1. Remarque : les changements sont automatiquement sauvegardés.",
    "labelNewCategory": "Créer %1",
    "labelNewCategoryType": "Créer un type de catégorie",
    "labelAddCategory": "Ajouter %1",
    "labelAddCategoryType": "Ajouter un type de catégorie",
    "labelArchiveCategory": "Archiver %1",
    "labelArchiveCategoryType": "Archiver un type de catégorie",
    "labelUnarchiveCategory": "Supprimer de l'archive %1",
    "labelUnarchiveCategoryType": "Supprimer de l'archive un type de catégorie",
    "labelShowArchivedCategories": "Montrer les archives",
	"labelNoCategories": "Aucune catégorie disponible",
    "msgCategoryExists": "%1 '%2' existe déjà pour ce type de catégorie.",
    "msgCategoryTypeExists": "Le type de catégorie '%1' existe déjà.",
    "msgCategoryArchived": "%1 '%2' a été archivé. Sélectionnez un autre.",
    "msgFieldToLong": "Le %1 fourni compte %2 caractères. La longueur maximum est de %3 caractères. Entrez un %1 plus court.", //1: field name, 2: provided length, 3: max length
    
    "labelManageSections": "<b>Gérer<\/b> des sections",
	"labelManageSectionsTitle": "Gérer des sections",
    "labelNewSection": "Nouvelle section personnalisée",
    "labelAvailableSections": "Sections disponibles",
    "labelSelectedSections": "Sections sélectionnées",
	"labelShowAllSections": "Afficher toutes les sections",
    "labelMoveUp": "Déplacer vers le haut",
    "labelMoveDown": "Déplacer vers le bas",
    "labelSectionName": "Nom de la section :",
    "labelSectionNameRequired": "Le nom de la section est obligatoire.",
    "labelApplyToTemplate": "Appliquer un nouvelle section au modèle",
    "labelAssociateResultsToPlan":"Associer les résultats au plan de test",
	"msgAssignmentRequired": "Pour créer cet élément de travail, attribuez un propriétaire.", 
	
	"msgLocked": "%1 est verrouillé.",
	"msgLockedByMe": "Vous avez verrouillé cet élément %1.",
	"msgLockedByOther": "Cet élément %1 a été verrouillé par %2.",
	"msgLockFailure": "Impossible de %1 l'élément %2",
	"msgEsigFailure": "Echec de la signature électronique",
	"msgEsigFailureDetail": "Impossible de %1 %2 : L'autorisation de la signature électronique a échoué à cause de : %3",
	
    "msgDelTestPlanConfirm": "Le ou les plans de test sélectionnés seront supprimés. Continuer ?",
    "msgDelSomeOpenTestPlanConfirm": "Certains plans de test sélectionnés sont ouverts dans d'autres onglets. Sélectionnez ceux à supprimer.",
    "msgDelAllOpenTestPlanConfirm": "Le ou les plans de test sélectionnés sont ouverts dans d'autres onglets. Sélectionnez ceux à supprimer.",
    "msgDeletingTestPlan": "Suppression du plan de test \"%1\"",
    "msgDeletedTestPlans": "%1 plan(s) de test sur %2 supprimé(s)",
    "msgConfirmRemoveSection": "La section sera supprimée. Continuer ?",
    "msgRequirementsImported": "L'importation des exigences dans le système a abouti.",
	"msgConfirmDeleteRequirements": "La ou les exigences sélectionnées seront supprimées. Continuer?",
    
    "labelTestCase": "Jeu d'essai",
    "labelTestCaseGrp": "Groupe de jeux d'essai",
    "labelNewTestCase": "Créer un jeu d'essai",
    "labelMyTestCase": "Mes jeux d'essai",
    "labelAllTestCase": "Afficher les jeux d'essai",
    "labelTestCaseSizing": "Définition de l'ampleur du jeu d'essai",
    "labelTestGrpSizing": "Définition de l'ampleur du groupe de tests",
    "labelImportTestCase": "Importer des jeux d'essai",
    "labelExportTestCase": "Exporter des jeux d'essai",
    "labelClickToOpenTestCase": "Cliquez pour ouvrir le jeu d'essai",
    
    "msgDefaultWorkItemSummary": "Terminer la section %1 de %2 : %3",
    "msgCompleteTestCaseGrp": "Terminer la création du groupe de jeux d'essai",
    "msgCompleteTestCase": "Terminer la création du jeu d'essai",
    "msgDelTestCaseConfirm": "Le ou les jeux d'essai sélectionnés seront supprimés. Continuer ?",
    "msgDelSomeOpenTestCaseConfirm": "Certains jeux d'essai sélectionnés sont ouverts dans d'autres onglets. Sélectionnez ceux à supprimer.",
    "msgDelAllOpenTestCaseConfirm": "Les jeux d'essai sélectionnés sont ouverts dans d'autres onglets. Sélectionnez ceux à supprimer.",
    "msgDeletingTestCase": "Suppression du jeu d'essai \"%1\"",
    "msgDeletedTestCases": "%1 jeu(x) d'essai sur %2 supprimé(s)",
    "msgSaveRequiredToView": "Le %1 doit être sauvegardé avant d'afficher un nouveau %2. Sauvegarder %1 maintenant ?",
    "msgGenEWITestCaseWarning": "Sélectionnez au moins un jeu d'essai.",
	"msgSaveRequiredToGenEWI": "Avant de générer un ou plusieurs enregistrements d'exécution de test, sauvegardez : %1.",		// CML: 5635
    "msgDeleteTypeRequired": "Sélectionnez un ou plusieurs %1s à supprimer.",
    "msgSaveRequiredToChange": "Le %1 doit être sauvegardé avant le changement de %2. Sauvegarder %1 maintenant ?",
	
    "labelTestScript": "Script de test",
    "labelTestScriptRevision": "Script de test version %1",
	"labelTestScripts": "Scripts de test",
    "labelNewTestScript": "Créer un script de test",
    "labelMyTestScript": "Mes scripts de test",
    "labelAllTestScript": "Afficher les scripts de test",
    "labelTestScriptSizing": "Définition de l'ampleur du script de test",
    "labelAssocTestScript": "Associer un script de test",
    "labelImportTestScript": "Importer des scripts de test",
    "labelExportTestScript": "Exporter des scripts de test",
    "labelTestScriptToImport": "Scripts de test à importer",
    "labelTestScriptName": "Nom du script de test",
    "labelScriptless": "Sans scripts",
    "labelWeightDist": "Distribution du poids",
    "labelNoScriptsFound": "Aucun script trouvé",
    "labelScriptName": "Nom du script",
    "labelScriptType": "Type de script",
    "labelOverallVerdict": "Résultat", // CML: term
    "labelScriptSuffix": "Script %1",
    
    "labelScriptPath": "Chemin de script",
    "labelSelectAdapter": "Sélection d'un adaptateur",
    "labelSelectedAdapter": "Adaptateur sélectionné",
    "labelProjectPath": "Chemin du projet",
    "labelSelectTestScript": "Sélection d'un script de test",
    "labelBrowseForResource": "Utiliser les ressources de test d'un emplacement partagé",
    "labelUseAdapter": "Utiliser les ressources de test locales sur une machine de test",
	"labelBrowseForResourceHelpTxta": "Choisissez les ressources de test d'un emplacement partagé. ",
	"labelBrowseForResourceHelpTxtb": "Lors de l'exécution, les ressources seront copiées sur la machine de test.",
    "labelUseAdapterHelpTxta": "Choisissez les ressources de test figurant déjà sur une machine de test. ",
	"labelUseAdapterHelpTxtb": "Lors de l'exécution, les ressources à l'emplacement choisi seront utilisées.",
	"labelCreateScriptSelector": "Ceci créera un script de test faisant référence à des ressources de test externes. Sélectionnez le type de ressource de test à utiliser :",
	"labelImportScriptSelector": "L'importation créera des scripts de test faisant référence à des ressources de test externes. Sélectionnez le type de ressource de test à utiliser :",
    
    "labelTestSuite": "Suite de tests",
    "labelTestSuites": "Suites de tests",
    "labelMyTestSuite": "Mes suites de tests",
    "labelAllTestSuite": "Toutes les suites de tests",
    "labelNewTestSuite": "Créer une suite de tests",
    "labelClickToOpenTestSuite": "Cliquez pour ouvrir une suite de tests",
    "labelLocalComputer": "Ordinateur local",
	
    "msgEnterProjectPath": "Entrez le chemin du projet",
    "msgDelTestScriptConfirm": "Le ou les scripts de test sélectionnés seront supprimés. Continuer ?",
    "msgDelSomeOpenTestScriptConfirm": "Certains scripts de test sélectionnés sont ouverts dans d'autres onglets. Sélectionnez ceux à supprimer.",
    "msgDelAllOpenTestScriptConfirm": "Les scripts de test sélectionnés sont ouverts dans d'autres onglets. Sélectionnez ceux à supprimer.",
    "msgDeletingTestScript": "Suppression du script de test \"%1\"",
    "msgDeletedTestScript": "%1 script(s) de test sur %2 supprimé(s)",
    "msgNoStepInScript": "Le script de test choisi ne contient aucune étape.\nAjoutez des étapes d'exécution au script de test dans la perspective de construction.",
    "msgDelEWIConfirm": "Le ou les enregistrements d'exécution de test sélectionnés seront supprimés. Tous les résultats associés seront perdus. Continuer ?",
    "msgDeletingEWI": "Suppression de l'enregistrement d'exécution de test \"%1\"",
    "msgDeletedEWI": "%1 enregistrement(s) d'exécution de test sur %2 supprimé(s)",
    
    "msgSuiteElementDeletedSave": "Les combinaisons Jeu d'essai - Environnement de test suivantes qui font partie de la suite d'exécution de test ont été supprimées.<br/>Vous devez soit les supprimer de la section Jeux d'essai de la suite d'exécution de test avant de sauvegarder cette dernière, soit les restaurer en cliquant sur le bouton Restaurer.<br/>",
	"msgSuiteElementDeletedRun": "Les combinaisons Jeu d'essai - Environnement de test suivantes qui font partie de la suite d'exécution de test ont été supprimées.<br/>Vous pouvez soit les supprimer de la section Jeux d'essai de la suite d'exécution de test avant d'exécuter cette dernière, soit les restaurer en cliquant sur le bouton Restaurer.<br/>",
	"msgSuiteElementRestoreError":"Impossible de restaurer tous les éléments. Impossible de continuer.",
	"msgNoPermToRestore":"Vous n'avez pas les droits nécessaires pour effectuer une restauration",
	"msgDelTestSuiteConfirm": "La ou les suites de tests seront supprimées. Continuer ?",
    "msgDeletingTestSuite": "Suppression de la suite de tests \"%1\"",
    "msgDeletedTestSuite": "%1 suite(s) de tests sur %2 supprimée(s)",
    "msgSetTestSuiteConfigWarning":"Impossible de définir les environnements de test de certains jeux d'essai car l'opération entraînerait des doublons.",
	"cantSetTestSuiteConfig":"Impossible de définir l'environnement de test",
    "labelRunReport": "Exécuter le rapport",
    
	"labelTestConnection": "Tester la connexion",
	"msgTestingConnection": "Test de la connexion à l'emplacement de ressources partagées. L'opération peut prendre un certain temps.",
	"msgResourceAccessible": "L'emplacement de ressources partagées est accessible sur le serveur QM.",
	
    "labelAllKeywords": "Tous les mots clés",
    "labelWorkItem": "Elément de travail",
    "labelWorkItemLabel": "Elément de travail :",
    "labelNewWorkItem": "Créer un élément de travail",	
    "labelTestDataLabel": "Données de test :", // CML: term
    "labelDatapool": "Données de test", // CML: term
    "labelNewDatapool": "Créer des données de test", // CML: term
    "labelAllDatapool": "Toutes les données de test", // CML: term
    "labelEWI": "Enregistrement d'exécution de test", // CML: term
    "labelEWIs": "Enregistrements d'exécution de test", // CML: term
    "labelNewEWI": "Créer un enregistrement d'exécution de test", // CML: term
    "labelRemoveEWI": "Supprimer un enregistrement d'exécution de test", // CML: term
    "labelRefreshEWI": "Actualiser les enregistrements d'exécution de test", // CML: term
    "labelGenEWIs": "Générer de nouveaux enregistrements d'exécution de test", // CML: term
    "labelExecCon": "Console d'exécution",
    "labelMyEWI": "Mes enregistrements d'exécution de test", // CML: term
    "labelAllEWI": "Afficher les enregistrements d'exécution de test", // CML: term
    "labelMyExeResult": "Mes résultats d'exécution",
    "labelAllExeResult": "Tous les résultats d'exécution",
    "labelEWINameLabel": "Nom TER",		// CML: 5635
    "labelEWIName": "Identité Web d'exécution %1",
    "labelScriptExe": "Exécution du script",
    "labelExeResult": "Résultat de l'exécution",
    "labelResultHist": "Historique des résultats",
    "labelCreateEWI": "Créer un enregistrement d'exécution de test", // CML: term
    "labelExeTest": "Exécuter un jeu d'essai",
	"labelExeTestSuite": "Exécuter une suite de tests",
	"labelRunManTest": "Exécuter un test manuel",
    "labelResumeExe": "Reprendre l'exécution",
    "labelExecuting": "En cours d'exécution",
    "labelViewExeResult": "Afficher les résultats de l'exécution",
    "labelExeItem": "Eléments exécutés",
    "labelExeLog": "Journaux d'exécution",
    "labelExeResults": "Résultats de l'exécution",
    "labelExeBy": "Exécuté par",
    "labelEWIView": "Vue des enregistrements d'exécution de test",
    "labelLinkResult": "Lien à l'historique des résultats",
    "labelResultDetails": "Détails des résultats",
    "labelResultSuffix": "Résultat %1",
    "labelNumberHr": "%1 h ",
    "labelNumberMin": "%1 min ",
    "labelNumberSec": "%1 sec ",
    "labelDummyIcon": "Icône factice",
    "labelClickToPauseExe": "Cliquez pour interrompre l'exécution",
    "labelClickToResumeExe": "Cliquez pour reprendre l'exécution",
    "labelShowDefects": "Incidents",
    "labelShowAttach": "Pièces jointes",
    "labelShowComments": "Ajouter/modifier le commentaire",
    "labelResultAttach": "Pièces jointes des résultats",
    "labelManualExeStatus": "Statut d'exécution manuelle",
    "labelCloseAndShowResult": "Fermer et montrer les résultats",
    "labelLastSavedOn": "Dernière sauvegarde le ",
    "labelRelativeLocation": "Emplacement relatif",
    "labelAddNewDefect": "Ajouter un nouvel incident",
    "labelAddExistingDefect": "Ajouter un incident existant",
	"labelFreshExtDraftDefect": "Régénérer l'incident de brouillon externe",
	"labelChangeStatus": "Changer l'état bloquant de l'incident",
    "labelDefectId": "ID incident : ",
    "labelDefectIconText": "Cliquez sur l'icône de l'incident pour afficher les incidents.",
	"labelDefectIdExecution": "ID incident : %1",
    "labelCompare": "Comparer",
    "labelWeightDistribution": "Distribution du poids",
    "labelPossible": "Possible : ",
    "labelTextTooLong": "Le texte ne peut pas comporter plus de 250 caractères.",
    "labelComparisonResult": "Résultat de la comparaison : ",
    "labelForCompare": "Entrer du texte",
    "labelDuringCompare": "Texte fourni",
    "labelToCompare": "Coller le texte à comparer",
    "labelExeTestSuite": "Exécuter une suite de tests",
    "labelLoadContributors": "Chargement de la liste des collaborateurs...",
    "labelLoadTestPlanList": "Chargement de la liste des plans de test...",
    "labelLoadTestCaseList": "Chargement de la liste des jeux d'essai...",
    "labelLoadConfig": "Chargement de la liste des environnements de test...",
	
	"labelAdapterConsole": "Console de l'adaptateur",
	"labelAdapterType": "Type d'adaptateur",
	"labelAdapterStatus": "Etat",
	"labelIPAddress": "IP",
	"labelPollingInterval": "Intervalle d'interrogation",
	
    "labelAssociatedScript": "Script associé",
    "labelType": "Type",
    "labelTags": "Balises",
    "labelAssociateScripts": "Associer des scripts automatisés",
    "labelKeywordDesc": "Implémentation de mot clé",
	"labelUseExistingScript": "Associer un script de test manuel existant",
	"labelCreateKeyword":"Créer un mot clé",
	"labelEditKeywords":"Editer des mots clés",
	"labelSaveKeywords":"Sauvegarder des mots clés",
	"labelDeleteKeywords":"Supprimer des mots clés",
	"labelDetailResultHistory":"Historique des résultats détaillé",
    
	"labelDefectStatus": "Statut de l'incident",
	"labelLastResult": "Dernier résultat",
	"labelBlockingStatus":"Etat bloquant",
	"msgClosedDefect":"Les incidents fermés ne peuvent pas être ajoutés en tant qu'incidents bloquants.",
	"msgBlockedWeightZero":"Les poids Bloqué ne peuvent pas avoir la valeur zéro s'il existe des incidents bloquants.", 

	"labelSuiteResult": "Résultat de l'exécution de la suite de tests",
	"labelNamedResult": "%1 résultat", 
    
	"msgTestCasesAdded": "Un ou plusieurs jeux d'essai ont été ajoutés.",
	"msgTestCasesUpdated": "Un ou plusieurs jeux d'essai ont été mis à jour.",
	"msgTestCasesDeleted": "Un ou plusieurs jeux d'essai ont été supprimés.",
	"msgTestPlansAdded": "Un ou plusieurs plans de test ont été ajoutés.",
	"msgTestPlansUpdated": "Un ou plusieurs plans de test ont été mis à jour.",
	"msgTestPlansDeleted": "Un ou plusieurs plans de test ont été supprimés.",
	"labelSelectTestCase": "Sélection d'un jeu d'essai",
	"labelDuplicate": "Doublon trouvé",
	"msgDuplicateTER": "Enregistrement d'exécution de test en double trouvé",
	"labelDuplicateTab": "Onglet en double trouvé",
	"msgDuplicateTab": "Un autre onglet contenant le même enregistrement d'exécution de test a été fermé.",
	"msgTestCaseRequired": "Le jeu d'essai est obligatoire.",
	"msgTestCaseNotInPlan": "Le plan de test sélectionné ne contient pas le jeu d'essai sélectionné.",
	
    "msgArchiveKeyword": "La suppression d'un mot clé empêche son utilisation ultérieure. Continuer la suppression ?",
    "msgSelectEWIExe": "Sélectionnez un enregistrement d'exécution de test à exécuter.", // CML: term
    "msgSelectEWIResume": "Sélectionnez un enregistrement d'exécution de test à reprendre.", // CML: term
    "msgEWInotResumable": "L'enregistrement d'exécution de test sélectionné ne peut PAS être repris. Lancez une nouvelle exécution ?", // CML: term
    "msgExceedExePoints": "La somme des poids Réussite, Echec et Non concluant dépasse le poids disponible.\nPour augmenter ce poids, les autres doivent d'abord être réduits.",
	"msgExceedBlockedPoints": "La somme des poids Réussite et Bloqué dépasse le poids disponible.\nPour augmenter ce poids, les autres doivent d'abord être réduits.",
    "msgLessThanTotalPoints": "Le poids entré ne peut pas être inférieur à la somme des poids Réussite, Echec et Non concluant.",
    "msgExeEngineNotReg": "Aucun adaptateur n'est enregistré, le test automatisé ne peut pas se poursuivre.\nDéfinissez manuellement le résultat.",
    "masCancelPausedScript": "L'exécution du script manuelle a été abandonnée.\nLes résultats seront stockés comme exécution interrompue.",
    "masCancelNewScript": "L'exécution du script manuelle a été abandonnée.",
    "msgEWIChangesNotSave": "Les changements de l'enregistrement d'exécution de test ne seront pas sauvegardés.", // CML: term
    "msgNameRequired": "Le nom est obligatoire.",
    "msgExeOver": "L'exécution a terminé.",
	"msgExeOverWithError": "L'exécution a terminé avec des erreurs.",
	"msgExeOverFailed": "L'exécution a échoué.",
    "msgExeCancel": "L'exécution a été annulée.",
    "msgEngAvailable": "L'adaptateur est disponible.",
    "msgEngUnresponsive": "L'adaptateur ne répond pas.",
    "msgEngRespondLate": "L'adaptateur n'a pas répondu dans le temps imparti.\nIl est peut-être occupé ou inactif.",
    "msgSelectAdapter": "Sélectionnez un adaptateur pour exécuter le test.",
    "msgEnterSharedLocation": "Entrez l'emplacement partagé",
	"msgNoSharedLocation": "Aucun emplacement partagé n'a été trouvé, contactez votre administrateur.",
    "msgSaveBeforeGenTER": "Avant de générer un ou plusieurs enregistrements d'exécution de test, sauvegardez : %1.",
    "msgDelDatapoolConfirm": "Les données de test sélectionnées seront supprimées. Continuer ?",
    "msgDelSomeOpenDatapoolConfirm": "Certaines données de test sélectionnées sont ouvertes dans d'autres onglets. Sélectionnez celles à supprimer.",
    "msgDelAllOpenDatapoolConfirm": "Les données de test sélectionnées sont ouvertes dans d'autres onglets. Sélectionnez celles à supprimer.",
    "msgDeletingDatapool": "Suppression des données de test \"%1\"",
    "msgDeletedDatapools": "%1 donnée(s) de test sur %2 supprimée(s)",
    "msgEditorDatapoolDeleted": "Les données de test de cet éditeur ont été supprimées.",
	"msgRunningDatapoolIteartion" : "Exécution de l'itération des données de test <b>%1<\/b> de &nbsp;",
    "msgDeleteAdapter":"Cette action supprimera définitivement l'adaptateur. Continuer ?",
	"msgAdapterDeleteSuccess" : "La suppression de l'adaptateur a abouti.",
	"msgAdapterDeleteFailed" : "La suppression de l'adaptateur a échoué.", 
	"labelCreateRequirement": "Créer une exigence",
    "labelMyReqmt": "Mes exigences",
    "labelAllReqmt": "Toutes les exigences",
    "labelLaunchReqmtTool": "Importer des exigences",
    "labelAssociatedTestCasesTitle": "Jeux d'essai associés à l'exigence ",
    "labelAssociatedTestCases": "Voir les jeux d'essai associés à l'exigence ",
    "labelAssociatedTestPlansTitle": "Plans de test associés à l'exigence ",
    "labelAssociatedTestPlans": "Voir les plans de test associés à l'exigence ",
    "labelResetRequirementStatus": "Réinitialiser le statut de l'exigence",
    
    "labelNewMember": "Créer un membre d'équipe",
    "labelAllMembers": "Mes membres d'équipe",
    
    "labelNewProj": "Créer un projet",
    "labelMyProjs": "Créer des projets",
    
    "labelCreateDefect": "Créer un incident",
    "labelGoToDefects": "Aller aux incidents...",
    "labelDefectSummary": "Récapitulatif des incidents",
	"labelBlockingDefects": "Incidents bloquants",
    "labelRelatedDefects": "Incidents liés",
    "msgFileDefect": "L'icône d'incident a été activée pour sauvegarder un incident",
	"msgNoAssociatedDefectsEWI": "Des incidents sont associés à l'enregistrement d'exécution sélectionné.",
    "msgOpeningWorkItem": "Ouverture de l'élément de travail : %1",
	"msgErrorOpeningWorkItem": "Erreur lors de l'ouverture de l'élément de travail : %1",
	"msgErrorCreatingWorkItem": "Erreur lors de la création d'un élément de travail",
	
    "labelReportsTitle": "Rapports QM",
    "labelViewReports": "Tous les rapports",
    "labelViewReport": "Afficher un rapport",
    "labelCopyReport": "Copier un rapport",
    "labelNewReport": "Créer un rapport",
	"labelEditReport": "Modifier un rapport",
    "labelFolder": "Dossier",
	"labelAdminDW": "Administration de l'entrepôt de données",
    "labelAdminDWTitle": "Administration de l'entrepôt de données",
    "labelSharedRpts": "Rapports partagés",
    "labelAddedCustomControl": "Commande personnalisée ajoutée",
    "labelRefreshReports": "Actualiser les rapports",
	"msgCloseReport": "Un autre rapport (%1) est déjà ouvert et sera fermé. Continuer ?",
    "msgReportMissing": "Sélectionnez un rapport pour %1.",
    "msgReportSingle": "Sélectionnez un seul rapport pour %1.",
	"labelCloseReportTitle": "Ouvrir un nouveau rapport",
	"msgErrorModifyReport": "Impossible d'éditer le rapport.",
    
    "labelManageTemplates": "Gérer des modèles",
    "labelManageTemplate": "Gérer le modèle %1", //1: template name, 2: editor type
    "labelTemplateName": "Nom du modèle",
    "labelCreateTemplate": "Créer le modèle %1",
	"labelTemplate": "Modèle",
    "labelTemplateLabel": "Modèle :",
    "labelNewTemplateName": "Nouveau modèle %1",
    "labelSetDefaultTemplate": "Définir comme nouveau modèle par défaut",
	"labelAdvancedOptions": "Montrer les options avancées",
    "labelCopyTemplate": "Copier un modèle",
    "labelCopyOf": "Copie de %1",
	"labelRefreshTemplates": "Actualiser les modèles",
	"labelAllTemplates": "Tous les modèles",
	"labelModifiable": "Modifiable",
    "msgTemplateMissing": "Sélectionnez un modèle pour %1.",
    "msgTemplateSingle": "Sélectionnez un seul modèle pour %1.",
	"msgConfirmChangeTemplate": "Toutes les modifications seront perdues lors du changement de modèle. Voulez-vous changer les modèles ?",
	"msgConfirmArchiveTemplate": "Le modèle '%1' sera archivé. Continuer ?",
    
    "msgSelectReport": "Sélectionnez un rapport à exécuter.",
    "msgSelectSingleReport": "Sélectionnez un seul rapport à exécuter.",
    "msgUUIDRequired": "Une instance de 'reportUUID' ou 'queryUUID' est OBLIGATOIRE.",
    
    "labelRTLMDisabled": "Désactivé - montrer les détails",
    "labelFindRes": "Rechercher une ressource de lab",
    "labelAllRes": "Toutes les ressources de lab",
    "labelAdvancedFind": "Recherche avancée",
    "labelMyRes": "Mes ressources",
	"labelMachine": "Machine",
    "labelNewMach": "Créer une machine",
    "labelViewMach": "Afficher la machine",
    "labelNewVMImg": "Créer une image virtuelle",
    "labelResGrp": "Groupe de ressources de lab",
    "labelNewResGrp": "Créer un groupe de ressources de lab",
    "labelAllResGrp": "Tous les groupes de ressources de lab",
    "labelRequest": "Demande",
    "labelNewReq": "Créer la demande",
    "labelAllReq": "Toutes les demandes",
    "labelViewReq": "Afficher une demande",
    "labelCreateReq": "Créer une demande de lab",
    "labelAllRsvp": "Toutes les réservations",
    "labelMakeRsvp": "Faire une réservation de lab",
    "labelNewCfg": "Créer l'environnement de test", // CML: term
    "labelAllCfg": "Tous les environnements de test", // CML: term
    "labelViewCfg": "Afficher un environnement de test", // CML: term
    "labelAllVirtualCollections": "Toutes les collections virtuelles",
    "labelAllAuto": "Toutes les automatisations",
    "labelAllInvHist": "Tous les historiques d'inventaire",
    "labelViewInvHist": "Afficher un historique d'inventaire",
    "labelImportRes": "Importer des ressources de lab",
    "labelImportResTemp": "Importer un modèle de ressources",
	"labelNotReserved": "Non réservé",
	"labelReserved": "Réservé",
	"labelReservedUntil" : "Jusqu'à %1",
	"labelNMinutes": "%1 minutes",
	"labelOneHour": "1 heure",
	"labelNHours": "%1 heures",
	"labelNDays": "%1 jours",
	"labelOneDay": "1 jour",
	"labelIgnoreConfiguration": "Ignorer la configuration",
	"lableFilterByConfiguration": "Filtrer les machines par environnement de test",
	"labelExecutionDuration": "Durée de l'exécution :",		
	"labelCustomizeCatalog" : "Personnaliser le catalogue",
    "labelArchivedLabResources" : "Toutes les ressources de lab supprimées et masquées",
    "titleRTLMDisabled": "Gestion de lab désactivée",
    "errRTLMLabMgrGrpNotSet": "L'équipe du gestionnaire de lab du système de gestion de lab n'est pas configurée.",
    
    "msgEditorTestPlanDeleted": "Le plan de test de cet éditeur a été supprimé.",
    "msgEditorTestCaseDeleted": "Le jeu d'essai de cet éditeur a été supprimé.",
    "msgEditorTestScriptDeleted": "Le script de test de cet éditeur a été supprimé.",
    "msgEditorTestSuiteDeleted": "La suite de tests de cet éditeur a été supprimée.",
	"msgTestCaseOfSuiteUpdated": "Le ou les jeux d'essais de cette suite de tests ont été mis à jour.",
    
    "msgViewerEWIDeleted": "L'enregistrement d'exécution de test de cet afficheur a été supprimé.",
    "msgViewerEWITestScriptDeleted": "Le script de test de cet enregistrement d'exécution de test a été supprimé.",
    "msgViewerEWITestCaseDeleted": "Le jeu d'essai de cet enregistrement d'exécution de test a été supprimé.",
    
    "msgEWIOfERDeleted": "L'enregistrement d'exécution de test associé à ce résultat d'exécution a été supprimé.",
    "msgTestScriptOfERDeleted": "Le script de test associé à ce résultat d'exécution a été supprimé.",
    "msgTestCaseOfERDeleted": "Le jeu d'essai associé à ce résultat d'exécution a été supprimé.",
    "msgNewDefectAddedtoER": "Incident %1 créé et ajouté au résultat d'exécution",
	"msgDefectAddedtoER":"Incident %1 ajouté au résultat d'exécution",
	"msgDefectCanBeViewed":"L'incident peut être affiché depuis la sous-fenêtre Incidents liés.",
	
    "msgEditorTestCaseInPlanDeleted": "Le ou les jeux d'essai associés à ce plan de test sont supprimés.",
    "msgEditorTestCaseInPlanChanged": "Le ou les jeux d'essai associés à ce plan de test sont mis à jour.",
    "msgEditorTestScriptInCaseChanged": "Le ou les scripts de test associés à ce jeu d'essai sont mis à jour.",
    "msgEditorTestScriptInCaseDeleted": "Le ou les scripts de test associés à ce jeu d'essai sont supprimés.",
    "msgEditorEWIInCaseChanged": "Un ou plusieurs enregistrements d'exécution de test associés à ce jeu d'essai sont mis à jour",
    "msgEditorEWIInCaseDeleted": "Un ou plusieurs enregistrements d'exécution de test associés à ce jeu d'essai sont supprimés",
    "msgDelExecutionResultConfirm": "Le ou les résultats d'exécution sélectionnés seront supprimés. Continuer ?",
    "msgDeletingExecutionResult": "Suppression du résultat d'exécution \"%1\"",
    "msgDeletedExecutionResults": "%1 résultat(s) d'exécution sur %2 supprimé(s)",
    "msgERDeleted": "Le résultat d'exécution de cet éditeur a été supprimé.",
    
	"msgEROfSuiteDeleted": "Le ou les résultats d'exécution associés à ce résultat d'exécution de la suite de tests sont supprimés.",
	"msgEROfSuiteUpdated": "Le ou les résultats d'exécution associés à ce résultat d'exécution de la suite de tests sont mis à jour.",
	
	"msgReqQueued": "Cette tâche est mise en file d'attente.",
    "msgReqRunning": "Cette tâche est en cours d'exécution.",
    "msgReqCancelled": "Cette tâche est annulée.",
    "msgReqCompleted": "Cette tâche est terminée.",
    "msgSuiteExecRunning": "En cours d'exécution",
    "msgSuiteExecQueued": "Mis en file d'attente",
    "msgSuiteExecCancelled": "Annulé",
    "msgSuiteExecCompleted": "Terminé",
	
    "errTestPlanNotFound": "Plan de test introuvable.",
    "errTestCaseNotFound": "Jeu d'essai introuvable.",
    "errTestScriptNotFound": "Script de test introuvable.",
    "errTestSuiteNotFound": "Suite de tests introuvable.",
    "errDatapoolNotFound": "Données de test introuvable.",
    
    "errRetrieveTestPlan": "Impossible d'extraire le plan de test.",
    "errRetrieveTestCase": "Impossible d'extraire le jeu d'essai.",
    "errRetrieveTestScript": "Impossible d'extraire le script de test.",
    "errRetrieveEWI": "Impossible d'extraire l'enregistrement d'exécution de test.",
	"errRetrieveER": "Impossible d'extraire le résultat d'exécution du test.",
    "errMissScriptTypeId": "Paramètre manquant pour openAdapterSelectorDialog - scriptTypeId",
    "errInAdapterSelector": "Erreur dans le sélecteur de l'adaptateur ",
    "errMissSelectionArea": "Paramètre manquant : selectionArea est obligatoire si les deux sections doivent être créées.",
    "errInRemoteExecutionScriptEditorSection": "ERREUR dans RemoteExecutionScriptEditorSection",
    
    "labelEnterNewEWITitle": "< Entrez le nom du nouvel enregistrement d'exécution de test >",
    "labelNewPageTitle": "< Entrez le nom du nouveau type > ",
    "labelNewPageNoTitlePrompt": "< Entrez un nom pour %1 > ",
    
    "labelTitleApprovalTable": "Type de révision",
    "labelNameApprovalTable": "Nom",
    "labelStatusApprovalTable": "Etat",
    "labelModifiedApprovalTable": "Modifié",
    "labelCommentsApprovalTable": "Commentaires",
    
    "labelApprovalApprovalTable": "Valideur",
    "labelReviewerApprovalTable": "Réviseur",
    "labelPendingApprovalTable": "En attente",
    "labelApprovedApprovalTable": "Approuvé",
    "labelRejectedApprovalTable": "Rejeté",
    "labelReopenApprovalTable": "Rouvrir",
    "labelReviewedApprovalTable": "Révisé",
    "labelAllApprovalTable": "Tous",
    "labelGuestApproval": "INVITE",
    "labelAddUsersApprovalTable": "Ajouter des utilisateurs",
    "msgRemoveMoreWarningApprovalTable": "Sélectionnez un ou plusieurs enregistrements d'approbation à supprimer.",
    "msgAddingDuplicatedWarningApprovalTable": "Dans la section Révision formelle, l'ajout de réviseurs et de valideurs en double n'est pas autorisé.",
    "msgRejectionReasonWarningApprovalTable": "Dans la section Révision formelle, les commentaires sur votre rejet sont obligatoires.",
	"msgApprovalSummary" : "Renseignez la section Révision formelle de %1 : %2",
    "msgNoSummaryApproval": "Aucun récapitulatif disponible",
    "msgNoSummaryYetApproval": "Aucun récapitulatif encore disponible",
    "msgMoreSummaryApproval": "Plus de récapitulatif",
    "msgNoHistoryYetApproval": "Aucun historique encore disponible",
	"msgDelReviewItems": "Les éléments approuvés/rejetés n'ont pas pu être supprimés.",
    "labelReviewHistoryApproval": "Historique de la révision",
    
    "msgDuration": "Cette valeur est indiquée dans un format d'unité de temps abrégé.",
    "msgDurationExample": "Exemple : entrez \"2 d\" pour 2 jours. La limite supérieure est 9999",
    "msgAddARApprovalTable": "Ajouter des valideurs/réviseurs",
    "msgRemoveARApprovalTable": "Supprimer des valideurs/réviseurs",
    "labelNoneApproval": "Aucun",
    "msgReviewSummaryApproval": "Récapitulatif de la révision",
    "labelOfApproval": "de",
    
    "labelDescriptionQualityGoal": "Description %1",
    "labelCurrentStatusQualityGoal": "Valeur actuelle",
    "labelMetStatusQualityGoal": "Etat",
    "labelCommentQualityGoal": "Commentaire",
    "labelMetQualityGoal": "Réussite",
    "labelMetExcepQualityGoal": "Réussite avec exception",
    "labelNotMetQualityGoal": "Peu ou pas de réussite",
    "labelNotStartedQualityGoal": "Non démarré",
    "labelUnresolvedQualityGoal": "Non résolu",
    
    "labelPromoteMsgSizing": "Entrez un nombre positif.",
    "labelInvalidMsgSizing": "La valeur entrée n'est pas valide ou n'a pas besoin d'être aussi précise.",
    
    "labelSummaryInfoTimeBox": "Définissez les jalons du test pour ce plan de test.",
    
    "labelGroupNameTestGroup": "Nom du groupe",
    "labelPlanningEffortTestGroup": "Effort de planification",
    "labelExecuteEffortTestGroup": "Effort d'exécution",
    "labelNotSetYetTestGroup": "Pas encore défini",
    "labelApproximatelyTestGroup": "Environ",
    "labelApproximatelyZeroTestGroup": "Environ 0 jour(s)",
    "labelYearTestGroup": "Année(s)",
    "labelMonthTestGroup": "Mois",
    "labelDayTestGroup": "Jour(s)",
    
    "msgDurationMsgTimeBox": "Dans la section Planning de test, la date de début doit être antérieure à celle de fin.",
    "msgRemoveMsgTimeBox": "Sélectionnez un ou plusieurs enregistrements de phase à supprimer.",
    "msgInvalidDateErrorBox": "Le format de date n'est pas valide.",
    "msgValidateRequireMsgTimeBox": "Dans la section Planning de test, un nom de phase de test est obligatoire. Entrez le nom de phase de test avant la sauvegarde.",
    "msgValidateDurationMsgTimeBox": "Dans la section Planning de test, la date de début doit être antérieure à celle de fin. Supprimez-la.",
    "msgNameRequireMsgTimeBox": "Le nom doit être unique. Vérifiez %1 pour : %2",
	"msgDurationErrorBox": "Dans la section Planning de test, la valeur de durée planifiée ou réelle n'est pas valide.", 
	"msgPointsErrorBox": "Dans la section Planning de test, la valeur du total de points planifiés n'est pas valide.", 
    "labelNameTimeBox": "Nom",
    "labelDescriptionTimeBox": "Description",
    "labelStartDateTimeBox": "Date de début planifiée",
    "labelEndDateTimeBox": "Date de fin planifiée",
    "labelDurationTimeBox": "Durée planifiée",
    "labelActStartDateTimeBox": "Date de début réelle",
    "labelActEndDateTimeBox": "Date de fin réelle",
    "labelActDurationTimeBox": "Durée réelle",
	"labelPointsTimeBox": "Points",
	"labelValidTimeBox": "Taux de validité",
    "labelOwnerTimeBox": "Propriétaire",
    "labelDurationUnit": "%1 d", //d means "days", do not translate
	
    "labelNameKeyDate": "Nom",
    "labelDescriptionKeyDate": "Description",
    "labelDateKeyDate": "Date",
    
    "labelTestIterationTableTimeBox": "Tableau de planning de test",
    "labelKeyDateTableTimeBox": "Tableau de dates clés",
    "labelAddTestIterationsTimeBox": "Ajouter des plannings de test",
    "labelRemoveTestIterationsTimeBox": "Supprimer des plannings de test",
    "labelAddKeyDatesTimeBox": "Ajouter des dates clés",
    "labelRemoveKeyDatesTimeBox": "Supprimer des dates clés",
    "labelHistory": "Historique",
    "labelTestCaseReviewSummary": "Récapitulatif de la révision du jeu d'essai : ",
    "labelRunningSearch": "Exécution de la recherche...",
    "labelShowAll": "Afficher tout",
    "labelEnterName": "Entrez un filtre de nom pour charger la liste.",
    "labelUseWildcard": 'Utilisez "*" et "?" comme caractères génériques.',
    "labelMatchingUsers": "Utilisateurs correspondants :",
    "labelShowArchivedUsers": "Montrer les utilisateurs archivés",
    "labelShowingMatchingUsers": "Affichage des %1 premiers utilisateurs correspondants",
    "labelPlanningEffort": "Effort de planification",
    "labelPersonHours": "Heures par personne",
    "labelPersonDays": "Jours par personne",
    "labelPersonMonths": "Mois par personne",
    "labelPersonYears": "Années par personne",
    "labelExecutionEffort": "Effort d'exécution",
    "labelTestScheduleTable": "Tableau de planning de test",
    "labelKeyDateTable": "Tableau de dates clés :",
    "labelComments": "Commentaires",
    
    
    "labelOpenItemReviewlet": "Mes éléments ouverts",
    "labelAlreadyApprovedReviewlet": "Déjà approuvés pour moi",
    "labelAlreadyRejectedReviewlet": "Déjà rejetés pour moi",
    "labelPendingApprovalsReviewlet": "Approbations en attente pour moi",
    
    "labelApprovedReviewlet": "%1 a été approuvée.",
    "labelRejectedReviewlet": "%1 a été rejetée.",
    "labelApproveReviewReviewlet": "Approuver/réviser %1",
    
    "labelProcessSummay": "Récapitulatif",
    "labelProcessApprove": "Approuver",
    
    "labelDeleteConfigurations": "Supprimer des environnements de test", // CML: term
    "labelStep1": "Etape 1",
	"labelStep2": "Etape 2",
	"labelStep3": "Etape 3",
    "labelGenerationProperties": "Propriétés de génération",
    "labelAdvancedProperties": "Propriétés avancées",
    "labelInclusions": "Inclusions",
    "labelExclusions": "Exclusions",
    "labelWeightings": "Pondérations",
    "labelExclusionsText": "Les combinaisons suivantes doivent être exclues.",
    "labelInclusionsText": "Les combinaisons suivantes doivent être incluses.",
    "labelWeightingsText": "Pondérez l'importance de chacune en changeant l'échelle ci-dessous. 1=Faible 5=Elevée",
    "labelEnvironment": "Environnement",
	"labelTestExecutionRecords": "Enregistrements d'exécution de test",
	"labelTestEnvironments": "Environnements de test",
    "labelEnvironmentInlineHelp": "Sélectionnez un ou plusieurs attributs dans les colonnes ci-dessous. Le nombre d'%1s créés dépend du nombre d'attributs sélectionnés, du niveau de couverture choisi et des propriétés avancées (Inclusions, Exclusions et Pondérations).",
	"labelConfigurationListInlineHelp": "Pour réutiliser des environnements de test existants, sélectionnez le plan de test associé, puis le(s) environnement(s) de test voulu(s).",
	"labelNoPlatformCoverageForTestPlan": "Aucune couverture de plateforme n'est configurée pour ce plan de test. La couverture de plateforme peut être ajoutée dans la section Environnements de test de l'éditeur de plans de test.",
	"labelChangeOwner": "Changer le propriétaire",
    "labelChangeIteration": "Changer le planning de test",
    "labelTestCases": "Jeux d'essai",
    "labelAll": "TOUS",
    "labelAny": "TOUT",
    "labelInvalidStep": "Etape non valide",
    "labelReuseConfigurations": "Réutiliser des environnements de test existants", // CML: term
    "labelGenerateEWI": "Générer des enregistrements d'exécution de test :", // CML: term
    "labelGenerateNewConfigurations": "Générer de nouveaux environnements de test",
	"labelGenerateConfigurations": "Générer des environnements de test", // CML: term
    "labelGeneratedEWI": "Enregistrements d'exécution de test générés :", // CML: term
    "labelGeneratedConfigurations": "Environnements de test générés :", // CML: term
    "labeAddExistingConfigurations": "Ajouter des environnements de test existants", // CML: term
    "labelCoverage": "Couverture",
    "labelCoverageOption1": "Minimale - Interaction unilatérale",
    "labelCoverageOption2": "Moyenne - Interaction en duo",
    "labelCoverageOption3": "Grande - Interaction en trio",
    "labelCoverageOptionAll": "Toutes - Toutes les permutations",
    "labelWorkItemDistribution": "Distribution d'enregistrements d'exécution de test",
    "labelWorkItemDisOption1": "Appliquer à chaque jeu d'essai",
    "labelWorkItemDisOption2": "Parcourir de façon aléatoire tous les jeux d'essai",
	"labelNoIteration": "Il n'y a pas d'itération.",
	"labelNoUser": "Il n'y a pas d'utilisateur.",
	"labelDeleteTestEnvironmentRecord": "Supprimer des enregistrements d'exécution de test",
	"labelAddExclusion": "Ajouter une exclusion",
	"labelRemoveExclusion": "Supprimer une exclusion",
    
    
	"msgSelectTestEnvironments": "Sélectionnez d'abord un ou plusieurs environnements de test",
    "msgPromptDeleteConfiguration1": "Ces %1 environnements de test seront supprimés. Continuer ?", // CML: term
    "msgPromptDeleteConfiguration": "Environnement de test : '%1' sera supprimé. Continuer ?", // CML: term
    "msgDeleteConfiguration": "Sélectionnez au moins un environnement de test à supprimer.", // CML: term
    "msgSaveToGenerateConfigurations": "La couverture de plateforme a été mise à jour, sauvegardez ce %1 avant de générer des environnements de test.", // CML: term
    "msgNoTestEnvironments": "Il n'y a pas de couverture de plateforme dans ce %1, ajoutez-en d'abord une.",
    "msgSameCombinations": "Les inclusions et les exclusions comportent des combinaisons identiques.",
    "msgSelectEWIs": "Sélectionnez d'abord un ou plusieurs enregistrements d'exécution de test.", // CML: term
    "msgConfilictConfiguration": "Il existe un conflit entre des attributs sélectionnés et la configuration des propriétés avancées.", // CML: term - ???
    "labelAlert": "Alerte",
    "labelError": "Erreur",
    
    "labelImportRequirements": "Importer des exigences",
    "labelAssociateRequirements": "Ajouter des exigences",
    "labelDisassociateRequirements": "Supprimer des exigences",
    "labelAssociateRequirement": "Ajouter une exigence",
    "labelAddNewRequirement": "Ajouter une nouvelle exigence",
    "labelImportRequirementStep1": "Importer une exigence->Etape 1 : Configuration de la source d'exigence",
    "labelImportRequirementStep2": "Importer une exigence->Etape 2 : Personnalisation de la vue d'exigences",
    "labelImportRequirementStep3": "Importer une exigence->Etape 3 : Liste des exigences",
    "labelReqProType": "ReqPro",
    "labelStatusRequirementTable": "Etat",
    "labelDescriptionRequirementTable": "Description",
    "labelTagRequirementTable": "Balise",
    "labelPriorityRequirementTable": "Priorité",
    "labelReviewStatusRequirementTable": "Statut de révision",
    "labelRequirementSource": "Source :",
    "labelRequirementHostName": "Nom d'hôte :",
    "labelRequisitePro": "RequisitePro",
    "labelRequirementPort": "Port :",
    "labelRequirementProject": "Projet :",
    "labelRequirementUserId": "ID utilisateur :",
    "labelRequirementPassword": "Mot de passe :",
    "labelGettingInfomation": "Obtention d'informations détaillées...",
    "labelRequirementType": "Type :",
    "labelRequirementImport": "Importer",
    "labelRequirementBack": "Précédent",
	"labelRequirementNext": "Suivant",
	"labelRequirementNormal": "normal",
	"labelRequirementUpdated": "mis à jour",
	"labelRequirementRemoved": "supprimé",
    
    "msgNoRequirementDisassociate": "Sélectionnez l'exigence à dissocier.",
    "msgExistRequirement": "La même exigence existe déjà.",
    "msgConfirmUpdateRequirement": "Voulez-vous obtenir les dernières données ?",
    "msgNoHostName": "Entrez au moins un nom d'hôte.",
    "msgNoProject": "La connexion en cours ne comporte aucun projet, changez-la.",
    "msgNoRequirement": "Sélectionnez une ou plusieurs exigences à importer.",
    "msgAddConnection": "Vous avez ajouté la connexion %1, entrez-en une nouvelle ou utilisez %2.",
    
    "labelAdapterInfo":"Informations sur l'adaptateur",
    "labelRobotTestProgress": "Progression du test de Robot",
    "labelSelectEngine": "Sélection d'un moteur pour exécuter le test",
    "labelSelectEngineID": "Sélection d'un ID moteur ",
    "labelDataStorePath": "Chemin du magasin de données",
    "labelActiveEngineList": "Liste de moteurs actifs",
    "labelViewDetail": "Cliquez pour afficher des résultats détaillés",
    "labelFunctionalTestProgress": "Progression du test fonctionnel",
    
    "msgNoEngines": "Aucun adaptateur n'est enregistré, le teste ne peut pas se poursuivre.",
    "msgCancelExecution": "Vous avez choisi d'annuler l'exécution.",
    "msgExecutionOver": "L'exécution est terminée.",
    "msgActualNameRequired": "Le nom réel est OBLIGATOIRE.",
    "msgDataStorePathRequired": "Le chemin du magasin de données est OBLIGATOIRE.",
    "msgSelectAnEngine": "Sélection d'un moteur",
    
    "msgNeedRejectReason": "Les commentaires sur votre rejet sont obligatoires.",
    
    "msgSizingInvalidNum": "Dans la section %1, l'effort de planification ou l'effort d'exécution doivent être numériques.",
    
    "msgDatapoolAddAtta": "Un seul document csv doit être joint pour ces données de test.",
    
    "labelSystemProperties": "Propriétés système",
    "labelReqProConnHostName": "Nom d'hôte",
    "labelReqProConnPortNum": "Numéro de port",
    "labelReqProSynStatus": "Statut de synchronisation",
    "labelReqProStartSyn": "Désactivé",
    "labelReqProStopSyn": "Activé",
    "labelReqProAddConn": "Ajouter une connexion",
    "labelReqPeoRemoveConn": "Supprimer des connexions",
    "labelEnableSynch": "Activer/désactiver la synchronisation",
	"labelSyncNow": "Synchroniser maintenant",
    "labelReqProTestConn": "Tester la connexion",
    "labelReqProSaveConn": "Sauvegarder des connexions",
    "labelReqProRefreshConn": "Actualiser des connexions",
    "msgSysPropError": "Impossible d'exécuter la tâche des propriétés système.",
    "msgSysPropErrorNoDetails": "Aucune information supplémentaire disponible.",
    
    "msgReqProRemoveConn": "Sélectionnez une ou plusieurs connexions à supprimer.",
    "msgReqProPromoptRemoveConn": "Voulez-vous vraiment supprimer ces %1 connexions ?",
    "msgReqProPromoptRemoveConn1": "Voulez-vous vraiment supprimer la connexion %1 ?",
    "msgReqProTestConn": "Sélectionnez une seule connexion pour tester la connectivité.",
    "msgReqProTestConn1": "Sélectionnez une connexion pour tester la connectivité.",
    "msgReqProSaveConn": "Il existe déjà une connexion avec le nom d'hôte : %1 et le port : %2.",
    "msgReqProStopSyn": "Voulez-vous vraiment arrêter la synchronisation %1 de la connexion %2 ?",
	"msgReqProSyncNow": "Voulez-vous vraiment synchroniser RQM et %1 maintenant ?",
    "msgReqProNoNewConn": "Il n'existe pas de nouvelle connexion, ajoutez-en une et entrez le nom d'hôte et le numéro de port avant la sauvegarde.",
    "msgReqProSaveConn1": "Faites d'abord une sauvegarde.",
    "msgReqProConnAvailable": "Cette connexion est disponible.",
    "msgReqProConnUnavailable": "Cette connexion n'est pas indisponible.",
    "msgReqProFailSaveConn": "Echec de sauvegarde des connexions",
    "msgReqProFailSyn": "Echec de démarrage/arrêt de la synchronisation de la connexion %1.",
    "msgSelectOnlyOneConn": "Sélectionnez une seule connexion pour activer/désactiver la synchronisation.",
    "msgSelectOneConn": "Sélectionnez une connexion pour activer/désactiver la synchronisation.",
	"msgSelectOnlyOneConnToSync": "Sélectionnez une seule connexion à synchroniser.",
	"msgSelectOneConnToSync": "Sélectionnez une connexion à synchroniser maintenant.",
	"msgReqProSyncFailed": "Echec de synchronisation entre RQM et %1. Le serveur Requisite Pro est peut-être temporairement non disponible.",
	"msgReqProSyncSuccess": "La synchronisation entre RQM et %1 est en cours.\nElle peut prendre quelques minutes...",
    
    "labelSharedLocations": "Emplacements de ressources partagées",
    "labelAddResourceLocation": "Ajouter un emplacement de ressources",
    "labelRemoveResourceLocation": "Supprimer des emplacements de ressources",
    "labelSaveResourceLocation": "Sauvegarder des emplacements de ressources",
    "labelRefreshResourceLocation": "Actualiser des emplacements de ressources",
    
    "msgRemoveResource": "Sélectionnez une ou plusieurs %1s à supprimer.",
    "msgRemoveResource1": "Ces %1 %2 seront supprimées. Continuer ?",
    "msgRemoveResource2": "%1 : '%2' sera supprimée. Continuer ?",
    "msgSaveResource": "La sauvegarde a abouti.",
    
	"labelRelatedSite": "Site connexe",
    "labelRelatedSites": "Sites connexes",
    "labelAdminRelatedSites": "Configurer la liste de sites connexes de RQM",
	"labelArtifactOptions": "Options d'artefact",
	"labelIBMRational": "IBM Rational",
    "labelIBMRationalQualityMgmt": "IBM Rational Quality Mgmt",
	"labelAddRelatedSites": "Ajouter un site connexe",
	"labelRemoveRelatedSites": "Supprimer un site connexe",	
	"labelURL": "URL",
    "labelHome": "Accueil",
    "labelBackRQMHome": "< Retour à Rational Quality Manager",
	"labelBackRQMPage": "< Retour à %1", // %1 = page title
    "labelCopyright": "&copy; IBM Corporation 2000, %1",
    "labelLogIn": "Se connecter",
    "labelLogOut": "Se déconnecter",
    "labelYourTrialLicense": "Votre <b>licence provisoire<\/b> ",
    "labelHasExired": "Votre <b>licence provisoire<\/b> a expiré. ",
    "labelExpiresToday": "Votre <b>licence provisoire<\/b> expire aujourd'hui. ",
    "labelExpire1day": "Votre <b>licence provisoire<\/b> expire dans 1 jour. ",
    "labelExpireNday": "Votre <b>licence provisoire<\/b> expire dans %1 jours. ",
    "labelExpiresIn": "expire dans ",
    "labelErrorLoading": "Erreur de chargement",
    "labelAdmin": "Admin",
	
	// TRANSLATORS: the follow 4 messages are part of one panel, the last 2 messages comprising 
	//              one sentence with the word "Log In" (as a link) inserted inbetween.
	"labelNoLicense": "Vous êtes connecté à Jazz Team Server mais vous n'êtes pas autorisé à accéder à Rational Quality Manager.",
	"labelNoLicenseContact": "Contactez votre administrateur Jazz Team Server pour savoir comment obtenir l'accès.",
	"labelNoLicense2": "Retour au ",
	"labelNoLicense3": " écran",
	"labelNoProjectAreas": "Vous êtes connecté à Jazz Team Server, mais vous n'avez accès à aucun des projets.",
	"labelInvalidProjectArea": "Vous êtes connecté à Jazz Team Server, mais '%1' n'est pas un projet valide.",
	"labelUnauthProjectArea": "Vous êtes connecté à Jazz Team Server, mais vous n'avez pas accès au projet '%1'.",
	
	"labelReturnToLogin": "Se connecter",
	"labelTestPlanWorkitems": "Eléments de travail du plan de test",
    
    "labelChangeSuspect": "Changer l'attribut suspect",
    "msgChangeSuspectConfirm": "L'attribut suspect pour le ou les jeux d'essai sélectionnés sera changé. Continuer ?",
    
    "labelUnsuspect": "Non suspect",
    "msgUnsuspectConfirm": "Le ou les jeux d'essai sélectionnés cesseront d'être suspects. Continuer ?",
    
	"labelNote": "Remarque : ",
    "labelNameArea": "Zone de nom",
    "labelTextArea": "Zone de texte",
    "labelContentArea": "Zone de contenu",
    "labelSelectArea": "Zone de sélection",
    "labelActionBarPreferences": "Préférences de la barre d'actions",
    "labelVerticalOrientation": "Orientation verticale",
    "labelHorizontalOritentation": "Orientation horizontale",
    "labelRequisiteProHostProperties": "Propriétés de l'hôte RequisitePro",
    "labelSetRequisiteProHostProperties": "Définir les propriétés de l'hôte RequisitePro",
    "labelDefectsProviderProperties": "Fournisseur d'incidents",
	"labelConfigure": "Configurer...",
	"lableClear": "Effacer...",
	"labelProvider": "Fournisseur :",
	"labelStatusWithColon": "Statut :",
	"labelSummaryWithColon": "Résumé :",
	"labelNoneProvidersAvailable": "Aucun fournisseur disponible",
	"labelChecking": "Vérification en cours...",
	"labelClickToVerify": "Cliquez pour vérifier...",
    "labelSetDefectsProviderProperties": "Sélectionnez et configurez le référentiel dans lequel les incidents seront créés",
	"labelSetResourcesProperties": "Ajouter/modifier les emplacements de ressources partagées pour la zone de projet.",
    "labelDefaultRequirementType": "Type d'exigence par défaut",
	"labelCPUNumber": "Limitation de l'unité centrale globale",
	"labelSetCPUNumber": "Définir la limitation des unités centrales prises en charge",
	"labelCPULimit": "Limitation de l'unité centrale globale",
	"labelCPUCount": "Nombre d'unités centrales global",
	"labelSaveGlobalCPULimitation": "Sauvegarder la limitation de l'unité centrale globale",
	"labelStateTransitionConstraint": "Contraintes de transition d'état d'artefact",
	"labelSetStateTransitionConstraint": "Définir les contraintes de transition d'état d'artefact",
    "labelDoorsHostName": "Nom d'hôte Doors",
    "labelBuildForgeHostName": "Nom d'hôte Build Forge",
    "labelResources": "Emplacements de ressources partagées",
	"labelSetSharedLocation": "Définir l'emplacement de ressources partagées",
    "labelTestTypes": "Types de test",
    "labelDefaultTestPlanTemplate": "Modèle de plan de test par défaut",
    "labelActionBar": "Barre d'actions",
    "labelExpansion": "Expansion",
    "labelEditors": "Editeurs",
    "labelTables": "Tableaux",
    "labelRelatedInformation": "Informations connexes",
    "labelSetBuildForgehostname": "Définir le nom d'hôte Build Forge",
    "labelSelectRequirementDocumentType": "Sélection des types de document d'exigences par défaut",
    "labelRationalRequistePro": "Rational Requisite Pro",
    "labelSetDoorsHostname": "Définir le nom d'hôte Doors",
    "labelPreferences": "Préférences",
    "labelTableSize": "Taille du tableau",
    "labelRestoreDefault": "Restaurer les valeurs par défaut",
    "labelSelectTestTypes": "Sélection des types de test",
    "labelRFT": "RFT",
    "labelRMT": "RMT",
    "labelRobot": "Robot",
    "labelReportProperties": "Propriétés du rapport",
    "labelMangeReportHeaderFooter": "Définir les images d'en-tête et de bas de page du rapport",
    "labelReportHeader": "Image d'en-tête du rapport :",
    "labelReportFooter": "Image de bas de page du rapport :",
	"labelCurrentHeader": "En-tête en cours :",
	"labelCurrentFooter": "Bas de page en cours :",
	"labelActionBarVerticalDescription": "Les catégories d'actions de gestion de la qualité sont affichées sous forme d'icônes alignées verticalement sur la gauche de l'écran.",
	"labelActionBarHorizontalDescription": "Les catégories d'actions de gestion de la qualité sont alignées verticalement en haut de l'écran.",
	"labelShowAllSectionsDescription": "Le document entier est affiché dans une page que vous pouvez faire défiler.",
	"labelShowSingleSectionDescription": "Seule la section sélectionnée dans la table des matières est affichée dans l'éditeur.",
	"labelArtifactEditorTOCNote": "Cette préférence sera visible dans les éditeurs d'artefacts ouverts pour la première fois ou à nouveau.",
	"labelDateDisplayFormatNote": "Cette préférence sera visible dans les vues et éditeurs ouverts pour la première fois ou à nouveau.",
	"labelUnsavedChanges": "Contient des changements non sauvegardés : %1",
	"labelExecutionStates": "Etats d'exécution",
	"labelManageExecutionStates": "Gérez les états d'exécution. Remarque : les changements seront automatiquement sauvegardés.",
    
	"msgPreferenceBeActive": "Cette préférence deviendra active la prochaine fois que vous vous connectez à Rational Quality Manager.",
    "msgPreferenceBeActive1": "Cette préférence deviendra active la prochaine fois que vous utilisez cette fonction.",
	"msgSavedSuccessfully": "La sauvegarde a abouti.",
    
    "labelParentTestPlanInfo": "Plan(s) de test parent(s)",
    
    "labelAboutDialogTitle": "A propos de Rational Quality Manager",
    "labelVersionInformation": "Informations sur la version",
    "labelCommonComponentsVersion": "Version des composants communs",
    "labelRTLMVersion": "Version de RTLM",
    "labelQMExternalVersion": "Version de Rational Quality Manager",
    "labelQMInternalVersion": "Version interne",
	
    "labelServerHealth": "Santé du serveur",
    "labelBundleVersions": "Version du regroupement installé",
    "labelBundleName": "Nom du regroupement",
    "labelBundleVersion": "Version du regroupement",
    
    "labelNewItemClick": "Cliquez pour ajouter un NOUVEL %1 ...",
    "labelNoEditorConfigured": "Aucun éditeur de ce type configuré.",
    "labelAddItems": "Ajouter des %1s",
    
    "msgRemoveItem": "%1 : %2 sera supprimé. Continuer ?",
    "msgRemoveItem2": "Ces %1 %2s seront supprimés. Continuer ?",
    "msgItemNameRequired": "Un nom d'%1 est obligatoire.",
    "msgTypeToSearch": "Type à rechercher",
	"labelGlobalSearchButton": "Recherche globale",
    "labelGlobalSearchInput": "Entrer le texte de recherche globale",
	
    "labelAddRow": "Ajouter une ligne",
    "labelDeleteRow": "Supprimer une ligne",
    "labelNoLabel": "Aucune étiquette",
    "labelNoWorkItem": "Aucun élément de travail",
    
    "labelAuthoring": "Qualité de tâche",
    "labelAddAndClose": "Ajouter &amp;Fermer",
    "msgErrorRunningQuery": "Erreur d'exécution de la requête",
    
    "labelMatchingItems": "Eléments correspondants",
    
    "labelTitle": "Titre",
    
    "labelAddExistingTestCases": "Ajouter des jeux d'essai existants",
    "labelAddNewTestCase": "Ajouter un nouveau jeu d'essai",
    "labelRemoveTestCases": "Supprimer des jeux d'essai",
    "labelNotSupported": "Non pris en charge",
    
    "labelAddExistingTestScripts": "Ajouter des scripts de test existants",
    "labelAddNewTestScript": "Ajouter un nouveau script de test",
    "labelRemoveTestScripts": "Supprimer des scripts de test",
    
    "msgIsPartOfList": "%1 figure déjà dans la liste.",
    
    "labelPasteCompare": "Entrée de données assistée/vérification",
    "labelDataEntry": "Utilisez du texte pour l'entrée de données assistée",
    
    "labelInsertTestDataColumn": "Insérer une colonne de données de test",
    "msgNoTestDataSelected": "Aucune données de test sélectionnée",
    
    "msgWorkItemNotFound": "L'élément de travail %1 est introuvable.",
    
    "labelWriteComments": "Ecrire des commentaires",
    "msgSelectVariableType": "Sélectionnez un type de variable.",
    
    "labelExecutionStep": "Etape d'exécution",
    "labelVerificationPoint": "Point de vérification",
    "labelReportingStep": "Etape de génération de rapports",
    
    "labelArtifactOverview": "Présentation %1",
    "labelViewSnapshots": "Afficher des images instantanées",
    "labelGotoCurrentRevision": "Aller à la révision en cours",
    "labelCreateNewSnapshot": "Créer une image instantanée",
    "labelArtifactSnapshot": " (Image instantanée : %1)",
	"labelRevisionInfo": " (%1 : %2)",
    "labeloriginatorLabel": "Emetteur :",
    "labelowner": "Propriétaire :",
    "labelname": "Nom :",
    "labelStateLabel": "Etat :",
    "labeldescription": "Description :",
    "labelweight": "Poids :",
	"labelPoints": "Points",
    "labeltype": "Type :",
    "labelrevision": "Révision :",
    "labelcreated": "Créée :",
    "labelitemID": "ID élément :",
    "labelorigin": "Origine :",
    "labeloriginatorname": "Nom de l'émetteur :",
    "labeloriginatoremail": "E-mail de l'émetteur :",
    "labeloriginatorID": "ID émetteur :",
    "labelCreateSection": "Créer une section",
    "labelRemoveStep": "Supprimer une étape",
	"labelInsertStepBelow":"Insérer une nouvelle étape",
	"labelClickToAdd":"Cliquez pour ajouter...",
    "labelKeywords": "Mots clés",
    "labelInsertBefore": "Insérer avant",
    "labelReplaceStatement": "Remplacer l'instruction",
    "labelKeywordView": "Vue des mots clés",
    "labelNewItemTitle": "Nouvel %1",
    
	"labelCurrent": "En cours",
	"labelSnapshots": "Images instantanées",
	"labelSnapshotNameRequired": "Un nom d'image instantanée est obligatoire.",
    "labelSnapshotName": "Nom de l'image instantanée :",
    "labelParentTestPlans": "Plans de test parents",
    "labelSavingArtifact": "Sauvegarde de %1...",
	"labelLoadingArtifact": "Chargement de %1...",
    "labelIncludeSnapshots": "Inclure des images instantanées",
    "labelAddSelectedDefect": "Ajouter un incident sélectionné",
    "labelAddThisDefect": "Ajouter cet incident",
    
    "msgConfirmCancel": "Les modifications apportées depuis la dernière sauvegarde seront perdues. Voulez-vous continuer ?",
    "msgConfirmRemoveStep": "L'étape #%1 sera supprimée. Continuer ?",
    "msgStepTypeRequired": "le type d'étape est OBLIGATOIRE pour %1.",
    "msgStepContentRequired": "Le contenu de l'étape est OBLIGATOIRE pour l'étape %1.",
	"msgChangesNotSaved":"Changements non sauvegardés.",
    "msgNoStepToReplace": "Impossible de trouver une étape à remplacer.",
    "msgNoStep": "Impossible de trouver une étape.",
    "msgNumericWeightRequired": "Le poids doit être une valeur numérique.",
	"msgWeightRequired": "Un poids doit être indiqué.",
    "msgRemoveSectionFromTestSuite": "La suppression de la section de la suite de tests est irrémédiable. Continuer ?",
    "msgErrorStartingRun": "Echec de l'initialisation de l'exécution.",
	"msgExecReqCreated": "Demande d'exécution créée",
    
    "labelParentEditorRequired": ": argument 'parentEditor' OBLIGATOIRE",
    "labelConfigEditorRequired": ": argument 'config' OBLIGATOIRE",
    "labelDefine": "Définissez l'%1 pour cet %2.",
    "labelParentEditorRequiredRichTextSection": "RichTextSection : argument 'parentEditor' OBLIGATOIRE",
    "labelConfigEditorRequiredRichTextSection": "RichTextSection : argument 'config' OBLIGATOIRE",
    "labelWidgetInfoSectionGroup": "SectionGroup : le widget doit uniquement être instancié pour SectionGroupDTO.",
    "labelAvailableEnvironmentOptions": "Options d'environnement disponibles",
    "labelEnvironmentTypes": "Types d'environnement",
	"labelLeftTitle": "Disponible",
    "labelRightTitle": "Sélectionné",
    "labelErrorEnvir": "Erreur dans la section d'environnement",
    "labelTypeEnvironment": "Type",
    "labelAttributesEnvironment": "Attributs",
    "labelNotAvailableEnvironment": "Aucun disponible",
	"labelEditTestEnvironment": "Gérer les plateformes à couvrir",
	"labelSelectTestEnvironment": "Sélection des environnements de test",
    "labelChangeExecProps": "Modification des propriétés d'exécution",
	"msgChangeExecProp": "Modifier les propriétés d'exécution pour le ou les jeux d'essai sélectionnés",
	"labelTabIndex": "L'indice de tabulation indiqué %1 est hors plage.",
    "labelErrorInfoEnvironment": "Erreur dans la section d'environnement",
    "labelMultiple": "Multiple",
    "labelIdNotFound": "L'élément de travail %1 est introuvable.",
    "labelEroorViewingWorkItem": "Erreur d'affichage de l'élément de travail",
    "labelNamePlanningBody": "Nom",
    "labelScorePlanningBody": "Score",
    "labelTypePlanningBody": "Type",
    "labelDetailsPlanningBody": "Détails",
    "labelErrorRemoving": "Erreur de suppression du plan de test #%1",
    "labelErrorRemovingTestCase": "Erreur de suppression du jeu d'essai #%1",
    "labelErrorRemivingTestGroup": "Erreur de suppression du groupe de tests #%1",
    "labelTestPlanRemoved": "testPlanRemoved",
    "labelTestGroupRemoved": "testTestGroupRemoved",
    "labelTestCaseRemoved": "testTestCaseRemoved",
    "labelIDPlanningBody": "ID",
    "labelNamePlannningBody": "Nom",
    "labelStatusPlanningBody": "Etat",
    "labelLastModified": "Dernière modification",
    "labelSelectScriptType": "Sélection du type de script",
    "labelSelectSharedLocation": "Sélection de l'emplacement partagé",
    "labelResolevedPath": "Chemin résolu",
    "labelIncludePlan": "Inclure un plan",
    "labelIncludeIteration": "Inclure un jalon de test",
    "labelNoSharedLocationFound": "Aucun emplacement de ressources partagées trouvé. Contactez l'administrateur.",
    "labelNoTeamAssigned": "Aucune équipe affectée.",
    "labelNoMembers": "L'équipe n'a pas de membres.",
    "labelSearchString": "Vous devez entrer une chaîne de recherche.",
    "labelSavingArtifaceType": "Sauvegarde de %1...",
    "labelNotYetSupported": "Pas encore pris en charge.",
    "labelRevisionTableView": "Révision",
    "labelCopy": "Copier",
    "labelSno": "N° série",
    "labelLocation": "Emplacement",
    "labelRefreshTestScripts": "Actualiser les scripts de test",
    "labelArtifact": "Artefact",
    "labelteammembers": "Membres de l'équipe :",
    "labeltestteam": "Equipe de test :",
    "labelManageTeams": "Gérer des équipes",
    "labelNewQuery": "Nouvelle requête",
    "labelSearch": "Rechercher",
	"labelRemoveSectionFrom": "Supprimer la section de : %1",
    
    "labelCellValueChanged": "La valeur de la cellule a changé pour l'objet : %1, nouvelle valeur : %2",
	
	"labelRefreshingReport": "Actualisation du rapport...",
	"labelLoadingReport": "Chargement du rapport...",
    "labelLoadingReports": "Chargement de rapports...",
	"labelReportLoadingFailed": "Echec de chargement du rapport",
    "labelReportsLoadingFailed": "Echec de chargement des rapports",
	"labelReportNameRequired": "Un nom de rapport est obligatoire.",
	"labelReportNameExists": "Un rapport nommé '%1' existe déjà. Choisissez un autre nom.",
	"labelSaveReportAs": "Sauvegarder le rapport sous...",
	"labelPreferenceLoadingFailed": "Echec de chargement de la préférence",
	"labelNoWorkItemSpecified": "Aucun élément de travail indiqué.",
	"labelConfirmChanges": "Les modifications apportées depuis la dernière sauvegarde seront perdues. Voulez-vous continuer ?",
	"labelSummaryRequired": "Le récapitulatif est OBLIGATOIRE.",
	"labelCreator": "Créateur",
	"labelPlannedFor": "Planifié pour",
	"labelEstimateDays": "Evaluation (jours)",
	
	"msgQueryTableList": "Requête %1",
	
	"labelCSHelp": "Aide sur la section %1",
	"labelTestPlanEditorCSHelp": "Aide sur l'éditeur de plans de test",
	"labelTestCaseEditorCSHelp": "Aide sur l'éditeur de jeux d'essai",
	"labelTestScriptEditorCSHelp": "Aide sur l'éditeur de scripts de test",
	"labelTestScriptStepsCSHelp": "Aide sur les étapes des scripts de test",
	"labelKeywordLibCSHelp": "Aide pour la bibliothèque de mots clés",
	"labelTestSuiteCSHelp": "Aide sur les suites de tests",
	"labelDatapoolCSHelp": "Aide sur les pools de données",
	"labelExecutionResultCSHelp": "Aide sur le résultat de l'exécution",
	"labelAssociateReqCSHelp": "Aide sur l'association d'exigences",
	"labelImportReqCSHelp": "Aide sur l'importation d'exigences",
	"labelWorkItemCSHelp": "Aide sur l'élément de travail %1",
	"labelNewTestCaseCSHelp": "Aide sur le nouveau jeu d'essai",
	"labelEWIEnvironmentCSHelp": "Aide sur l'environnement EWI",
	"labelEWICoverageCSHelp": "Aide sur la couverture EWI",
	"labelEWIAdvProCSHelp": "Aide sur les propriétés avancées EWI",
	"labelImportTestScriptCSHelp": "Aide sur l'importation de scripts de test",
	"labelEnvironmentChooserCSHelp": "Aide sur les options d'environnement disponibles",
	"labelAddResourcesCSHelp": "Aide sur l'ajout d'un emplacement de ressources",
	"labelManageCategoriesCSHelp": "Aide sur la gestion des catégories",
	"labelAddExistingCSHelp": "Aide sur l'ajout d'un élément existant",
	"labelAddNewCSHelp": "Aide sur l'ajout d'un nouvel élément",
	"labelManageTemplateCSHelp": "Aide sur la gestion d'un modèle",
	"labelNewSectionCSHelp": "Aide sur l'ajout d'une nouvelle section",
 	"labelKeywordsHelp":"Aide sur tous les mots clés",
	
	"msgMissingScriptTypeIdDatapool": "Paramètre manquant pour openAdapterSelectorDialog - scriptTypeId",
	"msgExistScriptsExecution": "%1 scripts n'ont pas été importés car ils existent déjà.",
	"msgSelectScriptToImport": "Sélectionnez un ou plusieurs scripts de test à importer.",
	"msgValidationFailedExcution": "Echec de la validation",
	"labelDisconnected": "Déconnecté",
	"labelTestSuiteExecution": "Console d'exécution de la suite de tests %1",
	"labelTestSuiteResultExecution": "résultat de l'exécution de la suite de tests %1",
	"labelExecutionHistoryExecution": "Historique de l'exécution",
	"labelSetConfigDefault": "Définissez cet environnement de test par défaut pour la suite",
	"labelAttempted": "Tenté",
	"labelExecuingKeyword": "Exécution de mot clé",
	"labelResult": "Résultat",
	"labelTestCaseDetails": "Détails sur le jeu d'essai",
	"labelTestCaseDesign": "Conception d'un jeu d'essai",
	"labelPreConditions": "Pré-conditions",
	"labelPostConditions": "Post-conditions",
	"labelAcceptanceCriteria": "Critères d'acceptation",
	"labelExpectedResult": "Résultats prévus",
	"labelNotes": "Remarques",
	"labelExecutionInformation": "Informations sur l'exécution",
	"labelVerificationPointsStatus": "Statut des points de vérification",
	"labelHealth": "Santé",
	"labelAdapter": "Adaptateur",
	"labelRun": "Exécuter",
	"labelExecuteSuite": "Exécuter cette suite en parallèle.",
    "labelSearchingText": "Recherche du texte '%1'...",
	"labelSearchText": "Résultats de la recherche pour '%1'",
	"labelEditConfigurationForTestCase": "Editer l'environnement de test pour le jeu d'essai",
	"labelCreateTCorConfiguration": "Créez des jeux d'essai et/ou des environnements de test à ajouter à la suite.",
	"labelAssociateConfigWithTestCase": "Pour associer un environnement de test à un jeu d'essai, sélectionnez ou entrez le nom ci-dessous.",
	"labelAddTestCase": "Ajouter un jeu d'essai",
	"labelKeywordExecutionProgress": "Progression de l'exécution du mot clé...",
	"labelAttachmentsView": "Vue des pièces jointes",
	"labelDefectsView": "Vues des incidents",
	"labelCommentsView": "Vues des commentaires",
	"labelMachineName": "Nom de la machine",
	"labelAdapterName": "Nom de l'adaptateur",
	"labelJobsInQueue": "Travaux dans la file d'attente",

	"labelSequential": "Séquentiel",
	"labelParallel": "Parallèle",
	"labelExecutionMode": "Mode d'exécution",
	"labelDateFileDatapool": "Fichier de données",
	
	"labelSaveConstrains": "Sauvegarder les contraintes",
	"labelConstraintDescription1": "Ne pas autoriser l'édition d'un artefact \"Approuvé\" ou \"Retiré\"",
	"labelConstraintDescription2": "Autoriser uniquement la transition à une révision lorsque tous les éléments de travail de qualité de tâche associés ont été résolus.",
	"labelConstraintDescription3": "Approuver uniquement lorsque toutes les approbations associées à l'artefact ont été reçues.",
	"labelConstraintDescription4": "Approuver uniquement les plans de test lorsque tous les jeux d'essai référencés sont approuvés.",
	"labelConstraintDescription5": "Approuver uniquement les jeux d'essai lorsque tous les scripts de test référencés sont approuvés.",
	"labelConstraintDescription6": "Exécuter uniquement les jeux d'essai approuvés",
	"LabelConstraint" : "Contrainte",
	"LabelEnabled" : "Activé",
	"LabelAction" : "Action :",
	
	//State transition messages
	"cantapplyaction" : "Impossible d'appliquer l'action %1",
	"cantExecuteTestSuite" : "Impossible d'exécuter la suite de tests",
	"cantExecuteTestCase" : "Impossible d'exécuter le jeu d'essai",
	"msgCannotTransitionApprovalsWaiting": "Impossible de passer à l'état %1 s'il y a encore des approbations en attente dans la section Révision formelle.",
	"msgCannotTransitionNotAllTestCasesApproved" : "Impossible de passer à l'état %1 si des jeux d'essai référencés ne sont pas approuvés.",
	"msgCannotTransitionNotAllTestScriptsApproved" : "Impossible de passer à l'état %1 si des scripts de test référencés ne sont pas approuvés.",
	"msgCannotExecuteSuiteTestCaseNotApproved" : "Impossible d'exécuter la suite de tests, car les jeux d'essai suivants ne sont pas approuvés - %1.",
	"msgCannotExecuteTestCaseNotApproved" : "Impossible d'exécuter le jeu d'essai %1. Il n'est pas approuvé.",
	"msgCannotExecuteTestSuiteNotApproved" : "Impossible d'exécuter la suite de tests %1. Elle n'est pas approuvée.",
	"msgErrorLoadingTestSuite" : "Erreur de chargement de la suite de tests.",
	"msgNotReadyForReviewWIsNotApproved" : "L'%1 n'est pas prêt pour révision. L'élément de travail %2 - '%3' n'est pas résolu.",
	"labelOnlyNonnegativeInteger": "Un entier non négatif est obligatoire.",
	"labelSelectAction": "Sélection d'action",
	
	//State transition state labels
    "com.ibm.rqm.planning.common.new" : "Brouillon",
    "com.ibm.rqm.planning.common.underreview" : "Revue en cours",
    "com.ibm.rqm.planning.common.approved" : "Approuvé",
    "com.ibm.rqm.planning.common.retired" : "Retiré",

	//Action transition action labels
   	"com.ibm.rqm.planning.common.readyforreview" : "Prêt pour révision",
    "com.ibm.rqm.planning.common.approve" : "Approuver",
    "com.ibm.rqm.planning.common.retire" : "Retirer",
    "com.ibm.rqm.planning.common.reopen" : "Rouvrir",
    "com.ibm.rqm.planning.common.reject" : "Rejeter",
	"com.ibm.rqm.planning.common.return" : "Revenir à %1",
	
	"labelTableSummary": "Il s'agit de la table %1",
	"labelSnapShot": "Image instantanée",
	"labelWorkItems": "Eléments de travail",
	"labelFormalReview": "Révision formelle",
	"labelTestSchedule": "Planning de test",
	"labelKeyDate": "Date clé",
	"labelGeneratedTE": "Environnements de test générés",
	"labelGeneratedTER": "Enregistrements d'exécution de test générés",
	"labelDataRecords": "Enregistrements de données",
	"labelEngines": "Moteurs",
	"labelMachineAdapter": "Adaptateur de la machine",
	"labelTestCaseInTestSuite": "Jeux d'essai dans la suite de tests",
	
	"labelEditDefaultScript":"Modifier le script de test par défaut",
	
	"labelPlatformCoverage": "Couverture de plateforme",
	"labelTestEnvironment": "Environnement de test",
	
	"labelactionBar": "Barre d'actions :",
	"labelexpansion": "Expansion :",
	"labelArtifactEditorTOC": "Table des matières de l'éditeur",
	"labelRelatedInformation": "Informations connexes",
	"labelmaximumTableSize": "Taille maximum du tableau :",
	"labelVertical": "Vertical",
	"labelHorizontal": "Horizontal",
	"labelOpenExpanded": "Ouvrir développé",
	"labelOpenCollapsed": "Ouvrir réduit",
	"labelShowAllEditorSections": "Montrer toutes les sections dans l'éditeur",
	"labelShowSingleSection": "Montrer uniquement la section sélectionnée",
	"labelOpenRelatedInfo": "Ouvrir la vue Informations connexes par défaut",
	"labelClosedRelatedInfo": "Fermer la vue Informations connexes par défaut",
	"labelUIFavorite": "Interface utilisateur favorite",
    "labelDateFormat": "Format d'affichage de la date",
    "labelDateRelativeStyle": "Montrer l'heure relative",
    "labelDateAbsoluteStyle": "Toujours montrer la date",
	"labelAdapterSelection": "Sélection d'adaptateur automatique",
	"labelShowAdapter": "Sélection automatique d'un adaptateur lors de l'exécution si un seul est disponible",
	"labelShowAdapterWarning": "Cette préférence n'est pas utile si l'outil préfère toujours montrer la liste.",
	"labelEnableWordWrapPref": "Retour à la ligne",
	"labelEnableWordWrap": "Retour à la ligne dans le tableau Enregistrements d'exécution de test.",
	"labelEnableWordWrapMessage": "La sélection de cette option peut ralentir le rendu du tableau. Cette préférence sera visible dans les vues et éditeurs ouverts pour la première fois et qui incluent un tableau Enregistrements d'exécution de test.",
	
	"labelSetUIFavorite": "Définir votre interface utilisateur favorite",
    "promptLostUnsavedChanges": "Tous les changements non sauvegardés seront perdus. ",
    "promptCloseTab": "Voulez-vous vraiment fermer cet onglet ?",
    "promptLogout": "Voulez-vous vraiment vous déconnecter ? Tous les changements non sauvegardés seront perdus.",
	
	"msgLostRemovedSections": "Le contenu des sections supprimées sera supprimé. Voulez-vous vraiment supprimer la ou les sections ?",
	"msgCloseTab": "Voulez-vous vraiment fermer cet onglet ? Tous les changements non sauvegardés seront perdus.",
	
    // out of the box, default test plan/test case categories titles. 
    "Release": "Restituer",
    "Product": "Produit",
    "Category": "Catégorie",
    "Function": "Fonction",
    "Theme": "Thème",
    
    "labelDeleted": "Supprimé",
    "labelTCDeleted": "Le jeu d'essai a été supprimé.",
    "labelTSDeleted": "Le script de test a été supprimé.",

	"labelRQMTitle" : "Rational Quality Manager",
	"labelDefaultTS" : "Script de test par défaut",
    
    "RQM-KEY-TP-DEFAULT-TEMPLATE-TITLE": "Modèle de plan de test par défaut",
    "RQM-KEY-TP-DEFAULT-TEMPLATE-DESC": "Contenu RQM par défaut pour un plan de test.",
    "RQM-KEY-TC-DEFAULT-TEMPLATE-TITLE": "Modèle de jeu d'essai par défaut",
    "RQM-KEY-TC-DEFAULT-TEMPLATE-DESC": "Contenu RQM par défaut pour un jeu d'essai.",

    "RQM-KEY-TP-BASIC-TEMPLATE-TITLE": "Modèle de plan de test de base",
    "RQM-KEY-TP-BASIC-TEMPLATE-DESC": "Contenu RQM de base pour un plan de test.",
    "RQM-KEY-TC-BASIC-TEMPLATE-TITLE": "Modèle de jeu d'essai de base",
    "RQM-KEY-TC-BASIC-TEMPLATE-DESC": "Contenu RQM de base pour un jeu d'essai.",
    
    "RQM-KEY-TP-SUMMARY-TITLE": "Récapitulatif",
    "RQM-KEY-TP-SUMMARY-DESC": "Présentation du plan de test.",
    "RQM-KEY-ATTACHMENTS-TITLE": "Pièces jointes",
    "RQM-KEY-ATTACHMENTS-DESC": "Ajoutez des documents, conceptions ou règles et procédures auxquels vous voulez faire référence depuis votre artefact de test.",
    "RQM-KEY-TP-TEST-TEAM-TITLE": "Equipe de test",
    "RQM-KEY-TP-TEST-TEAM-DESC": "Indiquez l'équipe de test qui exécutera ce plan de test. Les équipes de test sont définies par un administrateur en cliquant sur le bouton Gérer les équipes de test.",
    "RQM-KEY-TP-TEST-CASES-TITLE": "Jeux d'essai",
    "RQM-KEY-TP-TEST-CASES-DESC": "Répertorie les jeux d'essai associés à un plan donné. Vous pouvez ajouter et supprimer des associations pour tester des documents, ainsi que créer et associer un jeu d'essai. La suppression d'un jeu d'essai entraîne celle de l'association à ce plan de test, mais pas celle du jeu d'essai.",
    "RQM-KEY-TP-ENV-TITLE": "Environnements de test",
    "RQM-KEY-TP-ENV-DESC": "Répertorie les différents environnements pris en charge et testés pour ce plan de test. Vous pouvez ajouter diverses plateformes, comme des navigateurs, des bases de données, des systèmes d'exploitation et d'autres éléments. Cette liste est ensuite utilisée pour générer des environnements de test.",
    "RQM-KEY-TP-RESOURCES-TITLE": "Ressources",
    "RQM-KEY-TP-RESOURCES-DESC": "Indiquez les différents emplacements partagés à utiliser dans ce plan de test.",
    "RQM-KEY-TP-BUSS-OBJ-TITLE": "Objectifs métier",
    "RQM-KEY-TP-BUSS-OBJ-DESC": "Définissez tous les objectifs métier et la stratégie pour votre ou vos phases de test.",
    "RQM-KEY-TP-TEST-OBJ-TITLE": "Objectifs du test",
    "RQM-KEY-TP-TEST-OBJ-DESC": "Définissez les objectifs d'exécution d'ensemble et la stratégie pour votre ou vos phases de test.",
    "RQM-KEY-TP-REQ-TITLE": "Exigences",
    "RQM-KEY-TP-REQ-DESC": "Cette section répertorie l'ensemble du contenu et des exigences associés à un plan de test donné. Vous pouvez sélectionner des exigences existantes ou définir de nouveaux éléments à couvrir dans le plan de test.",
    
    "RQM-KEY-TC-SUMMARY-TITLE": "Récapitulatif",
    "RQM-KEY-TC-SUMMARY-DESC": "Utilisez la fonctionnalité de thèmes, de catégories et de fonctions pour regrouper vos jeux d'essai avec les éléments connexes ou des regroupements logiques. Le poids est une mesure de l'effort d'exécution et peut dépendre des heures passées par un testeur, des unités de travail ou de la priorité.",
    "RQM-KEY-TC-DESIGN-TITLE": "Conception d'un jeu d'essai",
    "RQM-KEY-TC-DESIGN-DESC": "Définissez la conception d'ensemble pour le jeu d'essai en cours. Ceci peut inclure les informations de configuration d'arrière-plan ou des topologies.",
    "RQM-KEY-TC-SCRIPTS-TITLE": "Scripts de test",
    "RQM-KEY-TC-SCRIPTS-DESC": "Scripts de test automatisés ou manuels associés à ce jeu d'essai. Les scripts sont réutilisables.",
    "RQM-KEY-TC-PRE-COND-TITLE": "Pré-condition",
    "RQM-KEY-TC-PRE-COND-DESC": "Définit les éléments devant se produire avant de pouvoir exécuter ce jeu d'essai. Par exemple, un autre jeu d'essai doit éventuellement être terminé avant de commencer celui en question.",
    "RQM-KEY-TC-POST-COND-TITLE": "Post-condition",
    "RQM-KEY-TC-POST-COND-DESC": "Définit ce qui doit se produire une fois le jeu d'essai terminé. Vous pouvez mettre en évidence les éléments de nettoyage ou des instructions de désinstallation.",
    "RQM-KEY-TC-ACCEPT-CRITERIA-TITLE": "Résultats prévus",
	"RQM-KEY-TC-ACCEPT-CRITERIA-DESC": "Indiquez les résultats devant être obtenus pour considérer que le jeu d'essai a abouti. Vous pouvez joindre un fichier ou une image montrant l'état de l'interface utilisateur ou le code obtenu.",
    "RQM-KEY-TC-NOTES-TITLE": "Remarques",
    "RQM-KEY-TC-NOTES-DESC": "",
    "RQM-KEY-TC-EXP-RESULTS-TITLE": "Résultats prévus",
    "RQM-KEY-TC-EXP-RESULTS-DESC": "",
    "RQM-KEY-TC-REQ-TITLE": "Exigences",
    "RQM-KEY-TC-REQ-DESC": "Cette section répertorie l'ensemble du contenu et des exigences associés à un jeu d'essai donné. Vous pouvez sélectionner des exigences existantes ou définir de nouveaux éléments pour mettre en évidence la traçabilité des exigences pour les tests.",
    "RQM-KEY-TS-MANUAL-STEPS-TITLE": "Etapes manuelles",
    "RQM-KEY-TS-MANUAL-STEPS-DESC": "",
    
    "RQM-KEY-PROC-REVIEW-TITLE": "Révision formelle",
    "RQM-KEY-PROC-REVIEW-DESC": "Répertorier les personnes qui seront les réviseurs et les valideurs de ce contenu et définissez votre processus d'approbation.",
    "RQM-KEY-PROC-TIMEBOX-TITLE": "Plannings de test",
    "RQM-KEY-PROC-TIMEBOX-DESC": "Définissez les différentes phases de test ou jalons dans le plan de test. Vous pouvez inclure un ou plusieurs jalons avec divers buts et durées.",
    "RQM-KEY-PROC-ENTRY-CRITERIA-TITLE": "Critères d'entrée",
    "RQM-KEY-PROC-ENTRY-CRITERIA-DESC": "Définit les éléments prérequis à accomplir avant le début du test.",
    "RQM-KEY-PROC-EXIT-CRITERIA-TITLE": "Critères de sortie",
    "RQM-KEY-PROC-EXIT-CRITERIA-DESC": "Définit les conditions à remplir avant la conclusion du test.",
    "RQM-KEY-PROC-QUALITY-GOAL-TITLE": "Objectifs de qualité",
    "RQM-KEY-PROC-QUALITY-GOAL-DESC": "Définit les métriques d'ensemble formant un produit de qualité.",
    "RQM-KEY-PROC-SIZING-TITLE": "Estimation du test",
    "RQM-KEY-PROC-SIZING-DESC": "Définissez l'estimation de l'ampleur de l'effort de test associé à ce plan. Il peut s'agir des heures, jours, mois et années passés par une personne et correspond à une vue d'ensemble.",

    "RQM-KEY-EXE-EWIS-TITLE": "Enregistrements d'exécution de test",
    "RQM-KEY-EXE-EWIS-DESC": "Vous permet d'associer, de créer et de générer des enregistrement d'exécution pour un jeu d'essai déterminé. Les enregistrements d'exécution contiennent des informations de configuration détaillées sur le jeu d'essai et les résultats de haut niveau pour l'exécution d'un jeu d'essai. Les résultats détaillés figurent dans les fichiers journaux.",
    "RQM-KEY-EXE-MANUAL-EXE-TITLE": "Exécution manuelle",
    "RQM-KEY-EXE-MANUAL-EXE-DESC": "",
    "RQM-KEY-EXE-NO-SCRIPT-EXE-TITLE": "Aucun script d'exécution",
    "RQM-KEY-EXE-NO-SCRIPT-EXE-DESC": "",
    "RQM-KEY-EXE-MANUAL-EXE-LOG-TITLE": "Détails sur le script d'exécution manuelle",
    "RQM-KEY-EXE-MANUAL-EXE-LOG-DESC": "",
    "RQM-KEY-EXE-NO-SCRIPT-EXE-LOG-TITLE": "Détails sur le jeu d'essai sans script de test",
    "RQM-KEY-EXE-NO-SCRIPT-EXE-LOG-DESC": "",
    "RQM-KEY-EXE-TEST-CASES-TITLE": "Jeux d'essai",
    "RQM-KEY-EXE-TEST-CASES-DESC": "Liste des jeux d'essai dans la suite de tests",
    "RQM-KEY-EXE-SUMMARY-TITLE": "Récapitulatif",
    "RQM-KEY-EXE-SUMMARY-DESC": "Présentation de la suite de tests",
	
    "RQM-KEY-CMD-SCRIPT-DETAILS": "Détails sur le script de ligne de commande",
    "RQM-KEY-CMD-EXE-VIEWER": "Afficheur de l'exécution à la ligne de commande",
    "RQM-KEY-CMD-APTR-TYPE-NAME": "Ligne de commande",
    "RQM-KEY-CMD-APTR-TYPE-DESC": "Script de ligne de commande",
    "RQM-KEY-CMD-APTR-APTR-NAME": "Exemple : adaptateur de ligne de commande",
    
    "RQM-KEY-RFT-SCRIPT-DETAILS": "Détails sur le script Functional Tester",
    "RQM-KEY-RFT-EXE-VIEWER": "Afficheur de l'exécution de Functional Tester",
    "RQM-KEY-RFT-APTR-TYPE-DESC": "Script Functional Tester",
    "RQM-KEY-RFT-APTR-TYPE-NAME": "Functional Tester",
    "RQM-KEY-RFT-APTR-APTR-NAME": "Rational Functional Tester",

    "RQM-KEY-ROBOT-SCRIPT-DETAILS": "Détails sur le script Robot",
    "RQM-KEY-ROBOT-EXE-VIEWER": "Afficheur de l'exécution de Robot",
    "RQM-KEY-ROBOT-EXE-LOG": "Journal d'exécution de Robot",
    "RQM-KEY-ROBOT-APTR-TYPE-NAME": "Robot",
    "RQM-KEY-ROBOT-APTR-TYPE-DESC": "Script Robot",
    "RQM-KEY-ROBOT-APTR-APTR-NAME": "Rational Robot",
    
    "RQM-KEY-RPT-SCRIPT-DETAILS": "Détails sur le script de test de performances",
    "RQM-KEY-RPT-EXE-VIEWER": "Afficheur de l'exécution du test de performances",
    "RQM-KEY-RPT-APTR-TYPE-NAME": "Test de performances",
    "RQM-KEY-RPT-APTR-TYPE-DESC": "Script de test de performances",
    "RQM-KEY-RPT-APTR-APTR-NAME": "Rational Performance Tester",
    
    "RQM-KEY-RPT-SERVICE-SCRIPT-DETAILS": "Détails sur le script de test de service",
    "RQM-KEY-RPT-SERVICE-EXE-VIEWER": "Afficheur de l'exécution du test de service",
    "RQM-KEY-RPT-SERVICE-APTR-TYPE-NAME": "Test de service",
    "RQM-KEY-RPT-SERVICE-APTR-TYPE-DESC": "Script de test de service",
    "RQM-KEY-RPT-SERVICE-APTR-APTR-NAME": "Rational Service Tester",

    "RQM-KEY-TRT-SCRIPT-DETAILS": "Détails sur le script Rational Test RealTime",
    "RQM-KEY-TRT-EXE-VIEWER": "Statut de l'exécution de Rational Test RealTime",
    "RQM-KEY-TRT-EXE-LOG": "Résultat du journal d'exécution de Rational Test RealTime",
    "RQM-KEY-TRT-APTR-TYPE-NAME": "Rational Test RealTime",
    "RQM-KEY-TRT-APTR-TYPE-DESC": "Description de Rational Test RealTime",
    "RQM-KEY-TRT-APTR-APTR-NAME": "Rational Test RealTime",
    
    "RQM-KEY-DATAPOOL-FILE-NAME": "Fichier de données",
    "RQM-KEY-DATAPOOL-FILE-DESC": "Sélectionnez un fichier contenant vos données de test. Le fichier doit être au format CSV avec les informations de variable à la première ligne.",
    "RQM-KEY-DATAPOOL-RECORDS-NAME": "Enregistrements de données",
    "RQM-KEY-DATAPOOL-RECORDS-DESC": "Pour afficher un aperçu des enregistrements de données de test, vous devez d'abord sauvegarder ces données dans l'éditeur.",
    "RQM-KEY-DATAPOOL-TP-DATA-NAME": "Données de test",
    "RQM-KEY-DATAPOOL-TP-DATA-DESC": "Données de test utilisées pour mener le test du plan en fonction d'elles.",

	"RQM-KEY-APPSCAN-TP-TEMPLATE-TITLE": "Modèle de plan de test relatif à la sécurité des applications Web",
	"RQM-KEY-APPSCAN-TP-TEMPLATE-DESC": "Plan de test relatif à la sécurité des applications Web.",
	"RQM-KEY-APPSCAN-TP-APPLICATION-SECURITY-TITLE": "Sécurité des applications",
	"RQM-KEY-APPSCAN-TP-APPLICATION-SECURITY-DESC": "Afficher les stratégies de test Rational AppScan Tester Edition disponibles dans le plan de test.",
	"RQM-KEY-APPSCAN-SCRIPT-DETAILS": "Rational AppScan Tester Edition", 
	"RQM-KEY-APPSCAN-APTR-TYPE-DESC": "Script de test Rational AppScan Tester Edition",
	"RQM-KEY-APPSCAN-APTR-TYPE-NAME": "Rational AppScan Tester Edition",
	"RQM-KEY-APPSCAN-EXE-VIEWER": "Afficheur de l'exécution d'AppScan Tester Edition",
	"RQM-KEY-APPSCAN-EXE-LOG": "Journal d'exécution d'AppScan Tester Edition",
	
	"ArtifactID": "ID artefact : ",
	"TestPlanID": "ID plan de test : ",
	"TestCaseID": "ID jeu d'essai : ",
	"TestScriptID": "ID script de test : ",
	"TestSuiteID": "ID suite de tests : ",
	"WorkItemID": "ID élément de travail : ",
	"RevisionID": "ID révision : ",
	"RequirementId": "ID exigence : ",
	
	"TipViewExecutionResults": "Afficher les résultats de l'exécution",
	
	"labelSectionWorkItemInfo": "Elément de travail pour la section %1 ",
	"labelSectionCreateWorkItemInfo": " Elément de travail pour la section %1",
	"labelTitleSection": "Section :%1",

    "labelCommand": "Commande",
    "labelArguments": "Arguments",
    "labelCmdLineSectionName": "Section Détails de la ligne de commande",
	
	"labelTabAlly": "Aller directement à l'onglet : ",
	"labelAllView": "Toutes les vues",
	"labelMyView": "Ma vue",
	"labelLabRes": "Ressource de lab",
	"labelFind": "Rechercher",
	"labelCapitalNew": "Nouveau",
	"labelAdvanceFind": "Recherche avancée",
	"labelVirtualImage": "Image virtuelle",
	"labelReservation": "Réservation",
	"labelVirtualCollection": "Collection virtuelle",
	"labelInventoryHistory": "Historique d'inventaire",
	"labelDeletedAndHidden": "Supprimé et masqué",
	"labelAutomation": "Automatisation",
	
	"labelUnknwonDefectsProvider": "Fournisseur d'incidents %1 inconnu",
	
	"labelFailingTestCaseWithoutEWI": "Echec du jeu d'essai \"%1\"",
	"labelFailingTestCaseWithEWI": "Echec du jeu d'essai \"%1\" lors de l'exécution de l'enregistrement d'exécution de test \"%2\"",
	"labelTestScriptFailed": "Le test du script '%1' a échoué.\n\n",
	"labelEnvironmentWithColon": "Environnement :\n",
	"labelToProduce": "\nA reproduire :\n",
	"labelObserve": "\nObserver :\n",
	"labelFailingRQMTestcase": "Echec du jeu d'essai",
	"labelCreatedefect": "Création de l'incident...",
	"labelChangeBlocking": "Changement de l'état de blocage...",
	"labelUnableCreateWorkItem": "Impossible de créer l'élément de travail !\n(Motif : %1)",
	"labelAssociatedDefects": "Incidents externes associés",
	"labelNoAssociatedWorkItems": "Aucun incident externe associé n'est sauvegardé !\n(Motif : %1)",
	"labelRelatedER": "Résultats d'exécution associés : %1",
	"labelRelatedRQMTestcase": "Jeu d'essai associé",
	"labelQueryAssociatedBlockingDefects": "Incidents bloquants associés à une requête",
	"labelAssociateDefect": "Associer un incident...",
	"labelUnBlockDefect": "Débloquer un incident...",
	
	"labelIdWithColon": "ID : ",
	"labelFileNameWithColon": "Nom de fichier : ",
	"labelSizeWithColon": "Taille : ",
	"msgSelectedScriptArchived":"Le script de test sélectionné est archivé.",
	"labelChangeWeight": "changer le poids",
	"labelWeightValueWarning": "La valeur du poids n'est pas valide !",
	"msgKeywordsManualScriptArchived":"Les mots clés ont été archivés car les scripts manuels associés l'ont été.",
	"msgKeywordsRemoteScriptArchived":"Le script automatisé associé aux mots clés a été archivé. L'association de ces mots clés à leur script manuel est rétablie.",
	"msgKeywordsScriptUpdated":"Le script associé des mots clés a été mis à jour.",
	"msgKeywordsUpdated":"%1 mots clés mis à jour.",
	"msgKeywordsArchived":"%1 mots clés archivés.",
	"msgTestScriptArchived":"Le script de test %1 du jeu d'essai %2 est archivé. Le test ne peut pas continuer.",
	
	"labelChangeTestPlanProperties": "Changer les propriétés des plans de test",
	"labelChangeTestCaseProperties": "Changer les propriétés des jeux d'essai",
	"labelChangeTestScriptProperties": "Changer les propriétés des scripts de test",
	"labelChangeTestSuiteProperties": "Changer les propriétés des suites de test",
	"labelChangeEWIProperties": "Changer les propriétés des enregistrements d'exécution de test",
	"labelChangeProperties": "Modifier %1",
    
    "labelFilterTitle": "Générateur de vues",
    "labelFilterDescription": "Effectuer une recherche fondée sur l'un des attributs suivants, ou en voir d'autres :",
    "labelFilterDescriptionAllVisible": "Effectuer une recherche fondée sur les attributs suivants.",
    "labelOnlyMyTestPlans": "Mes plans de test uniquement",
    "labelOnlyMyTestCases": "Mes jeux d'essai uniquement",
    "labelOnlyMyTestScripts": "Mes scripts de test uniquement",
    "labelOnlyMyTERs": "Mes enregistrements d'exécution de test uniquement",
    "labelIncludeArchived": "Inclure les éléments archivés",
    "labelAnyCap": "Tout",
    "labelReset": "Réinitialiser",
    "labelExecuted": "A été exécuté",
    "labelNotExecuted": "N'a pas été exécuté",
	"msgSaveDiscardTERChanges":"Veuillez sauvegarder ou annuler les modifications dans la section Enregistrements d'exécution de test.",
	"msgChangeDataPool": "Voulez-vous vraiment modifier les données de test ? Les variables vont être perdues.",
	"msgTestEnvironmentUpdated":"La liste des environnements de test a été mise à jour.",

	"msgChangeViewBuildConfirm": "Les catégories ont été modifiées. Le générateur de vues va être régénéré. Voulez-vous continuer ?",
	"msgMachineReservationFailed":"La réservation de la machine a échoué. Motif %1",
	
    "labelFeedViews": "Alimenter les vues",
    "labelFeedViewsText": "Sélectionnez la vue à afficher dans la liste située à gauche.",
    "labelPageOfPages": "Page %1 de %2",
    "labelFirstPage": "Première page",
    "labelPreviousPage": "Page précédente",
    "labelNextPage": "Page suivante",
    "labelLastPage": "Dernière page",
    "labelDataPools": "Pools de données",
    "labelTestSuiteLogs": "Journaux de la suite de tests"
})

