/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
//

//

({"machDtlTitle": 			"시스템 세부사항", 
  "machDtlOS": 				"운영 체제", 
  "machDtlManufacturer": 	"제조업체",
  "machDtlProc": 			"프로세서 유형",
  "machDtlMemory": 			"메모리(MB)",
  "machDtlID": 				"ID",
  "machDtlPopHostname":     "호스트 이름을 이름으로 채우기",

  "Automate": "자동",
  "Name": "이름",
  "appTitle":			"Rational Test Lab Manager",
  "appInfocenterHelp": "도움말",
  "appAbout": "제품 정보",
  "appCopyright": "Copyright by IBM Corp. All Rights Reserved.",
  "appVersion": "버전: %1",
  "appfailGetVersion": "버전 번호를 검색하는 데 실패했습니다.",
  "appWorking" : "로드 중...",
  "newLabel" : "작성",
  "selectLabel" :"선택",
  "labelPreview": "미리보기",
  
  "buttonLabelOK": "확인",
  
  "labActnCrtMach": "시스템 작성",
  "ID":				"ID",
  "Processor Type":	"프로세서 유형",
  "Operating System":"운영 체제",
  "Host Name": "호스트 이름",
  "IP Address": "IP 주소",
  "Memory":			"메모리(MB)",
  "Model":          "모델",
  "ResultsSummary": "검색 결과",
  "MachTitleMachine": "시스템",
  "MachTitleResources": "자원",
  "MachLabelMemory":    "메모리(MB)",
  "MachLabelSearch":    "검색",
  "MachLabelIp":        "IP 주소",
  "MachLabelHostname":  "호스트 이름",
  "MachLabelStatus":    "시스템 상태",
  "MachLabelOwner":    "소유자",
  "MachLabelNewMachine":   "시스템 작성",
  "MachLabelReservations": "예약",
  "MachLabelHistory": "히스토리",
  "MachLabelTime": "수행 날짜",
  "MachLabelEventDescription": "이벤트",
  "MachLabelUserid": "기준",
  "MachTitleSearch" : "랩 자원 찾기",
  "MachTitleAll": "모든 랩 자원",
  "MachTitleArchived": "모든 삭제된 및 숨겨진 랩 자원",
  "statusNoEditDeleted": "삭제된 랩 자원은 편집할 수 없음",
  "statusNoEditDeletedDetails": "<b>세부사항:<\/b><br>랩 자원이 현재 삭제됨 상태에 있어서 편집할 수 없습니다.",
  "invalidSearchDateRange": "지정된 날짜 범위가 올바르지 않습니다.",  
    
  //Search Date Strings
  "srchTypeLabel": "랩 자원 유형:",
  "srchFrom": "시작",
  "srchTill": "종료",
  "srchIncludeDates": "검색에 날짜 포함",
  "srchLabel": "랩 자원 찾기",
  "srchReserveLabel": "예약",
  "srchUnreserveLabel": "예약 취소",
  "srchWorking": "검색 중...",
  "srchCriteriaInfo": "기준 목록을 편집하거나 사전 정의된 랩 자원 설명을 선택하여 검색 기준을 정제하십시오.", 
  "srchCriteriaInfoSelOnly": "사전 정의된 랩 자원 설명을 선택하여 검색 기준을 정제하십시오.",
  
  "saveNewReminderMsg": "새로 작성/아직 저장되지 않음",
  "saveChangeReminderMsg": "수정됨/아직 저장되지 않음",
  "savedSuccessMsg": "저장 성공 위치: %1",
  "saveFailedMsg": "저장 실패 위치: %1",

  "MsgInvalidMemoryInput": "값은 MB 단위의 숫자여야 합니다.",
  "MsgInvalidInput": "제출 이전에 올바르지 않은 입력을 수정하십시오.",
  "MsgMachineRequiredFields": "호스트 이름 또는 IP 주소는 비어 있으면 안됩니다. 제출하기 전에 올바른 값을 입력하십시오.",
  "MsgSearchWorking": "시스템 검색 중...",
  "MsgClearEditing": "입력된 모든 값을 지웁니다. 계속하시겠습니까?",
  "MsgAddingMachine": "시스템 새로 작성 중...",
  "MsgNewMachineAdded": "시스템이 새로 작성되었습니다.",
  "MsgAddMachineFailed": "시스템을 새로 작성할 수 없습니다.",
  "MsgEditMachineFailed": "시스템 정보를 갱신할 수 없습니다.",
  "MsgInvalidHostnameInput": "호스트 이름은 영숫자로 구성해야 하며 사이에 점(.), 대시(-) 또는 밑줄(_)을 사용할 수 있습니다.",
  "MsgInvalidIpInput": "IP 주소는 IPv4의 경우 점(.)으로 구분되는 0 - 255 범위의 숫자로 된 네 그룹 형식이어야 하고 IPv6의 경우에는 콜론(:)으로 구분되는 네 자리 16진수의 8개 그룹 형식이어야 합니다.",
  "MsgFetchMachineDetailFailed": "시스템에 대한 정보를 가져올 수 없습니다.",
  "MsgMachineUpdated": "시스템 정보가 갱신되었습니다.",
  "MsgUpdateMachineWorking": "시스템 정보 갱신 중...",
  "MsgEditMachineFailed" : "시스템 정보를 갱신할 수 없습니다.",
  "MsgDiscardDiscoveredData": "발견된 데이터를 버리시겠습니까?",
  "MsgUnsaveNewMachineData": "시스템 작성 조작이 취소되고 완료한 편집이 버려집니다. 계속하시겠습니까?",
  "MsgNeedHostOrIp": "호스트 이름 또는 IP 주소를 지정해야 합니다.",
  "MsgDiscoveryRunning": "시스템 발견 실행 중...",
  "MsgDiscoveryCompleted": "시스템 발견 완료.",
  "msgRequiredValueNotPresent" : "입력된 값이 없는 필수 필드가 있습니다.",
  "msgErrorValuesPresent" : "올바르지 않은 값이 입력되었습니다.",
  "msgInvalidValue": "입력한 값이 올바르지 않습니다.",
  "msgAttrInvalidChar" : "입력한 값에 올바르지 않은 문자가 있습니다.",
  "msgAttrInvalidSequence": "입력한 값에 시퀀스를 벗어나는 세그먼트가 있습니다.",
  "msgAttrDupOps": "입력한 값에 동일 유형의 중복 연산자가 있습니다.",
  "msgAttrDisjoined": "입력한 값은 결과 없는 흩어진 패턴입니다.",
  "msgAttrIncomplete": "입력한 값의 시퀀스가 불완전합니다.",
  "msgAttrExtraComp": "입력한 값에 너무 많은 검색 컴포넌트가 있습니다.",
  "msgAttrInvalidDiskSpaceRange": "총 디스크 크기는 디스크 여유 크기보다 작을 수 없습니다.",  
  "msgCheckDates": "검색 날짜가 비어 있지 않고 사용 가능 시작 날짜가 사용 가능 종료 날짜보다 이전인지 확인하십시오.",
  "msgReserveMachineFailed" : "시스템을 예약할 수 없습니다.",
  "msgUnReserveMachineFailed" : "시스템 예약을 취소할 수 없습니다.",
  "msgReserving": "예약 중...",
  "msgUnReserving": "예약 취소 중...",
  "msgReserveMachineFailedMaybeReserved" : "시스템을 예약할 수 없습니다. 이미 예약되어 있을 수 있습니다.",

  "msgFetchHideDeletedError": "랩 자원을 검색할 수 없습니다.",
  "msgDeletingResources": "자원 삭제 중...",
  "msgHidingResources": "자원 숨기는 중...",
  "msgRestoringResources": "자원 복원 중...",
  "msgErrorDeletingResources": "선택된 자원을 삭제할 수 없습니다.",
  "msgErrorHidingResources": "선택된 자원을 숨길 수 없습니다.",
  "msgErrorRestoringResources": "선택된 자원을 복원할 수 없습니다.",
  "msgSuccessDeletingResources": "자원이 삭제되었습니다.",
  "msgSuccessHidingResources": "자원을 숨겼습니다.",
  "msgSuccessRestoringResources": "자원이 복원되었습니다.",
  "msgConfirmTitle": "확인",
  "msgConfirmDeleteResources": "선택된 랩 자원이 삭제됩니다. 계속하시겠습니까?",
  "msgConfirmHideResources": "선택된 랩 자원을 숨기시겠습니까?",
  "msgConfirmRestoreResources": "선택된 랩 자원을 복원하시겠습니까?",
  "msgErrorDeleteOrHideReservedResource" : "선택된 랩 자원에 예약이 있습니다. 삭제하거나 숨기기 전에 보류 중인 예약을 취소하십시오.",
  
  "viewMachine-delete": "삭제된 시스템",
  "viewMachine-hide": "숨겨진 시스템",
  "viewVirtualImage-delete": "삭제된 가상 이미지",
  "viewVirtualImage-hide": "숨겨진 가상 이미지",
  
  "labelDiscoverButton" : "발견",
  "labelCancelButton" : "취소",
  "labelSaveButton" : "저장",
  "labelDeleteButton" : "삭제",
  "labelRemoveButton" : "제거",
  "labelEditButton" : "편집",
  "labelCreateButton" : "작성",
  "labelRefreshButton" : "새로 고치기",
  "labelCopyButton" : "복사",
  "labelHideButton" : "숨기기",
  "labelRestoreButton" : "복원",
  
  "CopyOf": "%1의 사본",
  
  "symbolHelp": "?",
  "labelHelp": "도움말",
  "MsgFailGetHelpContent": "도움말 컨텐츠를 찾을 수 없습니다.",

  "navHome": "홈",
  "navMach": "시스템",
  "navReports": "보고서",
  "navRequests": "요청",
  "navUsers": "사용자",
  "navSystem": "시스템",
  "navAutomations":"자동화",
  "navReservations":"예약",
  
//  "toolImportMach": "Import Machine(s)",
  "toolFindMach": "시스템 찾기",
  "toolAddMach": "시스템 추가",
  "moreActionsButtonLabel": "추가 조치",
  
  "impPrompt_asset": "랩 자원 정보가 있는 XML 파일 선택:",
  "impPrompt_schema": "랩 자원 템플리트가 있는 XML 파일 선택:",
  "impMachImport": "가져오기",
  "impLabel_asset": "랩 자원 가져오기",   // this same string is in another messages.js, should be consolidated.
  "impMachUploading": "XML 파일 업로드 및 구문 분석 중...",
  "impSuccess_asset": "가져오기가 완료되었습니다. %1개의 자원을 가져왔습니다.",
  "impSuccess_schema": "가져오기가 완료되었습니다.",
  "impMachCancel": "가져오기 요청이 취소되었습니다.",
  "impMachTimeout": "가져오기 요청이 제한시간을 초과했습니다.",
  "impMachFailed": "<b>가져오기 실패: <\/b> 예상하지 못한 오류가 발생했습니다. 서버 관리자에게 문의하십시오.",
  "impMachFailed-1": "<b>가져오기 실패: <\/b> 파일이 존재하지 않거나 비어 있습니다.",
  "impMachFailed-2": "<b>가져오기 실패: <\/b> 가져오기에 대해 선택된 파일이 올바르지 않은 XML 파일입니다.",
  "impMachFailed-3": "<b>가져오기 실패: <\/b> 가져오기에 대해 선택된 파일의 형식이 적절하지 않습니다. 올바른 형식에 대해서는 온라인 문서에서 확인하십시오.",
  "impMachFileNotXML": "선택된 파일 \"%1\"에 XML 파일 확장자가 없습니다. 계속 가져오시겠습니까?",
  "impMachStatus": "가져오기가 완료되었습니다. %1개의 자원을 가져왔습니다.",
  "impMachCloseMsg": "완료 시 닫으십시오.",
  "impMachCloseButton": "닫기",
  "impMachTooltip": "선택된 파일 경로 길이가 255자를 초과하지 않도록 확인하십시오.",
  "impStatus-0" : "가져오기 타스크는 처리를 위해 대기열에 있습니다.",
  "impStatus-1" : "파일 구문 분석 중...",
  "impStatus-2" : "가져오는 중... %2개의 자원 중 %1개를 가져왔습니다.",
  "impStatus-3" : "가져온 파일이 비어 있거나 없습니다.",
  "impStatus-4" : "가져오기 실패. 가져온 파일이 올바르지 않은 XML 파일입니다.",
  "impStatus-5" : "가져오기 실패. 가져온 파일이 적절한 스키마를 준수하지 않습니다.",
  "impStatus-6" : "가져오기가 완료되었습니다. %2개의 자원 중 %1개를 가져왔습니다.",
  "custTitle" : "카탈로그 사용자 정의",
  "custSummary" : "CPU, 운영 체제 또는 소프트웨어의 인스턴스 추가",
  "custSuccess" : "성공",
  "custFailed" : "실패",
  "custAddSucceeded" : "카탈로그에 %1을(를) 추가했습니다.",
  "custAddFailed" : "카탈로그에 %1을(를) 추가하는 데 실패했습니다. 동일 이름의 다른 항목이 있을 수 있습니다.",
  "custTypes" : "추가할 항목 유형을 선택하십시오.",
  "custParent" : "새 항목의 상위를 선택하십시오.",
  "custEnterValue" : "추가할 새 값을 지정하십시오.",
  
  "adminHmLabelRefresh": "새로 고치기",
  "adminHmSearchOffMachines": "사용 불가능한 시스템 검색 중...",
  "adminHmOfflineMachines": "사용 불가능한 시스템",
  "adminHmFailGetMachines": "사용 불가능한 시스템을 가져올 수 없습니다.",
  "adminHmFailGetJobs": "작업 상태를 가져올 수 없습니다.",
  
  "userHmMyReservations": "사용자 예약",
  "userHmSearchReservations": "예약 검색 중...",
  "userHmFailGetMyReservations": "예약을 가져올 수 없습니다.",
  "userHmMyRequests": "사용자 요청",
  "userHmSearchRequests": "요청 검색 중...",
  "userHmFailGetMyRequests": "요청을 가져올 수 없습니다.",
  "userHmNoRequest": "이 예약에는 연관된 요청이 없습니다.",
  
  "userCurrent": "%1 환영",
  "userGetInfo": "사용자 정보 가져오는 중...",
  "userUnknown": "알 수 없는 사용자",
  "userLoginfailed": "인증 실패",
  "userNotLoggedIn": "사용자가 로그인하지 않았습니다. 사용자 정보를 검색할 수 없습니다.",

  "time": "수행 날짜",
  "eventDescription": "이벤트",
  "userid": "기준",
  
  "MsgJobRetrievalSucceeded": "자동화 스크립트가 검색되었습니다.",
  "MsgJobRetrievalFailed": "자동화 스크립트 검색에 실패했습니다.",
  "MsgJobRanOK": "작업이 실행을 위해 대기열에 넣어졌습니다.",
  "MsgJobFailure": "작업이 실행을 위해 대기열에 넣어지지 않았습니다.",
  
  "MsgHistoryRetrieval": "시스템 히스토리 검색 중",
  "MsgHistoryRetrievalSucceeded": "시스템 히스토리를 검색했습니다.",
  "MsgHistoryRetrievalFailed": "시스템 히스토리 검색에 실패했습니다.",
  
  // button labels
  //
  "reset_button": "버리기",
  "save_button": "저장",
  "submit_button": "제출",
  "close_button": "닫기",
  "return_button": "리턴",
  "fulfill_button": "이행",
  "cancel_button": "요청 취소",
  "reopen_button": "다시 열기",
  "discard_button" : "변경사항 버리기",
  "add_attribute": "기준 추가",
  
  //Request table messages
  "reqId": "ID",
  "reqSummary": "요약",
  "reqCreated": "작성됨",
  "reqNeedBy": "응답 기한",
  "reqAssignedTo": "지정 대상",
  "reqStatus": "상태",
  "reqPriority": "우선순위",
  "request_view_label": "표시: ",
  "reqMsgRetrievingRequestsWorking": "요청 검색 중...",
  
  //These cannot have req prefix because they come from the database this way.
  "all unassigned": "모두 지정 취소됨",
  "all assigned": "모두 지정됨",
  "assigned to me": "모두 사용자게 지정됨",
  "my submitted": "사용자 제출",
  "my fulfilled": "사용자 이행",
  "fulfilled by me": "사용자가 이행",
  "my closed": "사용자 닫힘",
  "my open": "사용자 열린 요청",
  "Low": "낮음",
  "Normal": "보통",
  "High": "높음",
  "Urgent": "높음",
  "my current reservations": "사용자 활성 예약",
  "my future reservations": "사용자 추가 예약",
  "my reservations": "모든 사용자 예약",
  "all reservations": "모든 예약",
  "Draft": "초안",
  "Submitted": "제출함",
  "Assigned" : "지정됨",
  "Fulfilled" : "이행됨",
  "Returned" : "리턴됨",
  "Closed" : "처리완료됨",
  "Canceled" : "취소됨",
  
  // request form labels/messages
  //
  "reqLabel_id_display": "(ID: %1)",
  "reqLabel_resubmit_button": "다시 제출",
  "reqLabel_request": "요청",
  "reqLabel_requests": "요청",
  "reqLabel_new_request": "요청 &lt;%1&gt;",
  "reqLabel_status_type": "초안",
  "reqLabel_summary_editable": "요약: *",
  "reqLabel_summary": "요약:",
  "reqLabel_status": "상태:",
  "reqLabel_reserve": "예약:",
  "reqLabel_details": "세부사항",
  "reqLabel_reservation": "예약",
  "reqLabel_from": "시작:",
  "reqLabel_to": "종료:",
  "reqLabel_type": "유형:",
  "reqLabel_priority": "우선순위:",
  "reqLabel_created_on": "작성 날짜:",
  "reqLabel_created_by": "작성자:",
  "reqLabel_requested_for": "요청 대상:",
  "reqLabel_project": "프로젝트:",
  "reqLabel_config": "랩 자원",
  "reqLabel_assigned": "지정 대상:",
  "reqLabel_unassigned": "지정되지 않음",
  "reqLabel_confirm_by": "응답 기한:",
  "reqLabel_notify": "알림:",
  "reqLabel_discussion": "논의",
  "reqLabel_description": "설명",
  "reqLabel_comments": "주석",
  "reqLabel_addConfig": "테스트 환경 추가",			// CML: term
  "reqLabel_FindMachines": "시스템 찾기",
  "reqLabel_removeConfig": "테스트 환경 제거",	// CML: term
  "reqLabel_machineConfigDesc": "이 시스템 구성에 대한 속성, 연산자 및 값을 선택하십시오.",
  "reqLabel_reserveMachine": "예약",
  "reqLabel_addParam": "다른 속성 추가",
  "reqMsgDateInputFormat": "올바른 날짜를 입력하십시오.",
  "reqMsgPerformRequestAction": "요청 조치 수행 중...",
  "reqMsgInvalidDateRange": "입력한 예약 날짜 범위가 올바르지 않습니다.",
  "reqMsgConfirmUnassign": "요청이 지정되었습니다. 지정 받은 사용자를 지웠습니다. 요청은 다시 제출됨 상태로 되돌려집니다. 계속하시겠습니까?",
  "reqMsgRequestActionSucceeded":"요청 조치가 수행되었습니다.",
  "reqMsgRequestActionFailedStaleData": "오류가 발생했습니다. 다른 사용자가 편집하여 요청을 저장할 수 없습니다.",
  "reqMsgRequestActionFailed": "요청 조치를 수행할 수 없습니다.",
  "reqMsgFetchDataError": "서버에서 요청 정보를 가져올 수 없습니다.",
  "reqMsgInvalidDateEntered": "올바르지 않은 날짜 값을 입력했습니다.",
  "reqMsgRequiredValueMissing": "요약을 입력해야 합니다.",
  "reqMsgFromDateError": "\"예약 시작\" 날짜가 올바르지 않습니다. 저장/제출하기 전에 수정하십시오.", 
  "reqMsgToDateError": "\"예약 종료\" 날짜가 올바르지 않습니다. 저장/제출하기 전에 수정하십시오.", 
  "reqMsgNeededByDateError": "\"응답 기한\" 날짜가 올바르지 않습니다. 저장/제출하기 전에 수정하십시오.", 
  "reqMsgInvalidFromDate": "\"예약 시작\" 날짜가 과거 날짜입니다. 저장/제출하기 전에 수정하십시오.",
  "reqMsgInvalidToDate": "\"예약 종료\" 날짜가 과거 날짜입니다. 저장/제출하기 전에 수정하십시오.",
  "reqMsgNegativeFromToDate": "\"예약 시작\" 시간은 \"예약 종료\" 시간과 같거나 이후가 될 수 없습니다.",
  "reqMsgInvalidConfirmDate": "\"응답 기한\" 날짜가 과거 날짜입니다. 저장/제출하기 전에 수정하십시오.",
  "regMsgNonExistDate": "지정된 날짜는 존재하지 않습니다.",
  "reqMsgCancelConfirm": "요청을 취소하면 시스템에서 요청이 제거됩니다. 계속하시겠습니까?", 
  "reqMsgIncompleteAttributeWarning": "테스트 환경에 불완전한 속성이 정의되어 있습니다. 무시됩니다.",		// CML: term
  "reqMsgSelectMachine": "예약할 시스템을 선택하십시오.",
  "reqMsgCantFindMachine": "요청이 지정된 예약 날짜 범위를 가지고 있지 않습니다. 이 요청에 대해 시스템을 검색할 수 없습니다.",
  "machineConfigAttributeNamePrompt": "속성을 선택하십시오.",
  "machineConfigAttributeNameError": "속성 이름이 올바르지 않습니다.",
  "machineConfigAttributeOperatorPrompt": "연산자를 선택하십시오.",
  "machineConfigAttributeOperatorError": "연산자가 올바르지 않습니다.",
  "machineConfigAttributeValuePrompt": "속성 값을 선택하십시오.",
  "machineConfigAttributeValueError": "속성 값이 올바르지 않습니다.",
  "reqLabel_reserveInfoText": "요청한 자원의 날짜 범위를 입력하십시오.",
  "reqLabel_configInfoText": "요청에 대한 테스트 환경을 지정하십시오.",
  "reqLabel_configInfoSearchText": "지정된 랩 자원 설명을 이행할 랩 자원을 찾으십시오.",
  "reqLabel_commentInfoText": "요청/자원에 대한 추가 주석을 입력하십시오.",
  "reqLabel_summaryPrompt": " < 요청 요약을 입력하십시오. > ",
  "reqMsgNoMachineFound": "랩 자원 설명 기준과 일치하는 시스템을 찾을 수 없습니다. 기준을 정제하고 다시 찾으십시오.",
  "reqMsgNoMachineFoundErr": "시스템을 찾을 수 없습니다. 서버 오류가 발생했습니다.",
  
  "machConfigEditableDesc": "시스템의 속성, 연산자 및 값을 입력하십시오.",
  "machConfigReadOnlyDesc": "시스템 구성 속성",
  "machConfigReadOnlyBlankDesc": "요청한 특정 속성이 없습니다.",
  "machConfigSelectableDesc": "시스템 검색에 포함할 속성을 선택하십시오.",
  "machConfigAddConfig": "구성 추가",
  "machConfigAddParam": "매개변수 추가",
  "machConfigRemoveParam": "매개변수 제거",
  "machConfigErrorLabel": "오류",
  "machConfigAttrNotSpecifiedWarning": "해당 속성을 지정하지 않아서 \"%1\" 매개변수가 무시됩니다. 계속하시겠습니까?",
  "machConfigInvalidAttrValueType": "매개변수 \"%1\"에 올바르지 않은 값 유형을 지정했습니다.",
  "machConfigInvalidParamAttr": "\"%1\"은(는) 지정한 매개변수 속성이 아닙니다.",
  
  //Reservation Table Messages
  "reservedBy": "예약자",
  "reservedFor": "예약 대상",
  "reserveFrom": "시작 날짜",
  "reserveTo": "종료 날짜",
  "MsgResRetrievalSucceeded": "시스템 예약을 검색했습니다.",
  "MsgResRetrievalFailed": "시스템 예약 검색에 실패했습니다.",
  "reqMsgFetchDataError": "서버에서 요청 정보를 가져올 수 없습니다.",
  "resMachine": "시스템 예약",
  "resMachine24Hours": "다음 24시간 동안 시스템 예약",
  "unresMachine": "시스템 예약 취소",
  "resbyuntil": "%2까지 %1에 의해",
  "Reserved": "예약됨",
  
  // Userhome Reservation table strings
  //
  "resId": "ID",
  "resMachineHostname": "시스템 호스트 이름",
  "resStartDate": "시작 날짜",
  "resEndDate": "종료 날짜",
  "resRequestStatus": "요청 상태",
  "resRequestId": "요청 ID",
  "resReservedBy": "예약자",
  
  
  // Reservations Page strings
  "resReservationsPageTitle": "예약",
  "resActiveReservationsTitle": "활성 예약",
  "resFutureReservationsTitle": "나중 예약",
  "resMachineName": "시스템",
  "resSelect": "선택",
  "reservations_view_label": "표시: ",
  "resMsgRetrievingReservationsWorking": "예약 검색 중...",
  "resResLabel": "예약",
  "resCanceling": "예약 취소 중...",
  "resCancelSelected" : "선택된 예약 취소",
  "resNoPermToCancel": "취소 권한이 없습니다.",
  "resNoPermToCancelDetails": "<b>세부사항:<\/b><br>선택된 예약의 일부 또는 모두를 취소할 수 있는 권한이 없습니다.",
  
  //Lab Manager homepage request table strings
  "my_assigned_requests_title": "사용자 지정된 예약",
  "reqSubmitter": "제출자",
  "MsgResRetrievalSucceeded": "시스템 예약을 검색했습니다.",
  "MsgResRetrievalFailed": "시스템 예약 검색에 실패했습니다.",

  "reqMsgfindMachForCfg": "시스템을 검색할 때 다음 선택된 속성을 포함시키십시오.",
  
  "!checkbox": "cb",
  "attrName": "이름",
  "op": "op",
  "value": "값",
  
  "resselect": "선택",
  "reshostname": "시스템 이름",
  "resreservefrom": "예약원",
  "resreserveTo": "예약처",
  
  "reqLabel_ReservedMachines": "<B>예약된 시스템:<\/B>",
  
  // Report messages
  "rptLabelNewReport": "보고서 작성",
  "rptLabelPrint": "인쇄",
  "rptLabelMyReports": "사용자 보고서",
  "rptLabelReportName": "소유자별 시스템",
  "rptMsgLoading": "보고서 로드 중...",
  "rptMsgFailed": "보고서를 로드할 수 없습니다.",
  
  "MsgResNoMatchingMachines" : "선택된 매개변수에 제공된 선택된 날짜에는 사용 가능한 시스템이 없습니다.",
  
  //  Configuration(s) messages
  "cfgCfgView": "테스트 환경",												// CML: term
  "cfgMsgRetrievingConfigurationsWorking": "테스트 환경 검색 중...",		// CML: term
  "cfgConfigurationsPageTitle": "테스트 환경",								// CML: term
  "cfgConfigurations_view_label": "표시: ",
  "cfgName": "이름",
  "cfgDescription": "설명",
  "cfgSummary": "요약",
  "cfgCfgLabel": "테스트 환경",												// CML: term
  "cfgUnassigned": "지정되지 않음",
  "cfgAllConfigsLabel": "모두",
  "cfgShowQuery": "조회 보기 표시",
  "cfgNoneLabel": "--없음--",
  "cfgClearForm": "양식 지우기",
  "cfgAssetDescription": "랩 자원 설명",
  "cfgLabelPrompt": "랩 자원 설명의 레이블을 입력하십시오.",
  "cfgLabelPromptResourceNumber": "랩 자원 설명 %1의 레이블을 입력하십시오.",
  "cfgAddPart" : "랩 자원 설명 추가",
  "cfgAddConfig" : "테스트 환경에서 추가...",									// CML: term
  "cfgInitFromConfig" : "테스트 환경에서 초기화...",						// CML: term
  "cfgNoLabel" : "레이블 없음",
  "cfgEdit" : "편집",
  "cfgSummary" : "요약",
  "cfgFindMachines" : "시스템 찾기",
  "cfgSelectAssetForSearch": "검색할 랩 자원 선택",
  "cfgDeleteResourceDescription": "랩 자원 설명 삭제",
  "cfgNewPrompt" : "< 새 테스트 환경 이름 입력 >",						// CML: term
  "cfgDelete" : "삭제",
  "select_attribute": "속성 선택",
  "cfgRequireNameError": "테스트 환경의 이름을 입력해야 합니다.",		// CML: term
  "cfgHasError": "테스트 환경에 입력 오류가 있습니다.",				// CML: term
  "cfgEmptyConfig": "랩 자원 설명을 지정하지 않았습니다.",
  "cfgSelectLRD": "랩 자원 설명: ",
  "cfgNonameLRD": "랩 자원 설명",
  "cfgMsgConfigDeleted": "이 편집기의 테스트 환경이 삭제되었습니다.",	// CML: term
  "cfgMsgActionError": "조치를 수행할 수 없습니다.",
   
  //Job Status table messages
  "job_status_title": "자동화 상태",
  "retrievingJobStatus": "자동화 상태 검색 중...",
  "jobId": "ID",
  "jobName": "이름",
  "jobOwner": "소유자",
  "jobMachine": "시스템",
  "jobStartTime": "시작 시간",
  "jobDuration": "지속 기간",
  "jobEndTime": "종료 시간",
  "jobState": "상태",
  "jobResult": "결과",
  "Pending": "보류 중",
  "Unknow": " -- ", // No need to translate
  "Started": "시작됨",
  "Completed": "완료됨",
  "jobResult": "결과",
  "Running": "실행 중",
  "Passed": "패스",			// CML: term
  "Warning": "경고",
  "Failed": "실패",			// CML: term
  "days": "일",
  "hours": "시",
  "minutes": " 분",
  "seconds": " 초",
  "msgStartAutoOp": "자동 실행 초기화...",
  "ErrStartAutoOp": "자동 실행을 초기화할 수 없습니다. ",
  
  "MsgRequestMachineSearch": "요청을 이행할 시스템 검색 중...",
  "MsgReserveMachine": "요청 시스템 예약 중입니다.",
  "operatingSystem": "운영 체제",
  "memory": "메모리(MB)",
  "model": "모델:",
  
  "MsgNoMachinesHaveBeenFound": "현재 선택된 검색 매개변수와 일치하는 시스템을 찾을 수 없습니다.",
  "MsgNoRequestsAvailable": "현재 선택된 보기에 지정된 요청을 찾을 수 없습니다.",
  "MsgNoReservationsAvailable": "현재 선택된 보기에 지정된 예약을 찾을 수 없습니다.",
  
  //Paging messages
  "pageforward": "다음 페이지",
  "pagereverse": "이전 페이지",
  
  //Template Initialization Messages
  "RlmInitializingTemplate" : "초기화 중...",
  "RlmInitializeTemplateFailed" : "적절히 초기화하는 데 실패했습니다.",
  
  // Asset page
  "newAssetPrompt" : "< %1 이름 새로 작성 > ",
  "savingAsset" : "랩 자원 저장 중...",
  "savingGroup" : "그룹 저장 중...",
  "saveAssetSuccess" : "랩 자원이 저장되었습니다.",
  "saveAssetFailed" : "오류가 발생했습니다. 랩 자원을 저장할 수 없습니다.",
  "saveAssetFailedModifiedAsset" : "오류가 발생했습니다. 다른 사용자가 편집하여 랩 자원을 저장할 수 없습니다.",
  "fetchAssetFailed" : "랩 자원에 대한 정보를 가져올 수 없습니다.",
  "confirmDiscard": "마지막 저장 이후 작성된 변경사항이 손실됩니다. 계속하시겠습니까?",
  "confirmDiscardTitle": "변경사항 버리기 확인",
  "machineGroupUnknown": "알 수 없음",
  "resourceGroupInfoFailure": "랩 자원 그룹 정보를 검색하는 데 실패했습니다.",
  "resourceAddedToGroupFailed": "그룹에 자산을 추가하는 데 실패했습니다.",
  "resourceGroupInfoFailure": "랩 자원 그룹 정보를 검색하는 데 실패했습니다.",
  "confirmReleaseResourceFromGroup": "해당 그룹에서 랩 자원을 해제하시겠습니까?",
  "releasingLabResource": "랩 자원 해제 중...",
  "resourceReleased": "랩 자원이 해제되어 다시 풀로 돌아갔습니다.",
  "resourceReleaseFailed": "랩 자원을 해제하는 데 실패했습니다.",
  "failedLookupAssets": "오류가 발생했습니다. 랩 자원을 찾을 수 없습니다.",
  "unknownOsDisplay": "<미지정>",
  
  "newVirtualImage" : "가상 이미지 작성",
  "VirtualImage" : "가상 이미지",
  "PhysicalMachine" : "실제 시스템",
  "VirtualMachine" : "가상 시스템",
  "newMachine" : "시스템 작성",
  "Machine" : "시스템",
  "machineInGroup" : "그룹 내: ",
  "machineNoGroupMembership": "없음",
  "VirtualImage.name": "이미지 이름",
  "labelCapitalNew": "새로 작성",
  "labelColen": ":",
  
  "machinesection" : "시스템",
  "root": "유형:",
  "name" : "이름:",
  "identity" : "ID",
  "hardware" : "하드웨어",
  "other" : "기타",
  "ipAddress": "IP 주소:",
  "memory": "메모리(MB):",
  "cpu-section": "CPU",
  "cpu": "프로세서 유형:",
  "cpuSelector": "프로세서 유형:",
  "owner": "소유자:",
  "group": "자원 그룹:",
  "ossection" : "운영 체제",
  "OperatingSystem" : "운영 체제",
  "operatingsystem" : "운영 체제:",
  "operatingsystemSelector" : "OS 유형:",
  "hostname" : "호스트 이름:",
  "ossection.windows" : "Windows OS",
  "software" : "소프트웨어",
  "softwaresection" : "소프트웨어",
  "TimeZone": "시간대",
  "Version": "버전",
  "Version-section": "버전",
  "L2Interface-section": "L2 인터페이스",
  "PrimaryMACAddress" : "기본 MACAddress:",
  "TotalDiskSize": "총 디스크 공간(MB):",
  "FreeDiskSpace": "디스크 여유 공간(MB):",
  "SystemBuildUUID": "시스템 빌드 UUID:",
  "SystemID": "시스템 ID:",
  "ModelNumber": "모델 번호:",
  "SerialNumber": "일련 번호:",
  "cpuArchitecture": "아키텍처:",
  "cpuArchitectureWidth": "아키텍처 너비:",
  "cpuCoresInstalled": "설치된 코어:",
  "cpuCount": "CPU 수:",
  "cpuDiesInstalled": "설치된 다이(Dies):",
  "cpuManufacturer": "제조업체:",
  "cpuSpeed": "시계 속도:",
  "Operational Status": "작동 상태:",
  "Administrative Status": "관리 상태:",
  "Location": "위치:",
  "HwAddress": "하드웨어 주소:",
  "Loopback": "루프백:",
  "MTU": "MTU:",
  "Speed": "속도:",
  "FullyQualifiedDomainName": "완전한 도메인 이름:",
  "Type": "유형:",
  "IpInterface": "IP 인터페이스:",
  "IpInterface-section": "IP 인터페이스",
  "IpV4Address": "IP V4 주소:",
  "IpV6Address": "IP V6 주소:",
  "IpV6NotationType": "IP V6 표기법 유형:",
  "L2InterfaceName": "L2 인터페이스 이름:",
  "Netmask": "네트마스크:",
  "SubnetAddress": "서브넷 주소:",
  "Database": "데이터베이스",
  "DataBase": "데이터베이스",
  "ApplicationServer": "응용프로그램 서버",
  "Application Server": "응용프로그램 서버",
  "Browser": "브라우저",
  "Browsers": "브라우저",
  "TestTool": "테스트 도구",
  "Test Tool": "테스트 도구",
  "TestAdapter": "테스트 어댑터",
  "Test Adapter": "테스트 어댑터",
  "CPU": "CPU",
  "none": "없음",
  "ManagementAgent": "관리 에이전트",
  "Management Agent": "관리 에이전트",
  "SoftwarePatch-section" : "소프트웨어 패치",
  "SoftwarePatch" : "소프트웨어 패치",
  "Software Patch" : "소프트웨어 패치",
  "InstallDate": "설치 날짜:",
  "PatchID": "패치 ID:",
  "selectOSTitle": "운영 체제 선택",
  "selectOSAddSWPrompt": "소프트웨어를 추가할 운영 체제를 선택하십시오.",
  "add-os.details": "운영 체제 추가",
  "add-software.details": "소프트웨어 추가",
  
  "KernelArchitecture": "커널 아키텍처:",
  "KernelVersion": "커널 버전:",
  "KernelWidth": "커널 너비",
  "Distribution": "분배:",
  "Locale": "로케일:",
  
  "BuildLevel": "빌드 레벨:",
  "Level": "레벨:",
  "Release": "릴리스:",
  "Modifier": "수정자:",
  "MajorVersion": "주요 버전:",
  "VersionString": "버전 문자열:",
  
  "ImageType" : "이미지 유형:",
  "Description" :"설명:",
  "CreatedWithVMTool" : "사용된 VM 도구:",
  "DateCreated" : "작성한 날짜:",
  "DateLastModified" : "마지막 수정 날짜:",
  "Notes" : "노트:",
  "VMDiskSize": "VM 디스크 크기(MB):",
  "VMFile" : "VM 파일:",
  "VMID": "VMID:",
  "VMMemorySize": "VM 메모리 크기(MB):",
  "VMState": "VM 상태:",
  
  "SoftwareInstall": "설치된 소프트웨어",
  "SoftwareInstallSelector" : "소프트웨어 유형:",
  "DisplayName" : "이름:",
  "InstalledDate" : "설치된 날짜:",
  "InstalledLocation" : "설치 위치:",
  "Manufacturer" : "제조업체:",
  "ProductID" : "제품 ID:",
  "ProductName" : "제품 이름:",
  "executableName" : "실행 파일:",
  "Path": "경로:",
  "username": "사용자 이름:",
  "password": "암호:",
  
  "noValue": "설정 안함",
  
  //Search Messages
  "srchSelectResouceDesc": "랩 자원 설명 선택",
  "srchTestDataNotNeeded": "테스트 데이터 - 필요하지 않음",
  
  //Advanced Search Messages
  "attributesNotShowing" : "속성 숨기기",
  "attributeShowing" : "속성 표시",
  "pl_Administrative Status": "관리 상태",
  "pl_cpu" : "프로세서 유형",
  "pl_cpuArchitecture": "아키텍처",
  "pl_cpuArchitectureWidth": "아키텍처 너비",
  "pl_cpuCoresInstalled": "설치된 코어",
  "pl_cpuCount": "CPU 수",
  "pl_cpuDiesInstalled": "설치된 다이(Dies)",
  "pl_cpuManufacturer": "제조업체",
  "pl_cpuSpeed": "시계 속도",
  "pl_CreatedWithVMTool" : "사용된 VM 도구",
  "pl_DateCreated" : "작성한 날짜",
  "pl_DateLastModified" : "마지막 수정 날짜",
  "pl_Path" : "경로",
  "pl_Description" : "설명",
  "pl_DisplayName" : "표시 이름",
  "pl_Distribution": "분배",
  "pl_executableName" : "실행 파일 이름",
  "pl_username": "사용자 이름",
  "pl_password": "암호",
  "pl_FullyQualifiedDomainName": "완전한 도메인 이름",
  "pl_FreeDiskSpace": "디스크 여유 공간",
  "pl_hostname" : "호스트 이름",
  "pl_ImageType" : "이미지 유형",
  "pl_InstalledDate" : "설치 날짜",
  "pl_InstalledLocation" : "설치 위치",
  "pl_ipAddress" : "IP 주소",
  "pl_IpInterface": "IP 인터페이스",
  "pl_KernelArchitecture": "커널 아키텍처",
  "pl_KernelVersion": "커널 버전",
  "pl_KernelWidth": "커널 너비",
  "pl_L2Interface": "L2 인터페이스",
  "pl_Locale": "로케일",
  "pl_Location": "위치",
  "pl_Machine": "유형",
  "pl_model" : "모델",
  "pl_Manufacturer" : "제조업체",
  "pl_memory" : "메모리",
  "pl_ModelNumber": "모델 번호",
  "pl_name" : "이름",
  "pl_Notes" : "노트",
  "pl_operatingsystem" : "운영 체제",
  "pl_Operational Status": "작동 상태",
  "pl_owner" : "소유자",
  "pl_group" : "자원 그룹",
  "pl_PrimaryMACAddress": "기본 MAC 주소",
  "pl_ProductID" : "제품 ID",
  "pl_ProductName" : "제품 이름",
  "pl_SerialNumber": "일련 번호",
  "pl_SoftwareInstall" : "설치된 소프트웨어",
  "pl_SoftwarePatch": "소프트웨어 패치",
  "pl_status" : "상태",
  "pl_SystemBuildUUID": "시스템 빌드 UUID",
  "pl_SystemID": "시스템 ID",
  "pl_TimeZone": "시간대",
  "pl_TotalDiskSize": "총 디스크 크기",
  "pl_Type": "유형",
  "pl_Version": "버전",
  "pl_VMDiskSize": "VM 디스크 크기",
  "pl_VMFile" : "VM 파일",
  "pl_VMID": "VMID",
  "pl_VMMemorySize": "VM 메모리 크기",
  "pl_VMState": "VM 상태",
  "pl_IpInterface": "IP 인터페이스",
  "pl_IpV4Address": "IP V4 주소",
  "pl_IpV6Address": "IP V6 주소",
  "pl_IpV6NotationType": "IP V6 표기법 유형",
  "pl_L2InterfaceName": "L2 인터페이스 이름",
  "pl_Netmask": "네트마스크",
  "pl_SubnetAddress": "서브넷 주소",
  "pl_SoftwarePatch" : "소프트웨어 패치",
  "pl_InstallDate": "설치 날짜",
  "pl_PatchID": "패치 ID",
  "pl_BuildLevel": "빌드 레벨",
  "pl_Level": "레벨",
  "pl_Release": "릴리스",
  "pl_Modifier": "수정자",
  "pl_MajorVersion": "주요 버전",
  "pl_VersionString": "버전 문자열",
  "pl_HwAddress": "하드웨어 주소",
  "pl_Loopback": "루프백",
  "pl_MTU": "MTU",
  "pl_Speed": "속도",
  
  "Software" : "소프트웨어",
  "SoftwareInstall" : "설치된 소프트웨어:",
  "vmsection" : "가상 시스템",
  "Virtual Machine" : "가상 시스템",
  "Search" : "검색",
  "editparms" : "속성 편집",
  
  // Audit Trail messages
  "AUDITTRAIL_ADD": "${0} 추가",
  "AUDITTRAIL_EDIT": "${0} 편집", 
  "AUDITTRAIL_REMOVE": "${0} 제거", 
  "AUDITTRAIL_DISCOVER": "${0} 발견", 
  "AUDITTRAIL_JOB": "작업 ${0}", 
  "AUDITTRAIL_ADD_RESERVATION": "예약 ${0} 추가", 
  "AUDITTRAIL_CANCEL_RESERVATION": "예약 ${0} 취소", 
  "AUDITTRAIL_END_RESERVATION": "예약 ${0} 종료",
  
  // configuration messages
  "description": "설명:",
  "Configuration" : "테스트 환경",															// CML: term
  "newConfiguration" : " 테스트 환경 작성",												// CML: term
  "savingConfig" : "테스트 환경 저장 중...",											// CML: term
  "configConfirmDelete" : "테스트 환경이 영구적으로 제거됩니다. 계속하시겠습니까?",		// CML: term
  "configDiscardNew" : "변경사항을 버립니다. 계속하시겠습니까?",
  "configConfirmRemovePart" : "테스트 환경에서 랩 자원 설명이 제거됩니다. 계속하시겠습니까?",	// CML: term
  "configCantRemoveLastDescriptor" : "제거할 수 없습니다. 테스트 환경은 최소 하나의 랩 자원 설명을 포함해야 합니다.",
  "discardingConfig" : "테스트 환경 삭제 중...",										// CML: term
  "saveConfigSuccess" : "테스트 환경이 저장되었습니다.",									// CML: term	
  "configOpFailed" : "오류가 발생했습니다. 테스트 환경에서 조작을 수행할 수 없습니다.",	// CML: term
  "configOpFailedStaleData" : "오류가 발생했습니다. 다른 사용자가 편집하여 테스트 환경을 저장할 수 없습니다.",	// CML: term
  "fetchConfigFailed" : "테스트 환경에 대한 정보를 가져올 수 없습니다.",				// CML: term
  "createRequestAction" : "요청 작성",
  "searchAssetAction" : "검색",
  "configDeleteResourceDescription": "랩 자원 설명 삭제",
  "configCoverageSummary": "적용 범위 요약",
  "configPropsAtAGlance": "각 랩 자원 설명의 공통 특성을 참고하십시오.",
  "configDescription":"테스트 환경 설명을 입력하십시오.",
  
  "Log": "로그",			// CML: term - test log???
  "jobLog": "작업 로그",
  
  // collections messages
  "labelOpenClose": "분할창 열기 또는 닫기",
  "labelVirtualCollectionsHelp": "가상 콜렉션 도움말",
  "labelAllVirtualCollections": "모든 가상 콜렉션",
  "labelAllVirtualImages": "가상 이미지 콜렉션",
  "labelAllVirtualMachines": "가상 시스템 콜렉션",
  "labelHeaderCollectionName": "콜렉션 이름",
  "labelNoResinCollection": "콜렉션에 랩 자원이 없습니다.",
  "labelAssignConfig": "테스트 환경 지정...",									// CML: term
  "labelDeployingVICollection": "가상 이미지 콜렉션 배치 중...",
  "labelUndeployingVMCollection": "가상 시스템 콜렉션 배치 취소 중...",
  "msgSettingConfig": "콜렉션 구성 설정 중...",
  "msgDeployedVICollections": "%1/%2 가상 이미지 콜렉션 배치 요청을 제출했습니다.",
  "msgUndeployedVMCollections": "%1/%2 가상 이미지 콜렉션 배치 취소 요청을 제출했습니다.",
  "errRetrieveAllConfigs": "사용 가능한 모든 테스트 환경을 검색할 수 없습니다.",		// CML: term
  "errSetCollectionConfig": "콜렉션에 테스트 환경을 지정할 수 없습니다.",	// CML: term

  // resource group messages
  "labelNewGroupTitlePrompt" : "< 새 랩 자원 그룹 이름 입력 > ",
  "labelGroupTitle": "랩 자원 그룹 &lt;%1&gt;",
  "labelGroupType": "랩 자원 그룹",
  "labelListLabResources": "랩 자원 ",
  "labelRequiredGroupName": "이름: *",
  "labelRequiredTeamArea": "팀 영역: *",
  "labelTeamArea": "팀 영역:",
  "labelDescription": "설명:",
  "labelStartDate": "시작 날짜:",
  "labelExpirationDate": "만기 날짜:",
  "labelNeverExpire": "만기 없음",
  "labelGeneralInfo": "일반 정보",
  "labelGroupAssets": "랩 자원",
  "labelReleaseFromGroup": "그룹에서 릴리스",
  "labelReleasingAssets": "랩 자원 해제 중...",
  "labelAssetName": "랩 자원 이름",
  "labelOS": "운영 체제",
  "labelMfrOrType": "제조업체/유형",
  "labelAssetType": "랩 자원 유형",
  "labelHeaderGroupName": "그룹 이름",
  "labelHeaderDescription": "설명",
  "labelHeaderStartDate": "시작 날짜",
  "labelHeaderExpirationDate": "만기 날짜",
  "labelHeaderTeamArea": "팀 영역",
  "labelMyGroups": "사용자 그룹",
  "labelAllGroups": "모든 그룹",
  "labelAddToGroup": "그룹에 추가",
  "labelLabResources": "랩 자원",
  "magNoGroupForUser": "로그인한 사용자가 랩 자원 그룹에 속하지 않습니다.",
  "msgAssetsNumberInGroup": "그룹의 %1 자원",
  "msgNoAssetInGroup": "그룹에 랩 자원 없음",
  "msgInvalidStartDate": "지정된 시작 날짜가 올바르지 않습니다.",
  "msgInvalidEndDate": "지정된 만기 날짜가 올바르지 않습니다.",
  "msgInvalidStartEndDates": "지정된 시작 및 만기 날짜 조합이 올바르지 않습니다.",
  "msgMissingGroupName": "그룹 이름을 지정해야 합니다.",
  "msgMissingTeamArea": "팀 영역을 지정해야 합니다.",
  "msgSaveGroupSuccess": "랩 자원 그룹이 저장되었습니다.",
  "msgReleaseAssetsSuccess": "선택된 랩 자원이 해제되어 다시 기본 풀로 돌아갔습니다.",
  "msgRemovingGroups": "랩 자원 그룹 %1 삭제 중...",
  "msgRemoveOneGroupSuccess": "랩 자원 그룹이 삭제되었습니다.",
  "msgRemoveGroupsSuccess": "%1/%2 랩 자원 그룹이 삭제되었습니다.",
  "msgGroupDeleted": "이 편집기의 랩 자원 그룹이 삭제되었습니다.",
  "msgAddAssetsSuccess": "선택된 랩 자원이 추가되었습니다.",
  "errLoadGroupInfo": "랩 자원 그룹 정보를 로드하는 데 실패했습니다.",
  "errLoadAssetInfo": "그룹의 랩 자원 정보를 로드하는 데 실패했습니다.",
  "errSavingGroup": "랩 자원 그룹을 저장하는 데 실패했습니다.",
  "errRefreshingGroupList": "랩 자원 그룹 목록을 새로 고치는 데 실패했습니다.",
  "errReleaseAssets": "선택된 랩 자원을 해제하는 데 실패했습니다.",
  "errAddAssets": "선택된 랩 자원을 추가하는 데 실패했습니다.",  
  "errRemoveGroup": "랩 자원 그룹을 삭제하는 데 실패했습니다.",
  "confirmReleaseResource": "선택된 랩 자원을 해제하시겠습니까?",
  "confirmReleaseResourceTitle": "랩 자원 해제 확인",
  "confirmRemoveGroup": "선택된 랩 자원 그룹이 삭제됩니다. 계속하시겠습니까?",
  "confirmRemoveGroupTitle": "그룹 삭제 확인",
  "confirmReleaseResourceFromGroup": "해당 그룹에서 랩 자원을 해제하시겠습니까?",
  "msgSaveNewGroupBeforeAddingAssets" : "랩 자원을 추가하기 전에 새 그룹을 저장하십시오.",
  "msgSpecifyName": "%1에 이름을 지정해야 합니다.",
  "msgCPULimit": "경고 시스템 CPU(%1)의 수가 사용이 허가된 %2을(를) 초과했습니다. 시스템 관리자에게 문의하여 추가 라이센스를 구입하십시오.",
  
  "NoLogAvailable": "로그를 사용할 수 없습니다.",			// CML: term - test log ???
  
  "Availability" : "사용가능성",
  "includeAssetLabel" : "검색에 자산 그룹을 포함합니까? ",
  "ClearAttributes": "지우기",
  "AssetTypeLabel" : "랩 자원 유형:",
  "NoLRDSelected": "< 랩 자원 설명을 선택하지 않았음 >",
  "AllMachines": "모든 시스템",
  "AllVIs": "모든 가상 이미지",
  "Today": "오늘",
  "Tomorrow": "내일",
  "Next2Days": "다음 2일",
  "Next5Days": "다음 5일",
  "SearchResults": "검색 결과",
  "AdvancedSearch": "고급 검색",
  "SearchCriteria": "검색 기준",
  "Synchronize": "동기화",
  "Discover": "발견",
  "Refresh": "새로 고치기",
  "Virtual Machine Status": "상태",
  "VirtualImages": "가상 이미지",
  "Date": "날짜",
  "Inventory Operations": "인벤토리 오퍼레이션",
  "Deployment Operations": "배치 오퍼레이션",
  "Operation": "오퍼레이션",
  "Machine Name": "시스템 이름",
  "Machine Status": "시스템 상태",
  "Provider": "제공자",
  "Configure Automation": "구성 자동화",
  "Deploy Image(s)": "이미지 배치",
  "Virtual Image": "가상 이미지",
  "Hardware": "하드웨어",
  "Automation": "자동화",
  "Start Time": "시작 시간",
  "End Time": "종료 시간",
  "Provider Instance": "제공자 인스턴스",
  "undefined": "정의되지 않음",
  "automateFetchMachinesError" : "시스템 목록을 가져올 수 없습니다. ",
  "noAutomationPermissions": "자동화를 실행할 수 있는 권한이 없습니다.",
  "noAutomationPermissionsDetails": "<b>세부사항:<\/b><br>지정된 역할은 랩 자원에 대해 자동화를 실행할 수 있는 권한을 부여하지 않습니다.",
  "noAssetDiscovered": "갱신된 자산 없음",
  "inventoryAssetAdded": "자산 추가됨",
  "inventoryAssetUpdated": "자산 갱신됨",
    
  "Cancel": "취소",
  "ErrorRetrievingLog": "로그 검색 오류",			// CML: term - test log???
  "nonDiscoverableAsset": "자원 %에 발견을 사용할 수 없습니다.",
  "Provider Instance": "제공자 인스턴스",
  
  "ErrorRetrievingLog": "로그 검색 오류",			// CML: term - test log???
  "nonDiscoverableAsset": "자원 %에 발견을 사용할 수 없습니다.",
  "resourceNotFound": "\"%2\" 작업 또는 선택된 시스템 중 하나를 \"%1\"에서 찾을 수 없습니다. ",
  "providerConnectedError": "\"%1\"에 연결할 수 없습니다. ",
  "providerAuthError": "\"%1\"에 대해 인증할 수 없습니다. ",
  "deployOperationsNotAvailable": "%2 자원에 대해 %1 오퍼레이션을 사용할 수 없습니다.",
  "Deploy": "배치",
  "Undeploy": "배치 취소",
  "vmmachines": "가상 시스템",
  "inventoryNoPerms": "조치를 수행할 권한이 없습니다.",
  "inventoryNoPermsDetails": "<b>세부사항:<\/b><br>지정된 역할은 인벤토리 조치를 수행할 수 있는 권한을 부여하지 않습니다.",
  "labelAutoRefreshDeployView": "배치 오퍼레이션을 자동으로 새로 고치기",
  
  "labelPort": "포트(선택사항)",
  "labelUserName": "사용자 이름:",
  "labelPassword": "암호:",
  "labelProvider": "제공자:",
  "fetchingInventoryProviders": "인벤토리 제공자 정보를 가져오는 중...",
  "msgBFNeedInputs" : "사용자 이름/암호 및 Temp 경로 값을 입력하십시오.",
  "msgNoInventoryProvider" : "인벤토리 기능이 있는 제공자가 없습니다. 제공자를 즉시 추가할 수 없습니다. ",
  "errGetInventoryProviders" : "인벤토리 제공자 정보를 가져올 수 없습니다. 제공자를 즉시 추가할 수 없습니다. ",
  "labelTempPath": "임시 경로: ",
  "Save": "저장",
  "Saving": "제공자에 저장하는 중...",
  "Add to provider": "제공자에 추가",
  "General Info": "일반 정보",
  
  "savedBldFrgSuccessMsg": "제공자에 랩 자원을 추가했습니다. ",
  "savedBldFrgFailureMsg": "제공자에 랩 자원을 추가하는 데 실패했습니다. ",
  
  //SPI Error Codes
  "SPIRC_SAVE_ASSET_ERROR": "RQM 데이터베이스에 랩 자원을 저장하는 데 실패했습니다. ",
  "SPIRC_ASSET_RETRIEVE_ERROR": "다른 사용자가 RQM에서 랩 자원을 삭제했습니다. ",
  "SPIRC_EXTENSION_POINT_IMPLEMENTATION_ERROR": "서비스 제공자에 액세스할 수 없습니다. ",
  "SPIRC_PROVIDER_CONNECTION_ERROR": "외부 제공자 서버에 연결할 수 없습니다. ",
  "SPIRC_PROVIDER_CONNECTION_AUTH_ERROR": "외부 제공자 서버에 대해 인증할 수 없습니다. ",
  "SPIRC_PROVIDER_RETRIEVE_ERROR": "제공자 %1을(를) 찾을 수 없습니다.",
  "SPIRC_PROVIDER_ABILITY_ERROR": "제공자가 인벤토리 서비스를 제공할 수 없습니다.",
  "SPIRC_PROVIDER_INTERNAL_ERROR": "제공자 서버에서 내부 오류가 발생했습니다. 세부사항은 서버 로그를 참조하십시오.",
  "SPIRC_PROVIDER_AGENT_UNREACHABLE": "선택된 제공자를 통해 랩 자원에 도달할 수 없습니다. 입력한 인수를 확인하고 다시 시도하십시오. ",
  "SPIRC_INVENTORY_PROVIDER_NOT_CONFIG_ERROR": "사용 가능한 인벤토리 제공자가 없습니다.",
  "SPIRC_VIRTUALIZATION_PROVIDER_NOT_CONFIG_ERROR": "사용 가능한 가상 제공자가 없습니다.",
  "SPIRC_ADD_ASSET_TO_PROVIDER_NOT_SUPPORT": "선택된 제공자는 RQM에서 추가된 랩 자원을 가지는 것을 지원하지 않습니다. ",
  "SPIRC_DELETE_ASSET_ON_PROVIDER_NOT_SUPPORT": "랩 자원은 삭제되었지만 인벤토리 및 자동화 통합에서는 삭제가 지원되지 않습니다.",
  "SPIRC_ASSET_DELETED_FOR_MULTIPLE_PROVIDERS_FAILED": "랩 자원은 삭제되었지만 인벤토리 및 자동화 통합에서 삭제 중 오류가 발생했습니다. 세부사항은 서버 오류 로그를 참조하십시오.", 
  
  //Deploy and undeploy Error Codes
  "SPIRC_REQUEST_NOT_IMPLEMENTED": "제공자 어댑터가 요청을 지원하지 않습니다. ",
  "SPIRC_BAD_REQUEST_ERROR": "제공자 어댑터에 대한 요청이 올바르지 않습니다. ",
  "SPIRC_RESOURCE_NOT_FOUND": "외부 제공자 서버에서 랩 자원을 찾을 수 없습니다. ",
  "SPIRC_DEPLOY_VI_EXTERNAL_ERROR": "가상 이미지를 배치할 때 제공자 서버에서 내부 오류가 발생했습니다.",
  "SPIRC_DEPLOY_VIC_EXTERNAL_ERROR": "가상 이미지 콜렉션을 배치할 때 제공자 서버에서 내부 오류가 발생했습니다.",
  "SPIRC_UNDEPLOY_VM_EXTERNAL_ERROR": "가상 시스템을 배치 취소할 때 제공자 서버에서 내부 오류가 발생했습니다.",
  "SPIRC_UNDEPLOY_VMC_EXTERNAL_ERROR": "가상 시스템 콜렉션을 배치 취소할 때 제공자 서버에서 내부 오류가 발생했습니다.",
  "SPIRC_RESOURCE_NOT_FOUND": "요청된 오퍼레이션에는 랩 자원을 사용할 수 없습니다.",
  
  // Automation in RTLM Error Codes
  "SPIRC_MACHINE_NOT_IN_MAPPING": "\"%1\"이(가) 관리하지 않는 시스템입니다. ",
  
  //Inventory history page messages
  "msgDeployedVIs": "%1/%2 가상 이미지 배치 요청을 제출했습니다.",
  "msgUndeployedVMs": "%1/%2 가상 이미지 배치 요청을 제출했습니다.",
  "msgSyncInventoryProviderConfigured": "인벤토리 제공자를 동기화했습니다.",
  "msgSyncVirtualizationProviderConfigured": "가상화 제공자를 동기화했습니다.",
  "msgSyncBothProvidersConfigured": "인벤토리 및 가상화 제공자를 동기화했습니다.",
  "warnSyncNoProviderConfigured": "사용 가능한 인벤토리 또는 가상화 제공자가 없습니다.",
  
  "labelNew": "새로 작성",
  "labelDetail": "세부사항",
  "labelManager": "관리자",
  "labelHelp": "%1 %2 도움말",
  
  "labelTableSummary": "%1 테이블입니다.",
  "labelAsset": "자산",
  "labelReservedMachine": "예약된 시스템",
  "labelFoundMachine": "발견된 시스템",
  "labelOfflineMachines": "오프라인 시스템",
  "labelQueryResult": "조회 결과",
  
  "Discover Image(s)": "시스템 발견",
  "machineDiscoverDisabled": "선택한 시스템 중 하나가 발견 불가능합니다. 발견이 사용 불가능합니다.",
  
  "Asset New": "새 자산",
  "Asset Update" : "자산 갱신",
  "Discover Error": "발견 오류",
  "Asset Remove": "제거된 자산",
  "labelFile": "파일:",
  
  "msgConfirmRemoveLMSection": "섹션을 제거하시겠습니까?",
  "msgConfirmRemoveResourceDescription": "자원 설명을 제거하시겠습니까?",
  "msgConfirmRemoveAttribute": "%1 속성을 제거하시겠습니까?",
  
  //Attribute Display attribute names
  "ad_Administrative Status": "관리 상태",
  "ad_Description": "설명",
  "ad_FreeDiskSpace": "디스크 여유 공간",
  "ad_IpInterface": "IP 인터페이스",
  "ad_L2Interface" : "L2Interface",
  "ad_Location": "위치",
  "ad_Manufacturer": "제조업체", 
  "ad_ModelNumber": "모델 번호",
  "ad_Notes": "노트",
  "ad_Operational Status": "작동 상태",
  "ad_PrimaryMACAddress": "기본 MACAddress",
  "ad_SerialNumber": "일련 번호",
  "ad_SystemBuildUUID": "시스템 빌드 UUID",
  "ad_SystemID": "시스템 ID",
  "ad_TotalDiskSize": "총 디스크 공간",
  "ad_cpu": "프로세서 유형",
  "ad_group": "그룹",
  "ad_ipAddress": "IP 주소",
  "ad_memory": "메모리",
  "ad_model": "모델",
  "ad_name": "이름",
  "ad_operatingsystem": "운영 체제",
  "ad_owner": "소유자",
  "ad_IpV4Address": "IP V4 주소",
  "ad_IpV6Address": "IP V6 주소",
  "ad_IpV6NotationType": "IP V6 표기법 유형",
  "ad_L2InterfaceName": "L2 인터페이스 이름",
  "ad_Netmask": "네트마스크",
  "ad_SubnetAddress": "서브넷 주소",
  "ad_HwAddress": "하드웨어 주소",
  "ad_Loopback": "루프백",
  "ad_MTU": "MTU",
  "ad_Speed": "속도",
  "ad_cpuArchitecture": "아키텍처",
  "ad_cpuArchitectureWidth": "아키텍처 너비",
  "ad_cpuCoresInstalled": "설치된 코어",
  "ad_cpuCount": "CPU 수",
  "ad_cpuDiesInstalled": "설치된 다이(Dies)",
  "ad_cpuManufacturer": "제조업체",
  "ad_cpuSpeed": "시계 속도",
  "ad_Distribution": "분배",
  "ad_FullyQualifiedDomainName": "완전한 도메인 이름",
  "ad_KernelArchitecture": "커널 아키텍처",
  "ad_KernelVersion": "커널 버전",
  "ad_KernelWidth": "커널 너비",
  "ad_Locale": "로케일",
  "ad_SoftwareInstall": "설치된 소프트웨어",
  "ad_SoftwarePatch": "소프트웨어 패치",
  "ad_TimeZone": "시간대",
  "ad_Type": "유형",
  "ad_Version": "버전",
  "ad_hostname": "호스트 이름",
  "ad_DisplayName": "이름",
  "ad_InstalledDate": "설치된 날짜",
  "ad_InstalledLocation": "설치 위치",
  "ad_ProductID": "제품 ID",
  "ad_ProductName": "제품 이름",
  "ad_executableName": "실행 파일",
  "ad_InstallDate": "설치 날짜",
  "ad_PatchID": "패치 ID",
  "ad_BuildLevel": "빌드 레벨",
  "ad_Level": "레벨",
  "ad_MajorVersion": "주요 버전",
  "ad_Modifier": "수정자",
  "ad_Release": "릴리스",
  "ad_VersionString": "버전 문자열",
  "ad_VMDiskSize": "VM 디스크 크기",
  "ad_VMID": "VMID",
  "ad_VMMemorySize": "VM 메모리 크기",
  "ad_VMState": "VM 상태",
  
  "RequestID": "요청 ID: ",
  "labelInventory": "인벤토리",
  "labelAutomations": "자동화",
  "labelAutomationToRun": "사용 가능한 실행 자동화",
  "labelRunningAutomations": "실행 자동화",
  "labelAvailMachForAutomation": "자동화에 사용 가능한 시스템",
  
  "labelRelatedSites": "관련 사이트",
  "productBuildForge": "Build Forge",
  "productVMLogix": "VMLogix",
  "productTSRM": "Tivoli - TSRM",
  "productTADDM": "Tivoli - TADDM",

  "pageTitleAsset": "%1: %2",   // %1 = the label for the type of asset, %2 = the asset's display name
  "pageTitleRequest": "요청: %1", 
  "pageTitleAssetGroup": "랩 자원 그룹: %1",
  "pageTitleTestEnvironment": "테스트 환경: %1"
})

