/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
({
    "bundle_description": "RQM 訊息",
    
	"labelProjectAreaTitle": "選取專案",
	"labelSelectProjectArea": "選取專案",
	"labelDefaultProjectArea": "將此設為我的預設專案",
	"labelDoNotAsk": "記住這個決定（不要再問我）",
	"msgMissingProjectArea": "找不到預期的預設「專案區」('%1')。",
	
	"labelNoShareLocation": "找不到共用位置",
	"labelNoneDatapool": "無",
    "labelInfoCtr": "資訊中心",
	"labelRestore":"還原",
    "labelSave": "儲存",
    "labelEdit": "編輯",
    "labelCopy": "複製",
	"labelPrintView": "列印視圖",
    "labelDiscardChanges": "捨棄變更",
	"labelChange": "變更",
    "labelApply": "套用",
    "labelApplyAll": "全部套用",
    "labelRefresh": "重新整理",
    "labelArchive": "保存",
	"labelLock": "鎖定",
	"labelLocking": "鎖定中",
	"labelUnlock": "解除鎖定",
	"labelUnlocking": "解除鎖定中",
	"labelLockingEnabled": "啟用鎖定",
	"labelMaxResults": "結果數上限",
	"labelDelete": "刪除",
    "labelAdd": "新增",
    "labelOk": "確定",
    "labelCancel": "取消",
    "labelClose": "關閉",
	"labelAddAClose": "新增 & 關閉",
    "labelUnassigned": "未指派",
    "labelNext": "下一步 >",
    "labelPrevious": "< 上一步",
    "labelFinish": "完成",
    "labelBrowse": "瀏覽",
	"labelGo": "執行",
	"labelBrowseSharedResource": "瀏覽：共用測試資源",
	"labelAdapterLocalResource": "匯入測試 Script：使用本端測試資源",
	"labelExecute": "執行",
	"labelRunning": "執行中",
    "labelYes": "是",
    "labelNo": "否",
    "labelCurrentQuery": "現行查詢：",
    "labelSystem": "系統",
    "labelCreate": "建立",
    "labelSummary": "摘要",
    "labelOwnedBy": "擁有者",
    "labelDue": "到期",
    "labelstatus": "狀態",
    "labelPriority": "優先順序",
    "labelSeverity": "嚴重性",
    "labelModifiedDate": "修改日期",
    "labelColen": "：",
	"labelImport": "匯入",    
    "labelChangeOwner": "變更擁有者",
    "labelInEditMode": "於編輯模式",
    "labelEnabled": "已啟用",
    "labelLoading": "正在載入...",
	"labelLoadingContent": "正在載入內容...",
	"labelShowAllFiles": "顯示所有檔案",
    "labelFetchingFiles": "提取檔案...",
    "labelImportingFiles": "匯入檔案...",
    "labelUnspecified": "未指定",
	"labelUpload": "上傳",
	"labelUploading": "上傳中",
    "labelManual": "手動",
    
    "labelValidationError": "未儲存：遺漏欄位/欄位無效...",
    "labelOperationWarning": "作業警告",
    
    "labelEnterSharedLocation": "輸入共用位置",
    "labelSharedLocation": "共用資源位置",
    "labelAvaiableAdapters": "可用的配接器",
	"labelChooseMachineForRun": "選取要執行這項測試的機器",
    "labelAdapters": "配接器",
	"labelConfiguration": "測試環境",
    "labelAvaiableConfiguration": "可用的測試環境", // CML: term
    "labelScriptSteps": "Script 步驟",
    "labelAddCustCrtl": "已新增自訂控制",
    "labelNotConfig": "未配置",
    "labelCreatedOn": "建立於：%1",
    "labelUnknown": "不明",
    "labelInvalidEntry": "項目無效",
	"labelInvalidDir": "目錄無效",
    "labelGlobal": "廣域",
    "labelNone": "-- 無 --",
    "labelNA": "N/A",
    "labelNotFound": "找不到",
    "labelPaused": "已暫停",
    "labelInProgress": "進行中",
	"labelProgress": "進度",
    "labelComplete": "完成",
    "labelCompleted": "已完成",
    "labelInconclusive": "不確定",
    "labelAvailable": "可用",
    "labelUnAvailable": "無法使用",
    "labelEnv": "環境",
    "labelAttachment": "附件",
    "labelFileName": "檔名",
    "labelSize": "大小",
    "labelRemove": "移除",
    "labelUndo": "復原",
    "labelPath": "路徑",
    "labelKB": "KB",
    "labelNumber": "號碼：",
    "labelAttachments": "附件",
    "labelComment": "註解",
    "labelConfirmation": "確認",
    "labelKeyword": "關鍵字",
    "labelId": "ID",
    "labelExtId": "外部 ID",
    "labelName": "名稱",
    "labelHostname": "主機名稱",
    "labelState": "狀態",
    "labelStartDate": "開始日期",
    "labelDate": "日期",
    "labelStartTime": "開始時間",
    "labelEndTime": "結束時間",
    "labelTotalRunTime": "總執行時間",
    "labelPass": "通過",
    "labelFail": "失敗",
    "labelPassed": "通過", // CML: term
    "labelFailed": "失敗", // CML: term
    "labelBlocked": "已封鎖",
	"labelNotRun": "未執行",
    "labelStatus": "實際結果", // CML: term
    "labelLog": "測試日誌", // CML: term
    "labelOverview": "概觀",
    "labelOriginator": "發起者",
    "labelDetail": "詳細資料",
    "labelOwner": "擁有者",
    "labelConfig": "測試環境", // CML: term
    "labelIteration": "測試管制點",		
    "labelTheme": "佈景主題",
    "labelCategory": "種類",
    "labelFunction": "功能",
    "labelWeight": "加權",
    "labelScript": "測試 Script",
    "labelModified": "已修改",
    "labelSuspect": "可疑",
    "labelNonSuspect": "非可疑",
    "labelLastMod": "前次修改日期",
    "labelSuccess": "成功",
    "labelFailure": "失敗",
    "labelSaving": "儲存",
    "labelNew": "新建",
    "labelDirty": "變動過的",
	"labelSaveNotNecessary": "不需要",
    "labelPrefixNo": "否",
    "labelSuffixFound": "找到",
    "labelDescription": "說明",
    "labelShared": "共用",
    "labelAvaiable": "可用",
	"labelUndefined": "未定義",
	"labelTotalWeight": "加權總計",
	"labelDefault": "預設值",
	
    "labelJanuaryAbbr": "一月",
    "labelFebruaryAbbr": "二月",
    "labelMarchAbbr": "三月",
    "labelAprilAbbr": "四月",
    "labelMayAbbr": "五月",
    "labelJuneAbbr": "六月",
    "labelJulyAbbr": "七月",
    "labelAugustAbbr": "八月",
    "labelSeptemberAbbr": "九月",
    "labelOctoberAbbr": "十月",
    "labelNovemberAbbr": "十一月",
    "labelDecemberAbbr": "十二月",
    
    "labelJanuary": "一月",
    "labelFebruary": "二月",
    "labelMarch": "三月",
    "labelApril": "四月",
    "labelMay": "五月",
    "labelJune": "六月",
    "labelJuly": "七月",
    "labelAugust": "八月",
    "labelSeptember": "九月",
    "labelOctober": "十月",
    "labelNovember": "十一月",
    "labelDecember": "十二月",
    
    "labelDay": "日",
    "labelNoResultsFound":"找不到結果",
    "labelNoInfoFound":"找不到資訊",
    "labelLastExecTime":"前次執行時間 %1",
	"labelWINotFound": "找不到工作項目 %1。",
	"labelNotADefect":"工作項目 %1 不是問題報告。",
	"editBlockingDefects": "管理暫停執行問題報告",
	"msgHasBlockingDefect": "已暫停執行這個測試執行記錄。您可以在相關資訊區段中查看問題報告。",
	"msgNoBlockingDefect": "沒有這個測試的暫停執行問題報告",
	"msgNoDefect": "這個測試沒有問題報告",
	"msgManyRecordsAvaiable": "這個測試案例有多筆測試執行記錄，請在執行之前適當地選擇。",
	"msgNoRecordsAvaiable": "這個測試案例沒有測試執行記錄。\n請在這裡用工具列建立測試執行記錄，或在此處不建立記錄但繼續進行。",
	"msgNoStepStillSave": "您要儲存空的測試 Script 嗎？",
	"msgNoScriptFound": "找不到測試 Script，無法繼續測試",
	"msgNoAdapterFound": "找不到用於執行的配接器，無法繼續測試。",
	"msgNoConfigFound": "找不到用於執行的測試環境，無法繼續測試。",    
    "msgScriptNotFoundInTestCase": "找不到測試案例 '%1' 的測試 Script，無法繼續測試",
	"msgNoAdapterFoundForTestScript": "找不到測試 Script '%1' 的配接器，無法繼續測試。",
	"msgNoTestCasesFoundForSuite": "找不到這個測試套組的測試案例。",
	"msgStep1AdapterSearch": "步驟 1：選取配接器",
	"msgStep2AdapterSearch": "步驟 2：選取專案路徑和測試 Script",
	
    "msgSaveFailed": "儲存失敗",
    "msgDiscardAllChanges": "捨棄所有變更",
	
    "labelPlanning": "規劃",
    "labelConstruction": "建構",
    "labelLabManagement": "實驗室管理",
    "labelExecution": "執行",
    "labelReport": "報告",
	"labelReports": "報告",
	"labelMyReports": "我的報告",
    "labelDefects": "問題報告",
    "labelAdministration": "管理",
    "labelProjects": "專案",
    "labelRequirement": "需求",
    "labelRequirements": "需求",
	"labelTemplates": "範本",	
    "labelTeams": "團隊",
	"labelTeamRole": "團隊角色",
	"labelAssignedTo": "指派對象",
    
    "labelHelp": "說明",
    "labelHelpContents": "說明內容",
    "labelJazzServerAdmin": "Jazz 伺服器管理",
    "labelJazzProjectAdmin": "Jazz 專案管理",
    "labelJazzUserAdmin": "Jazz 使用者管理",
    "promptEnterSearch": "請輸入搜尋準則。",
	
	"labelImportRequirementHelp": "匯入需求說明",
	"labelRequirementTableViewHelp": "需求表視圖說明",
	"labelTemplateViewHelp": "範本視圖說明",
	"labelImportTestPlanHelp": "匯入測試計劃說明",
	"labelImportTestCaseHelp": "匯入測試案例說明",
	"labelImportTestScriptHelp": "匯入測試 Script 說明",
	"labelBrowseHelp": "瀏覽說明",
	"labelAdapterHelp": "配接器說明",
	"labelTestExecutionRecordHelp": "測試執行記錄說明",
	"labelExecutionTableViewHelp": "執行表視圖說明",
	"labelReportsHelp": "報告說明",	
	"labelRequisiteProHostPropertiesHelp": "RequisitePro 主機內容說明",
	"labelSharedResourceLocationsHelp": "共用資源位置說明",
	"labelReportPropertiesHelp": "報告內容說明",
	"labelGlobalCPULimitationHelp": "廣域 CPU 限制說明",
	"labelArtifactStateTransitionConstraintsHelp": "構件狀態轉移限制說明",
	"labelExecutionStatesHelp": "執行狀態說明",
	"labelCategoryHelp": "%1 種類說明",
	"labelRelatedSitesHelp": "相關網站說明",
	"labelArtifactOptionsHelp": "構件選項說明",
    
    "labelActionBarHelp" : "動作列說明",
    "labelEditorTOCHelp" : "編輯器目錄說明",
    "labelRelatedInfoHelp" : "相關資訊說明",
    "labelDateDisplayformatHelp" : "日期顯示格式說明",
    "labelAdapterSelectHelp" : "自動選取配接器說明",
    "labelWordWrapHelp" : "自動換行說明",
    
    "labelTestPlan": "測試計劃",
    "labelTestPlans": "測試計劃",
    "labelNewTestPlan": "建立測試計劃",
    "labelMyTestPlan": "我的測試計劃",
    "labelAllTestPlan": "檢視測試計劃",
    "labelTestPlanSizing": "調整測試計劃大小",
    "labelImportTestPlan": "匯入測試計劃",
    "labelExportTestPlan": "匯出測試計劃",
    "labelImportRequirement": "匯入需求",
    "labelSearchResult": "'%1' 的搜尋結果 (%2)",
	"labelClickToOpenTestPlan": "按一下以開啟測試計劃",
	"labelClickToOpenTestCase": "按一下以開啟測試案例",
	"labelClickToOpenTestScript": "按一下以開啟測試 Script",
	"labelUploadRequirements" : "匯入需求",
    "labelImportExternal" : "從外部需求系統（例如：Rational ReqPro）匯入",
    "labelImportLocal" : "從本端 XML 檔匯入",
    "labelImportTestPlanHelp": "匯入測試計劃說明",
    "labelImportTestCaseHelp": "匯入測試案例說明",
    "labelImportReqHelp": "匯入需求說明",
    "msgImportTestPlan": "選取含有測試計劃且要匯入的 XML 檔：",
    "msgImportTestCase": "選取含有測試案例且要匯入的 XML 檔：",
	
	"msgStateExists": "名稱為 %1 的「執行狀態」已存在。請選擇唯一的名稱。",
	
    "msgRequiredField": "'%1' 是必要的。請先對 %2 提供一個 '%1'，再加以儲存。", //1: field name, 2: section/editor name
    "msgInvalidField": "'%1' 無效。請先對 %3 提供一個有效的 (%2) '%1'，再加以儲存。", //1: field name, 2: expected type, 3: section/editor name
    "labelCategories": "種類",
	"labelTypeCategories": "%1 種類",	
	"labelManageCategories": "管理 %1 種類",
	"labelManageCategoriesText": "管理 %1 種類。附註：會自動儲存變更。",
    "labelNewCategory": "建立 %1",
    "labelNewCategoryType": "建立種類類型",
    "labelAddCategory": "新增 %1",
    "labelAddCategoryType": "新增種類類型",
    "labelArchiveCategory": "保存 %1",
    "labelArchiveCategoryType": "保存種類類型",
    "labelUnarchiveCategory": "取消保存 %1",
    "labelUnarchiveCategoryType": "取消保存種類類型",
    "labelShowArchivedCategories": "顯示已保存的檔案",
	"labelNoCategories": "沒有可用的種類",
    "msgCategoryExists": "已存在這種「種類類型」的 %1 '%2' 。",
    "msgCategoryTypeExists": "已存在種類類型 '%1' 。",
    "msgCategoryArchived": "已保存 %1 '%2' 。請選取另一個 %1。",
    "msgFieldToLong": "所提供的 %1 為 %2 個字元。長度上限為 %3 個字元。請提供較短的 %1。", //1: field name, 2: provided length, 3: max length
    
    "labelManageSections": "<b>管理<\/b>區段",
	"labelManageSectionsTitle": "管理區段",
    "labelNewSection": "新建自訂區段",
    "labelAvailableSections": "可用的區段",
    "labelSelectedSections": "所選的區段",
	"labelShowAllSections": "顯示所有區段",
    "labelMoveUp": "上移",
    "labelMoveDown": "下移",
    "labelSectionName": "區段名稱：",
    "labelSectionNameRequired": "「區段名稱」是必要的",
    "labelApplyToTemplate": "套用新區段至範本",
    "labelAssociateResultsToPlan":"建立結果與測試計劃的關聯",
	"msgAssignmentRequired": "如果要建立這個「工作項目」，請指派「擁有者」。", 
	
	"msgLocked": "%1 已鎖定。",
	"msgLockedByMe": "您已鎖定這個 %1。",
	"msgLockedByOther": "這個 %1 已被 %2 鎖定。",
	"msgLockFailure": "無法 %1 %2",
	"msgEsigFailure": "電子簽章失敗！",
	"msgEsigFailureDetail": "無法 %1 %2：電子簽章授權失敗，原因：%3",
	
    "msgDelTestPlanConfirm": "會刪除所選的測試計劃！要繼續進行嗎？",
    "msgDelSomeOpenTestPlanConfirm": "某些所選的測試計劃已在另一個標籤中開啟。請選取您真正要刪除的那些項目。",
    "msgDelAllOpenTestPlanConfirm": "所選的測試計劃已在另一個標籤中開啟。請選取您真正要刪除的那些項目。",
    "msgDeletingTestPlan": "正在刪除測試計劃 \"%1\"",
    "msgDeletedTestPlans": "已刪除 %1 份測試計劃（共 %2 份）",
    "msgConfirmRemoveSection": "會刪除區段！要繼續進行嗎？",
    "msgRequirementsImported": "需求已順利匯入系統",
	"msgConfirmDeleteRequirements": "會刪除所選的需求！要繼續進行嗎？",
    
    "labelTestCase": "測試案例",
    "labelTestCaseGrp": "測試案例群組",
    "labelNewTestCase": "建立測試案例",
    "labelMyTestCase": "我的測試案例",
    "labelAllTestCase": "檢視測試案例",
    "labelTestCaseSizing": "調整測試案例大小",
    "labelTestGrpSizing": "調整測試群組大小",
    "labelImportTestCase": "匯入測試案例",
    "labelExportTestCase": "匯出測試案例",
    "labelClickToOpenTestCase": "按一下以開啟測試案例",
    
    "msgDefaultWorkItemSummary": "完成 %1 區段的 %2：%3",
    "msgCompleteTestCaseGrp": "完成編寫新的「測試案例群組」",
    "msgCompleteTestCase": "完成編寫新的「測試案例」",
    "msgDelTestCaseConfirm": "會刪除所選的測試案例！要繼續嗎？？",
    "msgDelSomeOpenTestCaseConfirm": "某些所選的測試案例已在另一個標籤中開啟。請選取您真正要刪除的那些項目。",
    "msgDelAllOpenTestCaseConfirm": "所選的測試案例已在另一個標籤中開啟。請選取您真正要刪除的那些項目。",
    "msgDeletingTestCase": "正在刪除測試案例 \"%1\"",
    "msgDeletedTestCases": "已刪除 %1 個測試案例（共 %2 個）",
    "msgSaveRequiredToView": "必須先儲存 %1，才能檢視新的 %2。要立即儲存 %1 嗎？",
    "msgGenEWITestCaseWarning": "請至少選取一個「測試案例」。",
	"msgSaveRequiredToGenEWI": "請先儲存這個 %1，再產生「測試執行記錄」。",		// CML: 5635
    "msgDeleteTypeRequired": "請選取一或多個要移除的 %1。",
    "msgSaveRequiredToChange": "必須先儲存 %1，才能變更 %2。要立即儲存 %1 嗎？",
	
    "labelTestScript": "測試 Script",
    "labelTestScriptRevision": "測試 Script 版本 %1",
	"labelTestScripts": "測試 Script",
    "labelNewTestScript": "建立測試 Script",
    "labelMyTestScript": "我的測試 Script",
    "labelAllTestScript": "檢視測試 Script",
    "labelTestScriptSizing": "調整測試 Script 大小",
    "labelAssocTestScript": "關聯測試 Script",
    "labelImportTestScript": "匯入測試 Script",
    "labelExportTestScript": "匯出測試 Script",
    "labelTestScriptToImport": "要匯入的測試 Script",
    "labelTestScriptName": "測試 Script 名稱",
    "labelScriptless": "無 Script",
    "labelWeightDist": "加權分佈",
    "labelNoScriptsFound": "找不到 Script",
    "labelScriptName": "Script 名稱",
    "labelScriptType": "Script 類型",
    "labelOverallVerdict": "實際結果", // CML: term
    "labelScriptSuffix": "%1 Script",
    
    "labelScriptPath": "Script 路徑",
    "labelSelectAdapter": "選取配接器",
    "labelSelectedAdapter": "已選取的配接器",
    "labelProjectPath": "專案路徑",
    "labelSelectTestScript": "選取測試 Script",
    "labelBrowseForResource": "從共用位置使用測試資源",
    "labelUseAdapter": "使用位於測試機器本端的測試資源",
	"labelBrowseForResourceHelpTxta": "請從共用位置選擇測試資源。",
	"labelBrowseForResourceHelpTxtb": "在執行時，資源會複製到測試機器。",
    "labelUseAdapterHelpTxta": "請選擇已位於測試機器的測試資源。",
	"labelUseAdapterHelpTxtb": "在執行時，會使用位於您選擇之位置的資源。",
	"labelCreateScriptSelector": "這會建立參照外部測試資源的「測試 Script」。請選取要使用的測試資源的類型：",
	"labelImportScriptSelector": "匯入會建立參照外部測試資源的「測試 Script」。請選取使用的測試資源的類型：",
    
    "labelTestSuite": "測試套組",
    "labelTestSuites": "測試套組",
    "labelMyTestSuite": "我的測試套組",
    "labelAllTestSuite": "所有測試套組",
    "labelNewTestSuite": "建立測試套組",
    "labelClickToOpenTestSuite": "按一下以開啟測試套組",
    "labelLocalComputer": "本端電腦",
	
    "msgEnterProjectPath": "輸入專案路徑",
    "msgDelTestScriptConfirm": "會刪除所選的測試 Script ！要繼續進行嗎？",
    "msgDelSomeOpenTestScriptConfirm": "某些所選的測試 Script 已在另一個標籤中開啟。請選取您真正要刪除的那些項目。",
    "msgDelAllOpenTestScriptConfirm": "所選的測試 Script 已在另一個標籤中開啟。請選取您真正要刪除的那些項目。",
    "msgDeletingTestScript": "正在刪除測試 Script \"%1\"",
    "msgDeletedTestScript": "已刪除 %1 個測試 Script（共 %2 個）",
    "msgNoStepInScript": "所選的「測試 Script」不含任何步驟。\n請在建構視景中新增執行步驟至 Script 中。",
    "msgDelEWIConfirm": "會刪除所選的「測試執行記錄」。將遺失所有關聯的結果。要繼續進行嗎？",
    "msgDeletingEWI": "正在刪除測試執行記錄 \"%1\"",
    "msgDeletedEWI": "已刪除 %1 筆測試執行記錄（共 %2 筆）",
    
    "msgSuiteElementDeletedSave": "下列屬於這個「測試執行套組」的「測試案例 - 測試環境」組合已刪除。<br/>您需要先將其從這個「測試執行套組」的「測試案例區段」移除後再儲存；或是按一下「還原」按鈕來加以還原。<br/>",
	"msgSuiteElementDeletedRun": "下列屬於這個「測試執行套組」的「測試案例 - 測試環境」組合已刪除。<br/>您可以先將其從這個「測試執行套組」的「測試案例區段」移除後再執行；或是按一下「還原」按鈕來加以還原。<br/>",
	"msgSuiteElementRestoreError":"無法還原所有項目。無法繼續進行。",
	"msgNoPermToRestore":"您沒有「還原」的許可權",
	"msgDelTestSuiteConfirm": "會刪除所選的測試套組！要繼續嗎？",
    "msgDeletingTestSuite": "正在刪除測試套組 \"%1\"",
    "msgDeletedTestSuite": "已刪除 %1 個測試套組（共 %2 個）",
    "msgSetTestSuiteConfigWarning":"無法設定某些測試案例的「測試環境」，因為會導致重複值。",
	"cantSetTestSuiteConfig":"無法設定「測試環境」",
    "labelRunReport": "執行報告",
    
	"labelTestConnection": "測試連線",
	"msgTestingConnection": "正在測試共用資源位置的連線。這可能會花一段時間..",
	"msgResourceAccessible": "共用資源位置可供 QM 伺服器存取",
	
    "labelAllKeywords": "所有關鍵字",
    "labelWorkItem": "工作項目",
    "labelWorkItemLabel": "工作項目：",
    "labelNewWorkItem": "建立工作項目",	
    "labelTestDataLabel": "測試資料：", // CML: term
    "labelDatapool": "測試資料", // CML: term
    "labelNewDatapool": "建立測試資料", // CML: term
    "labelAllDatapool": "所有測試資料", // CML: term
    "labelEWI": "測試執行記錄", // CML: term
    "labelEWIs": "測試執行記錄", // CML: term
    "labelNewEWI": "建立測試執行記錄", // CML: term
    "labelRemoveEWI": "移除測試執行記錄", // CML: term
    "labelRefreshEWI": "重新整理測試執行記錄", // CML: term
    "labelGenEWIs": "產生新的測試執行記錄", // CML: term
    "labelExecCon": "執行主控台",
    "labelMyEWI": "我的測試執行記錄", // CML: term
    "labelAllEWI": "檢視測試執行記錄", // CML: term
    "labelMyExeResult": "我的執行結果",
    "labelAllExeResult": "所有執行結果",
    "labelEWINameLabel": "TER 名稱",		// CML: 5635
    "labelEWIName": "執行 WI %1",
    "labelScriptExe": "執行 Script",
    "labelExeResult": "執行結果",
    "labelResultHist": "結果歷程",
    "labelCreateEWI": "建立測試執行記錄", // CML: term
    "labelExeTest": "執行測試案例",
	"labelExeTestSuite": "執行測試套組",
	"labelRunManTest": "執行手動測試",
    "labelResumeExe": "回復執行",
    "labelExecuting": "執行中",
    "labelViewExeResult": "檢視執行結果",
    "labelExeItem": "執行的項目",
    "labelExeLog": "執行日誌",
    "labelExeResults": "執行結果",
    "labelExeBy": "執行者",
    "labelEWIView": "測試執行記錄視圖",
    "labelLinkResult": "鏈結至結果歷程",
    "labelResultDetails": "結果詳細資料",
    "labelResultSuffix": "%1 結果",
    "labelNumberHr": "%1 小時",
    "labelNumberMin": "%1 分鐘",
    "labelNumberSec": "%1 秒",
    "labelDummyIcon": "虛擬圖示",
    "labelClickToPauseExe": "按一下以暫停執行",
    "labelClickToResumeExe": "按一下以回復執行",
    "labelShowDefects": "問題報告",
    "labelShowAttach": "附件",
    "labelShowComments": "新增/編輯註解",
    "labelResultAttach": "結果附件",
    "labelManualExeStatus": "手動執行狀態",
    "labelCloseAndShowResult": "關閉並顯示結果",
    "labelLastSavedOn": "前次儲存於",
    "labelRelativeLocation": "相對位置",
    "labelAddNewDefect": "新增問題報告",
    "labelAddExistingDefect": "新增現有的問題報告",
	"labelFreshExtDraftDefect": "重新整理外部草稿問題報告",
	"labelChangeStatus": "變更問題報告暫停執行狀態",
    "labelDefectId": "問題報告 ID：",
    "labelDefectIconText": "按一下問題報告圖示來檢視問題報告。",
	"labelDefectIdExecution": "問題報告 ID：%1",
    "labelCompare": "比較",
    "labelWeightDistribution": "加權分佈",
    "labelPossible": "可能：",
    "labelTextTooLong": "文字不能超過 250 個字元",
    "labelComparisonResult": "比較結果：",
    "labelForCompare": "輸入文字",
    "labelDuringCompare": "提供的文字",
    "labelToCompare": "貼上文字以比較",
    "labelExeTestSuite": "執行測試套組",
    "labelLoadContributors": "正在載入要素項清單...",
    "labelLoadTestPlanList": "正在載入測試計劃清單...",
    "labelLoadTestCaseList": "正在載入測試案例清單...",
    "labelLoadConfig": "正在載入測試環境清單...",
	
	"labelAdapterConsole": "配接器主控台",
	"labelAdapterType": "配接器類型",
	"labelAdapterStatus": "狀態",
	"labelIPAddress": "IP",
	"labelPollingInterval": "輪詢間隔",
	
    "labelAssociatedScript": "關聯的 Script",
    "labelType": "類型",
    "labelTags": "標籤",
    "labelAssociateScripts": "關聯自動化 Script",
    "labelKeywordDesc": "關鍵字實作",
	"labelUseExistingScript": "關聯現有的手動測試 Script",
	"labelCreateKeyword":"建立關鍵字",
	"labelEditKeywords":"編輯關鍵字",
	"labelSaveKeywords":"儲存關鍵字",
	"labelDeleteKeywords":"刪除關鍵字",
	"labelDetailResultHistory":"詳細結果歷程",
    
	"labelDefectStatus": "問題報告狀態",
	"labelLastResult": "最後一個結果",
	"labelBlockingStatus":"暫停執行狀態",
	"msgClosedDefect":"已關閉的「問題報告」無法新增為「暫停執行問題報告」。",
	"msgBlockedWeightZero":"如果「暫停執行問題報告」存在，暫停執行加權不能是零。", 

	"labelSuiteResult": "測試套組執行結果",
	"labelNamedResult": "%1 結果", 
    
	"msgTestCasesAdded": "已新增測試案例",
	"msgTestCasesUpdated": "已更新測試案例",
	"msgTestCasesDeleted": "已刪除測試案例",
	"msgTestPlansAdded": "已新增測試計劃",
	"msgTestPlansUpdated": "已更新測試計劃",
	"msgTestPlansDeleted": "已刪除測試計劃",
	"labelSelectTestCase": "選取測試案例",
	"labelDuplicate": "找到重複值",
	"msgDuplicateTER": "找到重複的測試執行記錄。",
	"labelDuplicateTab": "找到重複的標籤",
	"msgDuplicateTab": "已關閉另一個包含相同「測試執行記錄」的標籤。",
	"msgTestCaseRequired": "「測試案例」是必要的",
	"msgTestCaseNotInPlan": "所選的「測試計劃」不含所選的「測試案例」",
	
    "msgArchiveKeyword": "刪除「關鍵字」將使其不再能使用。要繼續刪除嗎？",
    "msgSelectEWIExe": "請選取要執行的「測試執行記錄」。", // CML: term
    "msgSelectEWIResume": "請選取要回復的「測試執行記錄」。", // CML: term
    "msgEWInotResumable": "無法回復所選的「測試執行記錄」。要啟動新的執行嗎？", // CML: term
    "msgExceedExePoints": "「通過」、「失敗」和「不確定」加權的總和超過可用的加權。\n如果要進一步增加這個加權，必須先減少其他加權。",
	"msgExceedBlockedPoints": "「通過」和「暫停執行」加權的總和超過可用的加權。\n如果要進一步增加這個加權，必須先減少另一個加權。",
    "msgLessThanTotalPoints": "「已嘗試」加權不能小於「通過」、「失敗」和「不確定」加權的總和。",
    "msgExeEngineNotReg": "未登錄任何「配接器」，無法繼續進行自動化測試。\n請手動設定結果。",
    "masCancelPausedScript": "已放棄「手動執行 Script」。\n結果會儲存為暫停執行。",
    "masCancelNewScript": "已放棄「手動執行 Script」。",
    "msgEWIChangesNotSave": "不會儲存「測試執行記錄」的變更", // CML: term
    "msgNameRequired": "「名稱」是必要的",
    "msgExeOver": "執行完成",
	"msgExeOverWithError": "執行完成但有錯誤",
	"msgExeOverFailed": "執行失敗",
    "msgExeCancel": "已取消執行",
    "msgEngAvailable": "配接器可供使用。",
    "msgEngUnresponsive": "配接器無回應。",
    "msgEngRespondLate": "配接器未及時回應。\n其可能忙碌中或不在作用中。",
    "msgSelectAdapter": "請選取要執行測試的配接器。",
    "msgEnterSharedLocation": "請輸入共用位置",
	"msgNoSharedLocation": "找不到共用位置，請洽詢管理者。",
    "msgSaveBeforeGenTER": "請先儲存這個 %1，再產生「測試執行記錄」。",
    "msgDelDatapoolConfirm": "會刪除所選的測試資料！要繼續進行嗎？",
    "msgDelSomeOpenDatapoolConfirm": "某些所選的測試資料已在另一個標籤中開啟。請選取您真正要刪除的那些項目。",
    "msgDelAllOpenDatapoolConfirm": "所選的測試資料已在另一個標籤中開啟。請選取您真正要刪除的那些項目。",
    "msgDeletingDatapool": "正在刪除測試資料 \"%1\"",
    "msgDeletedDatapools": "已刪除 %1 個測試資料（共 %2 個）",
    "msgEditorDatapoolDeleted": "已刪除這個編輯器的測試資料",
	"msgRunningDatapoolIteartion" : "正在執行「測試資料疊代」<b>%1<\/b> &nbsp;",
    "msgDeleteAdapter":"這個動作會永久刪除「配接器」。要繼續嗎？",
	"msgAdapterDeleteSuccess" : "已順利刪除配接器",
	"msgAdapterDeleteFailed" : "配接器刪除失敗！", 
	"labelCreateRequirement": "建立需求",
    "labelMyReqmt": "我的需求",
    "labelAllReqmt": "所有需求",
    "labelLaunchReqmtTool": "匯入需求",
    "labelAssociatedTestCasesTitle": "與需求關聯的測試案例",
    "labelAssociatedTestCases": "查看與需求關聯的測試案例",
    "labelAssociatedTestPlansTitle": "與需求關聯的測試計劃",
    "labelAssociatedTestPlans": "查看與需求關聯的測試計劃",
    "labelResetRequirementStatus": "重設需求狀態",
    
    "labelNewMember": "建立團隊成員",
    "labelAllMembers": "我的團隊成員",
    
    "labelNewProj": "建立專案",
    "labelMyProjs": "建立專案",
    
    "labelCreateDefect": "建立問題報告",
    "labelGoToDefects": "移至問題報告...",
    "labelDefectSummary": "問題報告摘要",
	"labelBlockingDefects": "暫停執行問題報告",
    "labelRelatedDefects": "相關問題報告",
    "msgFileDefect": "已按一下「問題報告」圖示來存檔問題報告",
	"msgNoAssociatedDefectsEWI": "沒有與所選的「執行記錄」關聯的「問題報告」",
    "msgOpeningWorkItem": "正在開啟工作項目：%1",
	"msgErrorOpeningWorkItem": "開啟工作項目時發生錯誤：%1",
	"msgErrorCreatingWorkItem": "建立新的工作項目時發生錯誤",
	
    "labelReportsTitle": "QM 報告",
    "labelViewReports": "所有報告",
    "labelViewReport": "檢視報告",
    "labelCopyReport": "複製報告",
    "labelNewReport": "建立報告",
	"labelEditReport": "編輯報告",
    "labelFolder": "資料夾",
	"labelAdminDW": "資料倉儲管理",
    "labelAdminDWTitle": "資料倉儲管理",
    "labelSharedRpts": "共用報告",
    "labelAddedCustomControl": "已新增自訂控制",
    "labelRefreshReports": "重新整理報告",
	"msgCloseReport": "已開啟另一份報告 (%1) 且會關閉。要繼續進行嗎？",
    "msgReportMissing": "請選取 %1 的報告。",
    "msgReportSingle": "請只選取一份 %1 的報告。",
	"labelCloseReportTitle": "開啟新的報告",
	"msgErrorModifyReport": "無法編輯報告。",
    
    "labelManageTemplates": "管理範本",
    "labelManageTemplate": "管理 %1 範本", //1: template name, 2: editor type
    "labelTemplateName": "範本名稱",
    "labelCreateTemplate": "建立 %1 範本",
	"labelTemplate": "範本",
    "labelTemplateLabel": "範本：",
    "labelNewTemplateName": "新建 %1 範本",
    "labelSetDefaultTemplate": "設為新的預設值",
	"labelAdvancedOptions": "顯示進階選項",
    "labelCopyTemplate": "複製範本",
    "labelCopyOf": "%1 的副本",
	"labelRefreshTemplates": "重新整理範本",
	"labelAllTemplates": "所有範本",
	"labelModifiable": "可修改",
    "msgTemplateMissing": "請選取 %1 的範本。",
    "msgTemplateSingle": "請只選取一份 %1 的範本。",
	"msgConfirmChangeTemplate": "變更範本時，會遺失所有編輯結果。您要變更範本嗎？",
	"msgConfirmArchiveTemplate": "範本 '%1' 會保存！要繼續嗎？",
    
    "msgSelectReport": "請選取要執行的報告。",
    "msgSelectSingleReport": "請選取要執行的單一報告。",
    "msgUUIDRequired": "reportUUID' 或 'queryUUID' 其中之一是「必要」的！",
    
    "labelRTLMDisabled": "停用 - 顯示明細",
    "labelFindRes": "尋找實驗室資源",
    "labelAllRes": "所有實驗室資源",
    "labelAdvancedFind": "進階搜尋",
    "labelMyRes": "我的資源",
	"labelMachine": "機器",
    "labelNewMach": "建立機器",
    "labelViewMach": "檢視機器",
    "labelNewVMImg": "建立虛擬影像",
    "labelResGrp": "實驗室資源群組",
    "labelNewResGrp": "建立實驗室資源群組",
    "labelAllResGrp": "所有的實驗室資源群組",
    "labelRequest": "要求",
    "labelNewReq": "建立要求",
    "labelAllReq": "所有要求",
    "labelViewReq": "檢視要求",
    "labelCreateReq": "建立實驗室要求",
    "labelAllRsvp": "所有預約",
    "labelMakeRsvp": "預約實驗室",
    "labelNewCfg": "建立測試環境", // CML: term
    "labelAllCfg": "所有測試環境", // CML: term
    "labelViewCfg": "檢視測試環境", // CML: term
    "labelAllVirtualCollections": "所有虛擬集合",
    "labelAllAuto": "所有自動化",
    "labelAllInvHist": "所有庫存歷程",
    "labelViewInvHist": "檢視庫存歷程",
    "labelImportRes": "匯入實驗室資源",
    "labelImportResTemp": "匯入資源範本",
	"labelNotReserved": "未預約",
	"labelReserved": "已預約",
	"labelReservedUntil" : "直到 %1",
	"labelNMinutes": "%1 分鐘",
	"labelOneHour": "1 小時",
	"labelNHours": "%1 小時",
	"labelNDays": "%1 天",
	"labelOneDay": "1 天",
	"labelIgnoreConfiguration": "忽略配置",
	"lableFilterByConfiguration": "依測試環境過濾機器",
	"labelExecutionDuration": "執行期間：",		
	"labelCustomizeCatalog" : "自訂型錄",
    "labelArchivedLabResources" : "所有已刪除和隱藏的實驗室資源",
    "titleRTLMDisabled": "停用實驗室管理",
    "errRTLMLabMgrGrpNotSet": "未設定「實驗室管理」系統的「實驗室管理者」團隊。",
    
    "msgEditorTestPlanDeleted": "已刪除這個編輯器的測試計劃",
    "msgEditorTestCaseDeleted": "已刪除這個編輯器的測試案例",
    "msgEditorTestScriptDeleted": "已刪除這個編輯器的測試 Script",
    "msgEditorTestSuiteDeleted": "已刪除這個編輯器的測試套組",
	"msgTestCaseOfSuiteUpdated": "已更新這個測試套組的測試案例",
    
    "msgViewerEWIDeleted": "已刪除這個檢視器的「測試執行記錄」",
    "msgViewerEWITestScriptDeleted": "已刪除這個「測試執行記錄」的測試 Script",
    "msgViewerEWITestCaseDeleted": "已刪除這個「測試執行記錄」的測試案例",
    
    "msgEWIOfERDeleted": "已刪除與這個執行結果關聯的「測試執行記錄」",
    "msgTestScriptOfERDeleted": "已刪除與這個執行結果關聯的測試 Script",
    "msgTestCaseOfERDeleted": "已刪除與這個執行結果關聯的測試案例",
    "msgNewDefectAddedtoER": "已建立問題報告 %1 並加入「執行結果」中",
	"msgDefectAddedtoER":"問題報告 %1 已加入「執行結果」中",
	"msgDefectCanBeViewed":"您可以從「相關的問題報告」窗格來檢視問題報告",
	
    "msgEditorTestCaseInPlanDeleted": "已刪除與這份測試計劃關聯的測試案例",
    "msgEditorTestCaseInPlanChanged": "已更新與這份測試計劃關聯的測試案例",
    "msgEditorTestScriptInCaseChanged": "已更新與這個測試案例關聯的測試 Script",
    "msgEditorTestScriptInCaseDeleted": "已刪除與這個測試案例關聯的測試 Script",
    "msgEditorEWIInCaseChanged": "已更新與這個測試案例關聯的一或多個「測試執行記錄」",
    "msgEditorEWIInCaseDeleted": "已刪除與這個測試案例關聯的一或多個「測試執行記錄」",
    "msgDelExecutionResultConfirm": "會刪除所選的執行結果！要繼續嗎？",
    "msgDeletingExecutionResult": "正在刪除執行結果 \"%1\"",
    "msgDeletedExecutionResults": "已刪除 %1 個執行結果（共 %2 個）",
    "msgERDeleted": "已刪除這個編輯器的執行結果",
    
	"msgEROfSuiteDeleted": "已刪除與這個測試套組執行結果關聯的「執行結果」",
	"msgEROfSuiteUpdated": "已更新與這個測試套組執行結果關聯的「執行結果」",
	
	"msgReqQueued": "這項作業已加入佇列。",
    "msgReqRunning": "這項作業在執行中。",
    "msgReqCancelled": "這項作業已取消。",
    "msgReqCompleted": "這項作業已完成。",
    "msgSuiteExecRunning": "執行中",
    "msgSuiteExecQueued": "已加入佇列",
    "msgSuiteExecCancelled": "已取消",
    "msgSuiteExecCompleted": "已完成",
	
    "errTestPlanNotFound": "找不到測試計劃。",
    "errTestCaseNotFound": "找不到測試案例。",
    "errTestScriptNotFound": "找不到測試 Script。",
    "errTestSuiteNotFound": "找不到測試套組。",
    "errDatapoolNotFound": "找不到測試資料。",
    
    "errRetrieveTestPlan": "無法擷取測試計劃。",
    "errRetrieveTestCase": "無法擷取測試案例。",
    "errRetrieveTestScript": "無法擷取測試 Script。",
    "errRetrieveEWI": "無法擷取「測試執行記錄」。",
	"errRetrieveER": "無法擷取「測試執行結果」。",
    "errMissScriptTypeId": "遺漏 openAdapterSelectorDialog 的參數 - scriptTypeId",
    "errInAdapterSelector": "配接器選取器中發生錯誤",
    "errMissSelectionArea": "遺漏參數：如果要建立這兩個區段，則 selectionArea 是必要的..",
    "errInRemoteExecutionScriptEditorSection": "RemoteExecutionScriptEditorSection 中發生錯誤",
    
    "labelEnterNewEWITitle": "< 輸入新的測試執行記錄名稱 >",
    "labelNewPageTitle": "< 輸入新的 _type 名稱 > ",
    "labelNewPageNoTitlePrompt": "< 輸入新的%1名稱 > ",
    
    "labelTitleApprovalTable": "審查類型",
    "labelNameApprovalTable": "名稱",
    "labelStatusApprovalTable": "狀態",
    "labelModifiedApprovalTable": "已修改",
    "labelCommentsApprovalTable": "註解",
    
    "labelApprovalApprovalTable": "核准者",
    "labelReviewerApprovalTable": "審查者",
    "labelPendingApprovalTable": "擱置中",
    "labelApprovedApprovalTable": "已核准",
    "labelRejectedApprovalTable": "已拒絕",
    "labelReopenApprovalTable": "重新開啟",
    "labelReviewedApprovalTable": "已審查",
    "labelAllApprovalTable": "全部",
    "labelGuestApproval": "來賓",
    "labelAddUsersApprovalTable": "新增使用者",
    "msgRemoveMoreWarningApprovalTable": "請選取一或多筆要移除的核准記錄。",
    "msgAddingDuplicatedWarningApprovalTable": "在「正式審查」區段中，不允許新增重複的審查者或核准者！",
    "msgRejectionReasonWarningApprovalTable": "在「正式審查」區段中，拒絕必須加上註解。",
	"msgApprovalSummary" : "完成 %1 的正式審查區段：%2",
    "msgNoSummaryApproval": "沒有可用的摘要",
    "msgNoSummaryYetApproval": "還沒有可用的摘要！",
    "msgMoreSummaryApproval": "其他摘要",
    "msgNoHistoryYetApproval": "還沒有可用的歷程！",
	"msgDelReviewItems": "無法刪除「已核准/已拒絕」的項目。",
    "labelReviewHistoryApproval": "審查歷程",
    
    "msgDuration": "這個值是使用縮寫的時間單位格式來指定。",
    "msgDurationExample": "範例：使用 \"2 d\" 代表 2 天。上限為 9999",
    "msgAddARApprovalTable": "新增核准者/審查者",
    "msgRemoveARApprovalTable": "移除核准者/審查者",
    "labelNoneApproval": "無",
    "msgReviewSummaryApproval": "審查摘要",
    "labelOfApproval": "的",
    
    "labelDescriptionQualityGoal": "%1 說明",
    "labelCurrentStatusQualityGoal": "現行值",
    "labelMetStatusQualityGoal": "狀態",
    "labelCommentQualityGoal": "註解",
    "labelMetQualityGoal": "成功",
    "labelMetExcepQualityGoal": "成功但有異常狀況",
    "labelNotMetQualityGoal": "較難成功或不成功",
    "labelNotStartedQualityGoal": "未啟動",
    "labelUnresolvedQualityGoal": "無法解析",
    
    "labelPromoteMsgSizing": "請輸入正數。",
    "labelInvalidMsgSizing": "輸入的值無效或是不需這麼精確。",
    
    "labelSummaryInfoTimeBox": "請定義這份「測試計劃」的測試管制點。",
    
    "labelGroupNameTestGroup": "群組名稱",
    "labelPlanningEffortTestGroup": "規劃工作量",
    "labelExecuteEffortTestGroup": "執行工作量",
    "labelNotSetYetTestGroup": "尚未設定",
    "labelApproximatelyTestGroup": "大約",
    "labelApproximatelyZeroTestGroup": "大約 0 天",
    "labelYearTestGroup": "年",
    "labelMonthTestGroup": "月",
    "labelDayTestGroup": "日",
    
    "msgDurationMsgTimeBox": "在「測試排程」區段中，開始日期必須早於結束日期。",
    "msgRemoveMsgTimeBox": "請選取一或多筆要移除的階段記錄。",
    "msgInvalidDateErrorBox": "日期格式無效。",
    "msgValidateRequireMsgTimeBox": "在「測試排程」區段中，測試階段名稱是必要的。請先輸入測試階段名稱，再加以儲存。",
    "msgValidateDurationMsgTimeBox": "在「測試排程」區段中，開始日期必須早於結束日期。請加以移除。",
    "msgNameRequireMsgTimeBox": "名稱應該是唯一的，請檢查 %2 的 %1 ",
	"msgDurationErrorBox": "在「測試排程」區段中，計劃期間或實際期間值無效。", 
	"msgPointsErrorBox": "在「測試排程」區段中，計劃總點數值無效。", 
    "labelNameTimeBox": "名稱",
    "labelDescriptionTimeBox": "說明",
    "labelStartDateTimeBox": "計劃開始日期",
    "labelEndDateTimeBox": "計劃結束日期",
    "labelDurationTimeBox": "計劃期間",
    "labelActStartDateTimeBox": "實際開始日期",
    "labelActEndDateTimeBox": "實際結束日期",
    "labelActDurationTimeBox": "實際期間",
	"labelPointsTimeBox": "點",
	"labelValidTimeBox": "有效率",
    "labelOwnerTimeBox": "擁有者",
    "labelDurationUnit": "%1 d", //d means "days", do not translate
	
    "labelNameKeyDate": "名稱",
    "labelDescriptionKeyDate": "說明",
    "labelDateKeyDate": "日期",
    
    "labelTestIterationTableTimeBox": "測試排程表",
    "labelKeyDateTableTimeBox": "主要日期表",
    "labelAddTestIterationsTimeBox": "新增測試排程",
    "labelRemoveTestIterationsTimeBox": "移除測試排程",
    "labelAddKeyDatesTimeBox": "新增主要日期",
    "labelRemoveKeyDatesTimeBox": "移除主要日期",
    "labelHistory": "歷程",
    "labelTestCaseReviewSummary": "測試案例審查摘要：",
    "labelRunningSearch": "正在執行搜尋...",
    "labelShowAll": "全部顯示",
    "labelEnterName": "輸入用來載入清單的名稱過濾器。",
    "labelUseWildcard": '請使用 "*" 和 "?" 作為萬用字元。',
    "labelMatchingUsers": "相符的使用者：",
    "labelShowArchivedUsers": "顯示已保存的使用者",
    "labelShowingMatchingUsers": "顯示前 %1 個相符的使用者",
    "labelPlanningEffort": "規劃工作量：",
    "labelPersonHours": "人時",
    "labelPersonDays": "人天",
    "labelPersonMonths": "人月",
    "labelPersonYears": "人年",
    "labelExecutionEffort": "執行工作量：",
    "labelTestScheduleTable": "測試排程表：",
    "labelKeyDateTable": "主要日期表：",
    "labelComments": "註解",
    
    
    "labelOpenItemReviewlet": "我的開啟項目",
    "labelAlreadyApprovedReviewlet": "我的核准項目",
    "labelAlreadyRejectedReviewlet": "我的拒絕項目",
    "labelPendingApprovalsReviewlet": "我的核准擱置項目",
    
    "labelApprovedReviewlet": "%1 已核准",
    "labelRejectedReviewlet": "%1 已拒絕",
    "labelApproveReviewReviewlet": "核准/審查 %1",
    
    "labelProcessSummay": "摘要",
    "labelProcessApprove": "核准",
    
    "labelDeleteConfigurations": "刪除測試環境", // CML: term
    "labelStep1": "步驟 1",
	"labelStep2": "步驟 2",
	"labelStep3": "步驟 3",
    "labelGenerationProperties": "產生內容",
    "labelAdvancedProperties": "進階內容",
    "labelInclusions": "併入項目",
    "labelExclusions": "排除項目",
    "labelWeightings": "加權項目",
    "labelExclusionsText": "必須排除下列組合",
    "labelInclusionsText": "必須併入下列組合",
    "labelWeightingsText": "拖曳以下的量尺，來設定每一項的重要性加權。1=低 5=高",
    "labelEnvironment": "環境",
	"labelTestExecutionRecords": "測試執行記錄",
	"labelTestEnvironments": "測試環境",
    "labelEnvironmentInlineHelp": "請從以下直欄選取一或數個屬性。建立數字 %1 的根據如下：所選的屬性數、您選擇的涵蓋層次，以及「進階內容」（「併入項目」、「排除項目」和「加權項目」等屬性）。",
	"labelConfigurationListInlineHelp": "如果要重複使用現有的「測試環境」，請先選取關聯的「測試計劃」，然後選取所需的「測試環境」。",
	"labelNoPlatformCoverageForTestPlan": "這份測試計劃未配置任何平台涵蓋面。平台涵蓋面應加入測試計劃編輯器的「測試環境」區段。",
	"labelChangeOwner": "變更擁有者",
    "labelChangeIteration": "變更測試排程",
    "labelTestCases": "測試案例",
    "labelAll": "全部",
    "labelAny": "任何",
    "labelInvalidStep": "無效的步驟",
    "labelReuseConfigurations": "重複使用現有的測試環境", // CML: term
    "labelGenerateEWI": "產生測試執行記錄：", // CML: term
    "labelGenerateNewConfigurations": "產生新的測試環境",
	"labelGenerateConfigurations": "產生測試環境", // CML: term
    "labelGeneratedEWI": "產生的測試執行記錄：", // CML: term
    "labelGeneratedConfigurations": "產生的測試環境：", // CML: term
    "labeAddExistingConfigurations": "新增現有的測試環境", // CML: term
    "labelCoverage": "涵蓋面",
    "labelCoverageOption1": "小 - 單向互動",
    "labelCoverageOption2": "中 - 雙方互動",
    "labelCoverageOption3": "大 - 三方互動",
    "labelCoverageOptionAll": "全部 - 所有排列",
    "labelWorkItemDistribution": "測試執行記錄分佈",
    "labelWorkItemDisOption1": "套用至每一個測試案例",
    "labelWorkItemDisOption2": "於所有測試案例間隨機套用",
	"labelNoIteration": "沒有疊代。",
	"labelNoUser": "沒有使用者。",
	"labelDeleteTestEnvironmentRecord": "刪除測試執行記錄",
	"labelAddExclusion": "新增排除",
	"labelRemoveExclusion": "移除排除",
    
    
	"msgSelectTestEnvironments": "請先選取一或多個「測試環境」！",
    "msgPromptDeleteConfiguration1": "會刪除這些 %1「測試環境」！要繼續進行嗎？", // CML: term
    "msgPromptDeleteConfiguration": "會刪除測試環境：'%1'！要繼續嗎？", // CML: term
    "msgDeleteConfiguration": "請選取至少一個要刪除的「測試環境」。", // CML: term
    "msgSaveToGenerateConfigurations": "已更新「平台涵蓋面」，請先儲存這個 %1，再產生「測試環境」。", // CML: term
    "msgNoTestEnvironments": "這個 %1 中沒有「平台涵蓋面」，請先新增「平台涵蓋面」。",
    "msgSameCombinations": "「併入項目」和「排除項目」中有相同組合！",
    "msgSelectEWIs": "請先選取一或多筆測試執行記錄！", // CML: term
    "msgConfilictConfiguration": "所選的屬性和進階內容配置之間存在衝突", // CML: term - ???
    "labelAlert": "警示",
    "labelError": "錯誤",
    
    "labelImportRequirements": "匯入需求",
    "labelAssociateRequirements": "新增需求",
    "labelDisassociateRequirements": "移除需求",
    "labelAssociateRequirement": "新增需求",
    "labelAddNewRequirement": "新增新需求",
    "labelImportRequirementStep1": "匯入需求->步驟 1：需求來源配置",
    "labelImportRequirementStep2": "匯入需求->步驟 2：自訂需求視圖",
    "labelImportRequirementStep3": "匯入需求->步驟 3：需求清單",
    "labelReqProType": "ReqPro",
    "labelStatusRequirementTable": "狀態",
    "labelDescriptionRequirementTable": "說明",
    "labelTagRequirementTable": "標籤",
    "labelPriorityRequirementTable": "優先順序",
    "labelReviewStatusRequirementTable": "審查狀態",
    "labelRequirementSource": "來源：",
    "labelRequirementHostName": "主機名稱：",
    "labelRequisitePro": "RequisitePro",
    "labelRequirementPort": "埠：",
    "labelRequirementProject": "專案：",
    "labelRequirementUserId": "使用者 ID：",
    "labelRequirementPassword": "密碼：",
    "labelGettingInfomation": "正在取得詳細資訊...",
    "labelRequirementType": "類型：",
    "labelRequirementImport": "匯入",
    "labelRequirementBack": "上一步",
	"labelRequirementNext": "下一步",
	"labelRequirementNormal": "一般",
	"labelRequirementUpdated": "已更新",
	"labelRequirementRemoved": "已移除",
    
    "msgNoRequirementDisassociate": "請選取想要取消關聯性的需求！",
    "msgExistRequirement": "相同的需求已存在！",
    "msgConfirmUpdateRequirement": "您要取得最新的資料嗎？",
    "msgNoHostName": "請至少輸入主機名稱。",
    "msgNoProject": "現行連線沒有專案，請變更另一個。",
    "msgNoRequirement": "請選取一或多個要匯入的需求。",
    "msgAddConnection": "您已新增連線：%1，請輸入新的連線或使用 %2！",
    
    "labelAdapterInfo":"配接器資訊",
    "labelRobotTestProgress": "Robot 測試進度",
    "labelSelectEngine": "選取要執行測試的「引擎」",
    "labelSelectEngineID": "選取引擎 ID",
    "labelDataStorePath": "資料儲存庫路徑",
    "labelActiveEngineList": "作用中的引擎清單",
    "labelViewDetail": "按一下以檢視詳細結果",
    "labelFunctionalTestProgress": "功能測試進度",
    
    "msgNoEngines": "未登錄任何「配接器」，無法繼續進行測試",
    "msgCancelExecution": "您已選取取消執行",
    "msgExecutionOver": "執行結束",
    "msgActualNameRequired": "「實際名稱」是必要的。",
    "msgDataStorePathRequired": "「資料儲存庫路徑」是必要的。",
    "msgSelectAnEngine": "選取引擎",
    
    "msgNeedRejectReason": "拒絕必須加上註解。",
    
    "msgSizingInvalidNum": "在 %1 區段中，「規劃工作量」或「執行工作量」必須是數值。",
    
    "msgDatapoolAddAtta": "至少應附加一份（且只應一份）這個測試資料的 csv 文件",
    
    "labelSystemProperties": "系統內容",
    "labelReqProConnHostName": "主機名稱",
    "labelReqProConnPortNum": "埠號",
    "labelReqProSynStatus": "同步化狀態",
    "labelReqProStartSyn": "已停用",
    "labelReqProStopSyn": "已啟用",
    "labelReqProAddConn": "新增連線",
    "labelReqPeoRemoveConn": "移除連線",
    "labelEnableSynch": "啟用/停用同步化",
	"labelSyncNow": "立即同步化",
    "labelReqProTestConn": "測試連線",
    "labelReqProSaveConn": "儲存連線",
    "labelReqProRefreshConn": "重新整理連線",
    "msgSysPropError": "無法執行系統內容作業。",
    "msgSysPropErrorNoDetails": "沒有其他可用的資訊。",
    
    "msgReqProRemoveConn": "請選取要移除的一或多個連線。",
    "msgReqProPromoptRemoveConn": "真的要移除這些 %1 連線嗎？",
    "msgReqProPromoptRemoveConn1": "真的要移除連線：%1 嗎？",
    "msgReqProTestConn": "請只選取一個連線來測試連線功能。",
    "msgReqProTestConn1": "請選取要測試連線功能的連線。",
    "msgReqProSaveConn": "已經有主機名稱：%1 埠：%2 的連線。",
    "msgReqProStopSyn": "真的要 %1 連線 %2 的同步化嗎？",
	"msgReqProSyncNow": "真的要立即在 RQM 和 %1 之間同步化嗎？",
    "msgReqProNoNewConn": "沒有新的連線，請先新增連線並輸入「主機名稱」和「埠號」，再加以儲存。",
    "msgReqProSaveConn1": "請先儲存。",
    "msgReqProConnAvailable": "這個連線可供使用。",
    "msgReqProConnUnavailable": "這個連線無法使用。",
    "msgReqProFailSaveConn": "無法儲存連線",
    "msgReqProFailSyn": "無法啟動/停止連線 %1 的同步化。",
    "msgSelectOnlyOneConn": "請只選取一個連線來啟用/停用同步化。",
    "msgSelectOneConn": "請選取要啟用/停用同步化的連線。",
	"msgSelectOnlyOneConnToSync": "請只選取一個連線來同步化。",
	"msgSelectOneConnToSync": "請選取要立即同步化的連線。",
	"msgReqProSyncFailed": "無法在 RQM 和 %1 之間同步化。Requisite Pro 伺服器可能暫時無法使用。",
	"msgReqProSyncSuccess": "RQM 和 %1 之間正在同步化。\n其可能會花幾分鐘...",
    
    "labelSharedLocations": "共用資源位置",
    "labelAddResourceLocation": "新增資源位置",
    "labelRemoveResourceLocation": "移除資源位置",
    "labelSaveResourceLocation": "儲存資源位置",
    "labelRefreshResourceLocation": "重新整理資源位置",
    
    "msgRemoveResource": "請選取一或多個要移除的 %1。",
    "msgRemoveResource1": "會刪除這些 %1 %2！要繼續嗎？",
    "msgRemoveResource2": "會刪除 %1：'%2'！要繼續嗎？",
    "msgSaveResource": "已順利儲存",
    
	"labelRelatedSite": "相關網站",
    "labelRelatedSites": "相關網站",
    "labelAdminRelatedSites": "配置 RQM 的「相關網站」清單",
	"labelArtifactOptions": "構件選項",
	"labelIBMRational": "IBM Rational",
    "labelIBMRationalQualityMgmt": "IBM Rational Quality Mgmt",
	"labelAddRelatedSites": "新增相關網站",
	"labelRemoveRelatedSites": "移除相關網站",	
	"labelURL": "URL",
    "labelHome": "首頁",
    "labelBackRQMHome": "< 返回 Rational Quality Manager",
	"labelBackRQMPage": "< 返回 %1", // %1 = page title
    "labelCopyright": "&copy; IBM Corporation 2000, %1",
    "labelLogIn": "登入",
    "labelLogOut": "登出",
    "labelYourTrialLicense": "您的<b>試用軟體授權<\/b> ",
    "labelHasExired": "您的<b>試用軟體授權<\/b>已過期",
    "labelExpiresToday": "您的<b>試用軟體授權<\/b>今天到期",
    "labelExpire1day": "您的<b>試用軟體授權<\/b>將在 1 天內到期",
    "labelExpireNday": "您的<b>試用軟體授權<\/b>將在 %1 天內到期",
    "labelExpiresIn": "到期於",
    "labelErrorLoading": "載入錯誤！",
    "labelAdmin": "管理",
	
	// TRANSLATORS: the follow 4 messages are part of one panel, the last 2 messages comprising 
	//              one sentence with the word "Log In" (as a link) inserted inbetween.
	"labelNoLicense": "您已順利登入 Jazz Team Server，但未獲授權存取 Rational Quality Manager。",
	"labelNoLicenseContact": "請洽詢「Jazz Team Server 管理者」以瞭解如何取得存取權。",
	"labelNoLicense2": "回到",
	"labelNoLicense3": "畫面。",
	"labelNoProjectAreas": "您已順利登入 Jazz Team Server，但沒有任何專案的存取權。",
	"labelInvalidProjectArea": "您已順利登入 Jazz Team Server，但 '%1' 不是有效的專案。",
	"labelUnauthProjectArea": "您已順利登入 Jazz Team Server，但沒有專案 '%1' 的存取權。",
	
	"labelReturnToLogin": "登入",
	"labelTestPlanWorkitems": "測試計劃工作項目",
    
    "labelChangeSuspect": "變更可疑屬性",
    "msgChangeSuspectConfirm": "會變更選定測試案例的可疑屬性！要繼續進行嗎？",
    
    "labelUnsuspect": "不再可疑",
    "msgUnsuspectConfirm": "所選的測試案例將不再可疑！要繼續嗎？",
    
	"labelNote": "附註：",
    "labelNameArea": "名稱區",
    "labelTextArea": "文字區",
    "labelContentArea": "內容區",
    "labelSelectArea": "選取區域",
    "labelActionBarPreferences": "動作列喜好設定",
    "labelVerticalOrientation": "垂直方向",
    "labelHorizontalOritentation": "水平方向",
    "labelRequisiteProHostProperties": "RequisitePro 主機內容",
    "labelSetRequisiteProHostProperties": "設定 RequisitePro 主機內容",
    "labelDefectsProviderProperties": "問題報告提供者",
	"labelConfigure": "配置...",
	"lableClear": "清除...",
	"labelProvider": "提供者：",
	"labelStatusWithColon": "狀態：",
	"labelSummaryWithColon": "摘要：",
	"labelNoneProvidersAvailable": "沒有可用的提供者",
	"labelChecking": "檢查中...",
	"labelClickToVerify": "按一下以驗證...",
    "labelSetDefectsProviderProperties": "選取並配置會在其中建立問題報告的儲存庫",
	"labelSetResourcesProperties": "新增/修改專案區的共用資源位置。",
    "labelDefaultRequirementType": "預設需求類型",
	"labelCPUNumber": "廣域 CPU 限制",
	"labelSetCPUNumber": "設定受支援 CPU 的限制",
	"labelCPULimit": "廣域 CPU 限制",
	"labelCPUCount": "廣域 CPU 計數",
	"labelSaveGlobalCPULimitation": "儲存廣域 CPU 限制",
	"labelStateTransitionConstraint": "構件狀態轉移限制",
	"labelSetStateTransitionConstraint": "設定構件狀態轉移限制",
    "labelDoorsHostName": "Doors 主機名稱",
    "labelBuildForgeHostName": "Build Forge 主機名稱",
    "labelResources": "共用資源位置",
	"labelSetSharedLocation": "設定共用資源位置",
    "labelTestTypes": "測試類型",
    "labelDefaultTestPlanTemplate": "預設測試計劃範本",
    "labelActionBar": "動作列",
    "labelExpansion": "展開",
    "labelEditors": "編輯器",
    "labelTables": "表格",
    "labelRelatedInformation": "相關資訊",
    "labelSetBuildForgehostname": "設定 Build Forge 主機名稱",
    "labelSelectRequirementDocumentType": "選取需求文件類型作為預設值",
    "labelRationalRequistePro": "Rational Requiste Pro",
    "labelSetDoorsHostname": "設定 Doors 主機名稱",
    "labelPreferences": "喜好設定",
    "labelTableSize": "表格大小",
    "labelRestoreDefault": "還原預設值",
    "labelSelectTestTypes": "選取測試類型",
    "labelRFT": "RFT",
    "labelRMT": "RMT",
    "labelRobot": "Robot",
    "labelReportProperties": "報告內容",
    "labelMangeReportHeaderFooter": "設定報告標頭和標底影像",
    "labelReportHeader": "報告標頭影像：",
    "labelReportFooter": "報告標底影像：",
	"labelCurrentHeader": "現行標頭：",
	"labelCurrentFooter": "現行標底：",
	"labelActionBarVerticalDescription": "品質管理動作種類會顯示為畫面左邊的垂直對齊圖示。",
	"labelActionBarHorizontalDescription": "品質管理動作種類會在畫面頂端水平對齊。",
	"labelShowAllSectionsDescription": "整份文件會顯示在可捲動的單一頁面中。",
	"labelShowSingleSectionDescription": "只有目錄中選取的區段會顯示在編輯器中。",
	"labelArtifactEditorTOCNote": "這個喜好設定會顯示在新開啟的「構件編輯器」或重新開啟的「構件編輯器」中。",
	"labelDateDisplayFormatNote": "這個喜好設定會顯示在新開啟的視圖和編輯器或是重新開啟的視圖和編輯器中。",
	"labelUnsavedChanges": "包含未儲存的變更：%1",
	"labelExecutionStates": "執行狀態",
	"labelManageExecutionStates": "管理執行狀態。附註：會自動儲存變更。",
    
	"msgPreferenceBeActive": "您下次登入 Rational Quality Manager 時，這個喜好設定會成為作用中",
    "msgPreferenceBeActive1": "您下次使用這項功能時，這個喜好設定會成為作用中。",
	"msgSavedSuccessfully": "已順利儲存",
    
    "labelParentTestPlanInfo": "母項測試計劃",
    
    "labelAboutDialogTitle": "關於 Rational Quality Manager",
    "labelVersionInformation": "版本資訊",
    "labelCommonComponentsVersion": "共用元件版本",
    "labelRTLMVersion": "RTLM 版本",
    "labelQMExternalVersion": "Rational Quality Manager 版本",
    "labelQMInternalVersion": "內部版本",
	
    "labelServerHealth": "伺服器性能狀態",
    "labelBundleVersions": "已安裝的軟體組版本",
    "labelBundleName": "軟體組名稱",
    "labelBundleVersion": "軟體組版本",
    
    "labelNewItemClick": "按一下以新增 %1 ...",
    "labelNoEditorConfigured": "未配置這類編輯器。",
    "labelAddItems": "新增 %1",
    
    "msgRemoveItem": "會移除 %1：%2。要繼續嗎？",
    "msgRemoveItem2": "會移除這些 %1 %2。要繼續嗎？",
    "msgItemNameRequired": "%1 名稱是必要的。",
    "msgTypeToSearch": "搜尋的類型",
	"labelGlobalSearchButton": "廣域搜尋",
    "labelGlobalSearchInput": "輸入廣域搜尋文字",
	
    "labelAddRow": "新增列",
    "labelDeleteRow": "刪除列",
    "labelNoLabel": "無標籤",
    "labelNoWorkItem": "沒有工作項目",
    
    "labelAuthoring": "作業品質",
    "labelAddAndClose": "新增 &amp;關閉",
    "msgErrorRunningQuery": "執行查詢時發生錯誤",
    
    "labelMatchingItems": "相符的項目",
    
    "labelTitle": "標題",
    
    "labelAddExistingTestCases": "新增現有的測試案例",
    "labelAddNewTestCase": "新增測試案例",
    "labelRemoveTestCases": "移除測試案例",
    "labelNotSupported": "不受支援",
    
    "labelAddExistingTestScripts": "新增現有的測試 Script",
    "labelAddNewTestScript": "新增測試 Script",
    "labelRemoveTestScripts": "移除測試 Script",
    
    "msgIsPartOfList": "%1 已是清單的一部分",
    
    "labelPasteCompare": "輔助資料輸入/驗證",
    "labelDataEntry": "使用輔助資料輸入的文字",
    
    "labelInsertTestDataColumn": "插入測試資料直欄",
    "msgNoTestDataSelected": "未選取測試資料！",
    
    "msgWorkItemNotFound": "找不到工作項目 %1",
    
    "labelWriteComments": "撰寫註解",
    "msgSelectVariableType": "請選取變數類型",
    
    "labelExecutionStep": "執行步驟",
    "labelVerificationPoint": "驗證點",
    "labelReportingStep": "報告步驟",
    
    "labelArtifactOverview": "%1 概觀",
    "labelViewSnapshots": "檢視 Snapshot",
    "labelGotoCurrentRevision": "移至現行修訂",
    "labelCreateNewSnapshot": "建立新的 Snapshot",
    "labelArtifactSnapshot": " (Snapshot：%1)",
	"labelRevisionInfo": " (%1：%2)",
    "labeloriginatorLabel": "發起者：",
    "labelowner": "擁有者：",
    "labelname": "名稱：",
    "labelStateLabel": "狀態：",
    "labeldescription": "說明：",
    "labelweight": "加權：",
	"labelPoints": "點",
    "labeltype": "類型：",
    "labelrevision": "修訂：",
    "labelcreated": "建立日期：",
    "labelitemID": "項目 ID：",
    "labelorigin": "原點：",
    "labeloriginatorname": "發起者名稱：",
    "labeloriginatoremail": "發起者電子郵件：",
    "labeloriginatorID": "發起者 ID：",
    "labelCreateSection": "建立區段",
    "labelRemoveStep": "移除步驟",
	"labelInsertStepBelow":"插入新的步驟",
	"labelClickToAdd":"按一下以新增...",
    "labelKeywords": "關鍵字",
    "labelInsertBefore": "前置插入",
    "labelReplaceStatement": "置換陳述式",
    "labelKeywordView": "「關鍵字」視圖",
    "labelNewItemTitle": "新建 %1",
    
	"labelCurrent": "現行",
	"labelSnapshots": "Snapshot",
	"labelSnapshotNameRequired": "Snapshot 名稱是必要的",
    "labelSnapshotName": "Snapshot 名稱：",
    "labelParentTestPlans": "母項測試計劃",
    "labelSavingArtifact": "正在儲存 %1...",
	"labelLoadingArtifact": "正在載入 %1...",
    "labelIncludeSnapshots": "併入 Snapshot",
    "labelAddSelectedDefect": "新增選取的問題報告",
    "labelAddThisDefect": "新增這個問題報告",
    
    "msgConfirmCancel": "將失去前次儲存之後所進行的變更。您要繼續嗎？",
    "msgConfirmRemoveStep": "會移除步驟 #%1！要繼續嗎？",
    "msgStepTypeRequired": "「步驟類型」對步驟 %1 是必要的。",
    "msgStepContentRequired": "「步驟內容」對步驟 %1 是必要的。",
	"msgChangesNotSaved":"未儲存變更！",
    "msgNoStepToReplace": "找不到要置換的步驟",
    "msgNoStep": "找不到步驟",
    "msgNumericWeightRequired": "「加權」必須是數值。",
	"msgWeightRequired": "必須指定加權",
    "msgRemoveSectionFromTestSuite": "從「測試套組」移除「區段」無法復原！要繼續嗎？",
    "msgErrorStartingRun": "執行起始設定失敗",
	"msgExecReqCreated": "已建立執行要求",
    
    "labelParentEditorRequired": "：'parentEditor' 引數是必要的！",
    "labelConfigEditorRequired": "：'config' 引數是必要的！",
    "labelDefine": "請定義這個 %2 的 %1。",
    "labelParentEditorRequiredRichTextSection": "RichTextSection：'parentEditor' 引數是必要的！",
    "labelConfigEditorRequiredRichTextSection": "RichTextSection：'config' 引數是必要的！",
    "labelWidgetInfoSectionGroup": "SectionGroup：只有 SectionGroupDTO 應建立小組件的實例！",
    "labelAvailableEnvironmentOptions": "可用的環境選項",
    "labelEnvironmentTypes": "環境類型",
	"labelLeftTitle": "可用",
    "labelRightTitle": "已選取",
    "labelErrorEnvir": "環境區段中發生錯誤",
    "labelTypeEnvironment": "類型",
    "labelAttributesEnvironment": "屬性",
    "labelNotAvailableEnvironment": "沒有可用的項目",
	"labelEditTestEnvironment": "管理要涵蓋的平台",
	"labelSelectTestEnvironment": "選取測試環境",
    "labelChangeExecProps": "變更執行內容",
	"msgChangeExecProp": "變更所選測試案例的執行內容",
	"labelTabIndex": "指定的 tabIndex %1 超出範圍。",
    "labelErrorInfoEnvironment": "環境區段中發生錯誤",
    "labelMultiple": "多個",
    "labelIdNotFound": "找不到工作項目 %1",
    "labelEroorViewingWorkItem": "檢視工作項目時發生錯誤",
    "labelNamePlanningBody": "名稱",
    "labelScorePlanningBody": "指數",
    "labelTypePlanningBody": "類型",
    "labelDetailsPlanningBody": "詳細資料",
    "labelErrorRemoving": "移除「測試計劃」#%1 時發生錯誤",
    "labelErrorRemovingTestCase": "移除「測試案例」#%1 時發生錯誤",
    "labelErrorRemivingTestGroup": "移除「測試群組」#%1 時發生錯誤",
    "labelTestPlanRemoved": "testPlanRemoved",
    "labelTestGroupRemoved": "testTestGroupRemoved",
    "labelTestCaseRemoved": "testTestCaseRemoved",
    "labelIDPlanningBody": "ID",
    "labelNamePlannningBody": "名稱",
    "labelStatusPlanningBody": "狀態",
    "labelLastModified": "前次修改日期",
    "labelSelectScriptType": "選取 Script 類型",
    "labelSelectSharedLocation": "選取共用位置",
    "labelResolevedPath": "解析的路徑",
    "labelIncludePlan": "併入計劃",
    "labelIncludeIteration": "併入測試管制點",
    "labelNoSharedLocationFound": "找不到共用資源位置。請洽詢管理者。",
    "labelNoTeamAssigned": "未指派團隊。",
    "labelNoMembers": "團隊沒有成員。",
    "labelSearchString": "您必須輸入搜尋字串。",
    "labelSavingArtifaceType": "正在儲存 %1...",
    "labelNotYetSupported": "尚未支援。",
    "labelRevisionTableView": "修訂",
    "labelCopy": "複製",
    "labelSno": "SNo.",
    "labelLocation": "位置",
    "labelRefreshTestScripts": "重新整理測試 Script",
    "labelArtifact": "構件",
    "labelteammembers": "團隊成員",
    "labeltestteam": "測試團隊：",
    "labelManageTeams": "管理團隊",
    "labelNewQuery": "新建查詢",
    "labelSearch": "搜尋",
	"labelRemoveSectionFrom": "從 %1 中移除區段",
    
    "labelCellValueChanged": "物件 %1 的 Cell 值已變更，新的值：%2",
	
	"labelRefreshingReport": "正在重新整理報告...",
	"labelLoadingReport": "正在載入報告...",
    "labelLoadingReports": "正在載入報告...",
	"labelReportLoadingFailed": "報告載入失敗",
    "labelReportsLoadingFailed": "無法載入報告",
	"labelReportNameRequired": "報告名稱是必要的。",
	"labelReportNameExists": "名稱為 '%1' 的報告已存在。請選擇另一個名稱。",
	"labelSaveReportAs": "將報告另存為...",
	"labelPreferenceLoadingFailed": "喜好設定載入失敗",
	"labelNoWorkItemSpecified": "未指定工作項目。",
	"labelConfirmChanges": "將失去前次儲存之後所進行的變更。您要繼續嗎？",
	"labelSummaryRequired": "「摘要」是必要的。",
	"labelCreator": "建立者",
	"labelPlannedFor": "規劃目標",
	"labelEstimateDays": "預估（天）",
	
	"msgQueryTableList": "查詢 %1",
	
	"labelCSHelp": "%1 區段說明",
	"labelTestPlanEditorCSHelp": "測試計劃編輯器說明",
	"labelTestCaseEditorCSHelp": "測試案例編輯器說明",
	"labelTestScriptEditorCSHelp": "測試 Script 編輯器說明",
	"labelTestScriptStepsCSHelp": "測試 Script 步驟說明",
	"labelKeywordLibCSHelp": "關鍵字程式庫說明",
	"labelTestSuiteCSHelp": "測試套組說明",
	"labelDatapoolCSHelp": "資料儲存區說明",
	"labelExecutionResultCSHelp": "執行結果說明",
	"labelAssociateReqCSHelp": "關聯需求說明",
	"labelImportReqCSHelp": "匯入需求說明",
	"labelWorkItemCSHelp": "%1 工作項目說明",
	"labelNewTestCaseCSHelp": "新建測試案例說明",
	"labelEWIEnvironmentCSHelp": "EWI 環境說明",
	"labelEWICoverageCSHelp": "EWI 涵蓋面說明",
	"labelEWIAdvProCSHelp": "EWI 進階內容說明",
	"labelImportTestScriptCSHelp": "匯入測試 Script 說明",
	"labelEnvironmentChooserCSHelp": "可用環境選項說明",
	"labelAddResourcesCSHelp": "新增資源位置說明",
	"labelManageCategoriesCSHelp": "管理種類說明",
	"labelAddExistingCSHelp": "新增現有的項目說明",
	"labelAddNewCSHelp": "新增項目說明",
	"labelManageTemplateCSHelp": "管理範本說明",
	"labelNewSectionCSHelp": "新增區段說明",
 	"labelKeywordsHelp":"所有關鍵字說明",
	
	"msgMissingScriptTypeIdDatapool": "遺漏 openAdapterSelectorDialog 的參數 - scriptTypeId",
	"msgExistScriptsExecution": "未匯入 %1 Script，因為其已存在",
	"msgSelectScriptToImport": "請選取一或多個要匯入的測試 Script。",
	"msgValidationFailedExcution": "驗證失敗",
	"labelDisconnected": "已斷線",
	"labelTestSuiteExecution": "測試套組執行主控台 %1",
	"labelTestSuiteResultExecution": "測試套組執行結果 %1",
	"labelExecutionHistoryExecution": "執行歷程",
	"labelSetConfigDefault": "將這個測試環境設為套組的預設值",
	"labelAttempted": "已嘗試",
	"labelExecuingKeyword": "執行關鍵字",
	"labelResult": "結果",
	"labelTestCaseDetails": "TestCase 詳細資料",
	"labelTestCaseDesign": "測試案例設計",
	"labelPreConditions": "前置條件",
	"labelPostConditions": "後置條件",
	"labelAcceptanceCriteria": "接受準則",
	"labelExpectedResult": "預期結果",
	"labelNotes": "附註",
	"labelExecutionInformation": "執行資訊",
	"labelVerificationPointsStatus": "驗證點狀態",
	"labelHealth": "性能狀態",
	"labelAdapter": "配接器",
	"labelRun": "執行",
	"labelExecuteSuite": "以平行模式執行這個套組",
    "labelSearchingText": "正在搜尋文字 '%1'...",
	"labelSearchText": "'%1' 的搜尋結果",
	"labelEditConfigurationForTestCase": "編輯測試案例的測試環境",
	"labelCreateTCorConfiguration": "請建立要加入套組的測試案例及/或測試環境。",
	"labelAssociateConfigWithTestCase": "如果要建立測試環境與測試案例的關聯，請選取或輸入以下名稱",
	"labelAddTestCase": "新增測試案例",
	"labelKeywordExecutionProgress": "關鍵字執行進度 ...",
	"labelAttachmentsView": "附件視圖",
	"labelDefectsView": "問題報告視圖",
	"labelCommentsView": "註解視圖",
	"labelMachineName": "機器名稱",
	"labelAdapterName": "配接器名稱",
	"labelJobsInQueue": "佇列中的工作",

	"labelSequential": "循序式",
	"labelParallel": "平行",
	"labelExecutionMode": "執行模式",
	"labelDateFileDatapool": "資料檔",
	
	"labelSaveConstrains": "儲存限制",
	"labelConstraintDescription1": "不可編輯「已核准」或「已撤回」的構件",
	"labelConstraintDescription2": "當所有關聯的「作業品質」工作項目已解析時，只能轉移到「審查中」",
	"labelConstraintDescription3": "只有當與構件關聯的所有核准項目都已收到時，才能核准。",
	"labelConstraintDescription4": "只有當所有參照的「測試案例」都已核准時，才能核准「測試計劃」。",
	"labelConstraintDescription5": "只有當所有參照的「測試 Script」都已核准時，才能核准「測試案例」。",
	"labelConstraintDescription6": "僅執行已核准的測試案例",
	"LabelConstraint" : "限制",
	"LabelEnabled" : "已啟用",
	"LabelAction" : "動作：",
	
	//State transition messages
	"cantapplyaction" : "無法套用 %1 動作",
	"cantExecuteTestSuite" : "無法執行測試套組",
	"cantExecuteTestCase" : "無法執行測試案例",
	"msgCannotTransitionApprovalsWaiting": "如果「正式審查」區段中仍然有擱置中的核准項目，就無法變更為 %1 狀態。",
	"msgCannotTransitionNotAllTestCasesApproved" : "如果有參照的「測試案例」未核准，就無法變更為 %1 狀態",
	"msgCannotTransitionNotAllTestScriptsApproved" : "如果有參照的「測試 Script」未核准，就無法變更為 %1 狀態",
	"msgCannotExecuteSuiteTestCaseNotApproved" : "無法執行「測試套組」，下列「測試案例」未核准 - %1",
	"msgCannotExecuteTestCaseNotApproved" : "無法執行「測試案例」%1。其未核准",
	"msgCannotExecuteTestSuiteNotApproved" : "無法執行「測試套組」%1。其未核准",
	"msgErrorLoadingTestSuite" : "載入測試套組時發生錯誤",
	"msgNotReadyForReviewWIsNotApproved" : "%1 尚無法審查。工作項目 %2 - '%3' - 未解析。",
	"labelOnlyNonnegativeInteger": "需要非負整數",
	"labelSelectAction": "選取動作",
	
	//State transition state labels
    "com.ibm.rqm.planning.common.new" : "草稿",
    "com.ibm.rqm.planning.common.underreview" : "審查中",
    "com.ibm.rqm.planning.common.approved" : "已核准",
    "com.ibm.rqm.planning.common.retired" : "已撤回",

	//Action transition action labels
   	"com.ibm.rqm.planning.common.readyforreview" : "可供審查",
    "com.ibm.rqm.planning.common.approve" : "核准",
    "com.ibm.rqm.planning.common.retire" : "撤回",
    "com.ibm.rqm.planning.common.reopen" : "重新開啟",
    "com.ibm.rqm.planning.common.reject" : "拒絕",
	"com.ibm.rqm.planning.common.return" : "回到 %1",
	
	"labelTableSummary": "這是 %1 表格",
	"labelSnapShot": "Snapshot",
	"labelWorkItems": "工作項目",
	"labelFormalReview": "正式審查",
	"labelTestSchedule": "測試排程",
	"labelKeyDate": "主要日期",
	"labelGeneratedTE": "產生的測試環境",
	"labelGeneratedTER": "產生的測試執行記錄",
	"labelDataRecords": "資料記錄",
	"labelEngines": "引擎",
	"labelMachineAdapter": "機器配接器",
	"labelTestCaseInTestSuite": "測試套組中的測試案例",
	
	"labelEditDefaultScript":"編輯預設測試 Script",
	
	"labelPlatformCoverage": "平台涵蓋面",
	"labelTestEnvironment": "測試環境",
	
	"labelactionBar": "動作列：",
	"labelexpansion": "展開：",
	"labelArtifactEditorTOC": "編輯器目錄",
	"labelRelatedInformation": "相關資訊",
	"labelmaximumTableSize": "表格大小上限：",
	"labelVertical": "垂直",
	"labelHorizontal": "水平",
	"labelOpenExpanded": "開啟展開",
	"labelOpenCollapsed": "開啟收合",
	"labelShowAllEditorSections": "在編輯器中顯示所有區段",
	"labelShowSingleSection": "僅顯示所選的區段",
	"labelOpenRelatedInfo": "依預設開啟「相關資訊」視圖",
	"labelClosedRelatedInfo": "依預設關閉「相關資訊」視圖",
	"labelUIFavorite": "慣用的使用者介面",
    "labelDateFormat": "日期顯示格式",
    "labelDateRelativeStyle": "顯示相對時間",
    "labelDateAbsoluteStyle": "一律顯示日期",
	"labelAdapterSelection": "自動選取配接器",
	"labelShowAdapter": "如果只有一個配接器可用，則在執行期間自動選取配接器",
	"labelShowAdapterWarning": "如果工具慣於一律顯示清單，這個喜好設定就沒有用。",
	"labelEnableWordWrapPref": "自動換行",
	"labelEnableWordWrap": "在「測試執行記錄」表中自動換行。",
	"labelEnableWordWrapMessage": "選取這個選項可能會降低表格呈現的速度。這個喜好設定會顯示在新開啟且包含「測試執行記錄」表格的視圖和編輯器中。",
	
	"labelSetUIFavorite": "設定慣用的使用者介面",
    "promptLostUnsavedChanges": "任何未儲存的變更都會遺失。",
    "promptCloseTab": "您確定要關閉這個標籤嗎？",
    "promptLogout": "您確定要登出嗎？任何未儲存的變更都會遺失。",
	
	"msgLostRemovedSections": "會刪除已移除區段的內容。您確定要移除區段嗎？",
	"msgCloseTab": "您確定要關閉這個標籤嗎？任何未儲存的變更都會遺失。",
	
    // out of the box, default test plan/test case categories titles. 
    "Release": "發行",
    "Product": "產品",
    "Category": "種類",
    "Function": "功能",
    "Theme": "佈景主題",
    
    "labelDeleted": "已刪除",
    "labelTCDeleted": "已刪除「測試案例」",
    "labelTSDeleted": "已刪除「測試 Script」",

	"labelRQMTitle" : "Rational Quality Manager",
	"labelDefaultTS" : "預設測試 Script",
    
    "RQM-KEY-TP-DEFAULT-TEMPLATE-TITLE": "預設測試計劃範本",
    "RQM-KEY-TP-DEFAULT-TEMPLATE-DESC": "「測試計劃」的預設 RQM 內容。",
    "RQM-KEY-TC-DEFAULT-TEMPLATE-TITLE": "預設測試案例範本",
    "RQM-KEY-TC-DEFAULT-TEMPLATE-DESC": "「測試案例」的預設 RQM 內容。",

    "RQM-KEY-TP-BASIC-TEMPLATE-TITLE": "基本測試計劃範本",
    "RQM-KEY-TP-BASIC-TEMPLATE-DESC": "「測試計劃」的基本 RQM 內容。",
    "RQM-KEY-TC-BASIC-TEMPLATE-TITLE": "基本測試案例範本",
    "RQM-KEY-TC-BASIC-TEMPLATE-DESC": "「測試案例」的基本 RQM 內容。",
    
    "RQM-KEY-TP-SUMMARY-TITLE": "摘要",
    "RQM-KEY-TP-SUMMARY-DESC": "測試計劃概觀。",
    "RQM-KEY-ATTACHMENTS-TITLE": "附件",
    "RQM-KEY-ATTACHMENTS-DESC": "請附加您要從測試構件參照的任何相關文件、設計，或是原則和程序。",
    "RQM-KEY-TP-TEST-TEAM-TITLE": "測試團隊",
    "RQM-KEY-TP-TEST-TEAM-DESC": "請指定會執行這份測試計劃的測試團隊。測試團隊是由管理者透過選取「管理團隊區」按鈕所定義的。",
    "RQM-KEY-TP-TEST-CASES-TITLE": "測試案例",
    "RQM-KEY-TP-TEST-CASES-DESC": "列出與給定計劃關聯的測試案例。您可以新增及移除關聯來測試文件，以及建立及關聯新的測試案例。移除測試案例會移除這份測試計劃的關聯，但不會刪除測試案例。",
    "RQM-KEY-TP-ENV-TITLE": "測試環境",
    "RQM-KEY-TP-ENV-DESC": "列出這份測試計劃支援與測試的各種不同環境。您可以新增各種不同的平台，如：瀏覽器、資料庫、作業系統和其他項目。接著這份清單會用來產生測試環境。",
    "RQM-KEY-TP-RESOURCES-TITLE": "資源",
    "RQM-KEY-TP-RESOURCES-DESC": "指定要用於這份測試計劃的各個不同的共用位置。",
    "RQM-KEY-TP-BUSS-OBJ-TITLE": "商業目標",
    "RQM-KEY-TP-BUSS-OBJ-DESC": "請定義測試階段的整體商業目標和策略。",
    "RQM-KEY-TP-TEST-OBJ-TITLE": "測試目標",
    "RQM-KEY-TP-TEST-OBJ-DESC": "請定義測試階段的整體執行目標和策略。",
    "RQM-KEY-TP-REQ-TITLE": "需求",
    "RQM-KEY-TP-REQ-DESC": "這個區段列出所有與給定測試計劃關聯的內容和需求。您可以選取要在測試計劃中涵蓋的現有需求或定義新的項目。",
    
    "RQM-KEY-TC-SUMMARY-TITLE": "摘要",
    "RQM-KEY-TC-SUMMARY-DESC": "請使用佈景主題、種類和功能特性將測試案例及其相關項目（或邏輯分組）予以分組。加權是執行工作量的測量，可以用測試者的時數、工作單元或優先順序作為基礎。",
    "RQM-KEY-TC-DESIGN-TITLE": "測試案例設計",
    "RQM-KEY-TC-DESIGN-DESC": "請定義現行測試案例的整體設計。這可以包括任何背景設定資訊或拓蹼。",
    "RQM-KEY-TC-SCRIPTS-TITLE": "測試 Script",
    "RQM-KEY-TC-SCRIPTS-DESC": "與這個測試案例關聯的自動化或手動測試 Script。Script 可以重複使用。",
    "RQM-KEY-TC-PRE-COND-TITLE": "前置條件",
    "RQM-KEY-TC-PRE-COND-DESC": "定義在可以開始執行這個測試案例之前必須發生的項目。比方說，另一個測試案例可能必須先完成，才能開始這個特定的測試案例。",
    "RQM-KEY-TC-POST-COND-TITLE": "後置條件",
    "RQM-KEY-TC-POST-COND-DESC": "定義在測試案例完成之後需要發生的項目。您可以強調顯示此處的任何清除項目或解除安裝指示。",
    "RQM-KEY-TC-ACCEPT-CRITERIA-TITLE": "預期結果",
	"RQM-KEY-TC-ACCEPT-CRITERIA-DESC": "記載必須先達到哪些結果，測試案例才能視為順利完成。您可以附加檔案或影像，來顯示使用者介面的狀態或產生的代碼。",
    "RQM-KEY-TC-NOTES-TITLE": "附註",
    "RQM-KEY-TC-NOTES-DESC": "",
    "RQM-KEY-TC-EXP-RESULTS-TITLE": "預期結果",
    "RQM-KEY-TC-EXP-RESULTS-DESC": "",
    "RQM-KEY-TC-REQ-TITLE": "需求",
    "RQM-KEY-TC-REQ-DESC": "這個區段列出所有與給定測試案例關聯的內容和需求。您可以選取現有需求或定義新的項目，且這會強調顯示測試需求的追蹤性。",
    "RQM-KEY-TS-MANUAL-STEPS-TITLE": "手動步驟",
    "RQM-KEY-TS-MANUAL-STEPS-DESC": "",
    
    "RQM-KEY-PROC-REVIEW-TITLE": "正式審查",
    "RQM-KEY-PROC-REVIEW-DESC": "列出會成為這個內容的審查者和核准者的人員，並定義核准流程。",
    "RQM-KEY-PROC-TIMEBOX-TITLE": "測試排程",
    "RQM-KEY-PROC-TIMEBOX-DESC": "定義測試計劃中各種不同的測試階段或管制點。您可以併入一或多個具有各種不同重點和期間的「測試管制點」。",
    "RQM-KEY-PROC-ENTRY-CRITERIA-TITLE": "進入準則",
    "RQM-KEY-PROC-ENTRY-CRITERIA-DESC": "定義在可以開始測試之前，必須達成的必備項目。",
    "RQM-KEY-PROC-EXIT-CRITERIA-TITLE": "跳出準則",
    "RQM-KEY-PROC-EXIT-CRITERIA-DESC": "定義需要先符合才能訂定測試的條件。",
    "RQM-KEY-PROC-QUALITY-GOAL-TITLE": "品質目標",
    "RQM-KEY-PROC-QUALITY-GOAL-DESC": "定義構成高品質產品的整體度量。",
    "RQM-KEY-PROC-SIZING-TITLE": "測試預估",
    "RQM-KEY-PROC-SIZING-DESC": "定義與這個計劃關聯之測試工作量的高階評估。這可以是人時、人日、人月和人年，且是整體觀點。",

    "RQM-KEY-EXE-EWIS-TITLE": "測試執行記錄",
    "RQM-KEY-EXE-EWIS-DESC": "可讓您關聯、建立及產生個別測試案例的執行記錄。執行記錄包含測試案例的詳細配置資訊，以及執行測試案例的高階結果。詳細的結果位於日誌檔中。",
    "RQM-KEY-EXE-MANUAL-EXE-TITLE": "手動執行",
    "RQM-KEY-EXE-MANUAL-EXE-DESC": "",
    "RQM-KEY-EXE-NO-SCRIPT-EXE-TITLE": "沒有執行 Script",
    "RQM-KEY-EXE-NO-SCRIPT-EXE-DESC": "",
    "RQM-KEY-EXE-MANUAL-EXE-LOG-TITLE": "手動執行 Script 詳細資料",
    "RQM-KEY-EXE-MANUAL-EXE-LOG-DESC": "",
    "RQM-KEY-EXE-NO-SCRIPT-EXE-LOG-TITLE": "不含測試 Script 詳細資料的測試案例",
    "RQM-KEY-EXE-NO-SCRIPT-EXE-LOG-DESC": "",
    "RQM-KEY-EXE-TEST-CASES-TITLE": "測試案例",
    "RQM-KEY-EXE-TEST-CASES-DESC": "測試套組中的測試案例清單",
    "RQM-KEY-EXE-SUMMARY-TITLE": "摘要",
    "RQM-KEY-EXE-SUMMARY-DESC": "測試套組概觀",
	
    "RQM-KEY-CMD-SCRIPT-DETAILS": "指令行 Script 詳細資料",
    "RQM-KEY-CMD-EXE-VIEWER": "指令行執行檢視器",
    "RQM-KEY-CMD-APTR-TYPE-NAME": "指令行",
    "RQM-KEY-CMD-APTR-TYPE-DESC": "指令行 Script",
    "RQM-KEY-CMD-APTR-APTR-NAME": "範例：指令行配接器",
    
    "RQM-KEY-RFT-SCRIPT-DETAILS": "Functional Tester Script 詳細資料",
    "RQM-KEY-RFT-EXE-VIEWER": "Functional Tester 執行檢視器",
    "RQM-KEY-RFT-APTR-TYPE-DESC": "Functional Tester Script",
    "RQM-KEY-RFT-APTR-TYPE-NAME": "Functional Tester",
    "RQM-KEY-RFT-APTR-APTR-NAME": "Rational Functional Tester",

    "RQM-KEY-ROBOT-SCRIPT-DETAILS": "Robot Script 詳細資料",
    "RQM-KEY-ROBOT-EXE-VIEWER": "Robot 執行檢視器",
    "RQM-KEY-ROBOT-EXE-LOG": "Robot 執行日誌",
    "RQM-KEY-ROBOT-APTR-TYPE-NAME": "Robot",
    "RQM-KEY-ROBOT-APTR-TYPE-DESC": "Robot Script",
    "RQM-KEY-ROBOT-APTR-APTR-NAME": "Rational Robot",
    
    "RQM-KEY-RPT-SCRIPT-DETAILS": "效能測試 Script 詳細資料",
    "RQM-KEY-RPT-EXE-VIEWER": "效能測試執行檢視器",
    "RQM-KEY-RPT-APTR-TYPE-NAME": "效能測試",
    "RQM-KEY-RPT-APTR-TYPE-DESC": "效能測試 Script",
    "RQM-KEY-RPT-APTR-APTR-NAME": "Rational Performance Tester",
    
    "RQM-KEY-RPT-SERVICE-SCRIPT-DETAILS": "服務測試 Script 詳細資料",
    "RQM-KEY-RPT-SERVICE-EXE-VIEWER": "服務測試執行檢視器",
    "RQM-KEY-RPT-SERVICE-APTR-TYPE-NAME": "服務測試",
    "RQM-KEY-RPT-SERVICE-APTR-TYPE-DESC": "服務測試 Script",
    "RQM-KEY-RPT-SERVICE-APTR-APTR-NAME": "Rational Service Tester",

    "RQM-KEY-TRT-SCRIPT-DETAILS": "Rational Test RealTime Script 詳細資料",
    "RQM-KEY-TRT-EXE-VIEWER": "Rational Test RealTime 執行狀態",
    "RQM-KEY-TRT-EXE-LOG": "Rational Test RealTime 執行日誌結果",
    "RQM-KEY-TRT-APTR-TYPE-NAME": "Rational Test RealTime",
    "RQM-KEY-TRT-APTR-TYPE-DESC": "Rational Test RealTime 說明",
    "RQM-KEY-TRT-APTR-APTR-NAME": "Rational Test RealTime",
    
    "RQM-KEY-DATAPOOL-FILE-NAME": "資料檔",
    "RQM-KEY-DATAPOOL-FILE-DESC": "選取包含測試資料的檔案。該檔案必須是以逗點區隔值 (CSV) 的格式，且在第一列有變數資訊。",
    "RQM-KEY-DATAPOOL-RECORDS-NAME": "資料記錄",
    "RQM-KEY-DATAPOOL-RECORDS-DESC": "如果要預覽測試資料記錄，您必須先儲存「測試資料」編輯器。",
    "RQM-KEY-DATAPOOL-TP-DATA-NAME": "測試資料",
    "RQM-KEY-DATAPOOL-TP-DATA-DESC": "用於以資料驅動計劃測試的「測試資料」。",

	"RQM-KEY-APPSCAN-TP-TEMPLATE-TITLE": "Web 應用程式安全測試計劃範本",
	"RQM-KEY-APPSCAN-TP-TEMPLATE-DESC": "Web 應用程式安全的相關「測試計劃」。",
	"RQM-KEY-APPSCAN-TP-APPLICATION-SECURITY-TITLE": "應用程式安全",
	"RQM-KEY-APPSCAN-TP-APPLICATION-SECURITY-DESC": "在「測試計劃」中檢視可用的 Rational AppScan Tester Edition 測試原則。",
	"RQM-KEY-APPSCAN-SCRIPT-DETAILS": "Rational AppScan Tester Edition", 
	"RQM-KEY-APPSCAN-APTR-TYPE-DESC": "Rational AppScan Tester Edition 測試 Script",
	"RQM-KEY-APPSCAN-APTR-TYPE-NAME": "Rational AppScan Tester Edition",
	"RQM-KEY-APPSCAN-EXE-VIEWER": "AppScan Tester Edition 執行檢視器",
	"RQM-KEY-APPSCAN-EXE-LOG": "AppScan Tester Edition 執行日誌",
	
	"ArtifactID": "構件 ID：",
	"TestPlanID": "測試計劃 ID：",
	"TestCaseID": "測試案例 ID：",
	"TestScriptID": "測試 Script ID：",
	"TestSuiteID": "測試套組 ID：",
	"WorkItemID": "WorkItem ID：",
	"RevisionID": "修訂 ID：",
	"RequirementId": "需求 ID：",
	
	"TipViewExecutionResults": "檢視執行結果",
	
	"labelSectionWorkItemInfo": "區段 %1 工作項目",
	"labelSectionCreateWorkItemInfo": "區段 %1 的工作項目",
	"labelTitleSection": "%1 區段",

    "labelCommand": "指令",
    "labelArguments": "引數",
    "labelCmdLineSectionName": "指令行詳細資料區段",
	
	"labelTabAlly": "跳到標籤：",
	"labelAllView": "全部視圖",
	"labelMyView": "我的視圖",
	"labelLabRes": "實驗室資源",
	"labelFind": "尋找",
	"labelCapitalNew": "新建",
	"labelAdvanceFind": "進階尋找",
	"labelVirtualImage": "虛擬影像",
	"labelReservation": "預約",
	"labelVirtualCollection": "虛擬集合",
	"labelInventoryHistory": "庫存歷程",
	"labelDeletedAndHidden": "已刪除並隱藏",
	"labelAutomation": "自動化",
	
	"labelUnknwonDefectsProvider": "DefectsProvider %1 不明",
	
	"labelFailingTestCaseWithoutEWI": "測試案例 \"%1\" 失敗",
	"labelFailingTestCaseWithEWI": "執行「測試執行記錄」\"%2\" 時，測試案例 \"%1\" 失敗",
	"labelTestScriptFailed": "測試 Script '%1' 失敗。\n\n",
	"labelEnvironmentWithColon": "環境：\n",
	"labelToProduce": "\n如果要重新產生：\n",
	"labelObserve": "\n觀察：\n",
	"labelFailingRQMTestcase": "測試案例失敗",
	"labelCreatedefect": "建立問題報告...",
	"labelChangeBlocking": "暫停執行狀態變更...",
	"labelUnableCreateWorkItem": "無法建立新的「工作項目」！\n（原因：%1）",
	"labelAssociatedDefects": "關聯的外部問題報告",
	"labelNoAssociatedWorkItems": "未儲存關聯的外部問題報告！\n（原因：%1）",
	"labelRelatedER": "相關執行結果：%1",
	"labelRelatedRQMTestcase": "相關測試案例",
	"labelQueryAssociatedBlockingDefects": "查詢關聯的暫停執行問題報告",
	"labelAssociateDefect": "關聯問題報告...",
	"labelUnBlockDefect": "解除暫停執行問題報告...",
	
	"labelIdWithColon": "ID：",
	"labelFileNameWithColon": "檔名：",
	"labelSizeWithColon": "大小：",
	"msgSelectedScriptArchived":"已保存所選的「測試 Script」。",
	"labelChangeWeight": "變更加權",
	"labelWeightValueWarning": "加權值無效！",
	"msgKeywordsManualScriptArchived":"已保存關鍵字，因為與其關聯的「手動 Script」已保存。",
	"msgKeywordsRemoteScriptArchived":"已保存與「關鍵字」關聯的「自動化 Script」。這些「關鍵字」現在會關聯回其「手動 Script」。",
	"msgKeywordsScriptUpdated":"已更新與「關鍵字」關聯的 Script。",
	"msgKeywordsUpdated":"已更新 %1 關鍵字。",
	"msgKeywordsArchived":"已保存 %1 關鍵字。",
	"msgTestScriptArchived":"已保存「測試案例」%2 的測試 Script %1。無法繼續進行測試。",
	
	"labelChangeTestPlanProperties": "變更「測試計劃」內容",
	"labelChangeTestCaseProperties": "變更「測試案例」內容",
	"labelChangeTestScriptProperties": "變更「測試 Script」內容",
	"labelChangeTestSuiteProperties": "變更「測試套組」內容",
	"labelChangeEWIProperties": "變更「測試執行記錄」內容",
	"labelChangeProperties": "變更 %1",
    
    "labelFilterTitle": "視圖建置器",
    "labelFilterDescription": "依下列任一屬性搜尋，或查看其他資訊：",
    "labelFilterDescriptionAllVisible": "依下列任一屬性搜尋。",
    "labelOnlyMyTestPlans": "僅我的測試計劃",
    "labelOnlyMyTestCases": "僅我的測試案例",
    "labelOnlyMyTestScripts": "僅我的測試 Script",
    "labelOnlyMyTERs": "僅我的測試執行記錄",
    "labelIncludeArchived": "已保存併入檔",
    "labelAnyCap": "任何",
    "labelReset": "重設",
    "labelExecuted": "已執行",
    "labelNotExecuted": "尚未執行",
	"msgSaveDiscardTERChanges":"請「儲存」或「捨棄」「測試執行記錄」區段中的變更。",
	"msgChangeDataPool": "您確定要變更測試資料嗎？任何變數都會遺失。",
	"msgTestEnvironmentUpdated":"「測試環境清單」已更新。",

	"msgChangeViewBuildConfirm": "「種類」已變更。將重新整理視圖建置器。要繼續嗎？",
	"msgMachineReservationFailed":"機器預約失敗。原因 %1",
	
    "labelFeedViews": "資訊來源視圖",
    "labelFeedViewsText": "請從左邊的清單選取要檢視的資訊來源。",
    "labelPageOfPages": "%2 之 %1 頁",
    "labelFirstPage": "第一頁",
    "labelPreviousPage": "上一頁",
    "labelNextPage": "下一頁",
    "labelLastPage": "最後一頁",
    "labelDataPools": "資料儲存區",
    "labelTestSuiteLogs": "測試套組日誌"
})

