/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
//

//
//
// Summary:
//      Subclassed from the dijit.form.ValidationTextBox to change the template
//		so that it does not use the dijit css styles for certain elements which cause
//		problems in IE.
//
dojo.provide("com.ibm.asq.common.web.ui.internal.widgets.ReTemplatedValidationTextBox");
dojo.require("dijit.form.ValidationTextBox");

(function(){
	
dojo.declare(
    "com.ibm.asq.common.web.ui.internal.widgets.ReTemplatedValidationTextBox",
    dijit.form.ValidationTextBox,
{   
    templateString: "<table style=\"display: -moz-inline-stack;\" class=\"dijit dijitReset asqTextBoxInline\" cellspacing=\"0\" cellpadding=\"0\"\r\n\tid=\"widget_${id}\" name=\"${name}\"\r\n\tdojoAttachEvent=\"onmouseenter:_onMouse,onmouseleave:_onMouse\" waiRole=\"presentation\"\r\n\t><tr class=\"dijitReset\"\r\n\t\t><td class=\"dijitReset asqInputField\" width=\"100%\"\r\n\t\t\t><input dojoAttachPoint='textbox,focusNode' dojoAttachEvent='onfocus,onblur:_onMouse,onkeyup,onkeypress:_onKeyPress' autocomplete=\"off\"\r\n\t\t\ttype='${type}' name='${name}'\r\n\t\t/></td\r\n\t\t><td class=\"dijitReset dijitValidationIconField\" width=\"0%\"\r\n\t\t\t><div dojoAttachPoint='iconNode' class='dijitValidationIcon'></div><div class='dijitValidationIconText'>&Chi;</div\r\n\t\t></td\r\n\t></tr\r\n></table>\r\n"
});
})();
